# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _jarsign_opts --sign=%{jbossdir}/bin --skip=%{jbossdir}/bin/run.jar --sign=%{jbossdir}/server/all/deploy/admin-console.war --sign=%{_sysconfdir}/%{name} --sign=/opt/%{name}-%{version}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%if "%{?rhel}" == "6"
# On RHEL-6 we use the thirdparty ZIP produced on a MEAD build
%bcond_without mead
%else
%bcond_with mead
%endif

%bcond_without production
%bcond_without tp_full

# hq_client is used to pack client files either here or in jbossas-hornetq
%bcond_with hq_client

%define jbhomedir %{_datadir}/%{name}
%define jbossdir %{_localstatedir}/lib/%{name}
%define logdir   %{_localstatedir}/log
%define tmpdir   %{_localstatedir}/cache

%define base_name jbossas

%define tmp_build_file_dir %{_builddir}/%{base_name}-%{jbver}-src/temp_build_file_dir
%define tpcsfile %{tmp_build_file_dir}/tpchecksumsfile
%define rlibcsfile %{tmp_build_file_dir}/repolibchecksumsfile
%define jbossarchivecsfile %{tmp_build_file_dir}/jbossarchivechecksumsfile

# Build specific macros
%define version_major 5
%define version_minor 1
%define version_revision 1
%define version_tag ""
%define jopr_version 1.3.4.CR1
%define rhq_version 3.0.0.B06
%define jms_option_rel 1
%define ws_option_rel 1

%define is_AS %(test %{name} = jbossas && echo 1 || echo 0)
%define is_GA %(test %{version_tag} != "" && echo 1 || echo 0)

%if %with production
%if %is_AS
%define version_name EAP
%else
%define version_name EWP
%endif
%endif

%if %is_AS
%define install_dir jboss-as
%else
%define install_dir jboss-as-web
%endif

%if %is_GA
%define jbver %{version_major}.%{version_minor}.%{version_revision}.%{version_tag}
%else
%define jbver %{version_major}.%{version_minor}.%{version_revision}
%endif
%define svnrev %{?_svnrev}%{!?_svnrev:95196}
%define nightlybuildrel 0.1.%{svnrev}svn.1.jdk15%{?dist}
%define taggedversion %{jbver}

Name:           jbossas
Version:        %{version_major}.%{version_minor}.%{version_revision}
Release:        16%{?dist}
Epoch:          0
%if %is_AS
Summary:        JBoss Application Server
%else
Summary:        JBoss Enterprise Web Platform
%endif
License:        LGPLv2+
Group:          Internet/WWW/Servers
URL:            http://www.jboss.org/
# For the EAP and EWP:
# rm -rf jbossas-5.1.1-src && mkdir -p jbossas-5.1.1-src/5.1.1
# svn export http://anonsvn.jboss.org/repos/jbossas/tags/JBPAPP_5_1_1_Final/ jbossas-5.1.1-src/5.1.1/jboss-5.1.x
# Exported revision 107767.
# tar cjf jbossas-5.1.1-src.tar.bz2 jbossas-5.1.1-src
# DEPRECATED: For the EWP:
# svn export https://svn.jboss.org/repos/jbossas/tags/EWP_5_1_1_Final/ jbossas-web-5.1.1-src/5.1.1/jboss-5.1.x
# Exported revision 99829.
# tar cjf jbossas-web-5.1.1-src.tar.bz2 jbossas-web-5.1.1-src

# svn export https://svn.jboss.org/repos/jbossas/tags/JBPAPP_5_1_1_ER3 jbossas-5.1.1-src/5.1.1/jboss-5.1.x
# Exported revision 111340.
# tar cjf jbossas-5.1.1-src.tar.bz2 jbossas-5.1.1-src
Source0:        %{base_name}-%{taggedversion}-src.tar.bz2
# For some EAP AS snapshot (EWP is produced for an EAP release only)
# svn export -r NNNNN http://anonsvn.jboss.org/repos/jbossas/branches/JBPAPP_5_1/ jbossas-5.1.1.Branch-src/5.1.1.Branch/jboss-5.1.x
# tar cjf jbossas-5.1.1.Branch-src.tar.bz2 jbossas-5.1.1.Branch-src
#Source0:        jbossas-%{taggedversion}-%{svnrev}svn-src.tar.bz2
Source1:        jbossas.catalog
Source2:        jbossas.conf
Source3:        jbossas.init
%if %without tp_full
Source4:        jbossas-%{taggedversion}-tp.zip
%endif
#Source5:       jbossas-%{taggedversion}-tp-licenses.tar.bz2
Source7:        jbossas-5.1.0-jarmap
Source8:        jbossas-webconsole-context.xml
Source9:        jbossas-5.1.0-componentmap
Source10:       jbossas-JBossEULA.txt
# cd build
# ./build.sh
# cd ..
# zip -rq jbossas-5.1.1-tp-full.zip thirdparty
%if %with tp_full
%if %without mead
BuildRequires:   jbossas-tp >= 0:5.1.1
%else
BuildRequires:   jbossas-tp-mead >= 0:5.1.1
%endif
%endif
# Script to file patch EOL characters (From LG)
Source97:       jbossas-fixpatcheol.pl
# Script for computing jar signatures at build time
Source98:       jbossas-5.1.0-compute_jar_signature_unsig
Source99:       jbossas-5.1.0-compute_jar_signature
# Cuts build time by 60% by only producing the bin zip
Patch0:         jbossas-buildziponly.patch
# Fix missing mkdir call in bin-zip target
Patch1:         jbossas-5.1.0-bin-zip-mkdir-jboss-tests.patch
# Changes upstream versions to brew versions
Patch5:         jbossas-5.1.0-thirdparty-versions.patch
# Increases max memory provided to the VersionRelease class to 2G
Patch6:         jbossas-version-release-maxmemory.patch
# Don't use maven
Patch7:         jbossas-5.1.0-no-maven-install.patch
# Fix malformed lines in disableauth patch
Patch8:         jbossas-disableauth-patch.patch

# Things needed for the insallation
Requires:       /bin/netstat
Requires:       gawk
Requires:       grep
Requires:       java >= 0:1.6.0
Requires:       java-devel >= 0:1.6
Requires:       jpackage-utils >= 0:1.7.3

####DO NOT HAND EDIT - This list is autogenerated from the log '###Requires:'
Requires: antlr >= 0:2.7.6
Requires: bcel >= 0:5.2
Requires: cglib >= 0:2.2
#Requires: codehaus-stax11-api >= 0:1.1.2
Requires: concurrent >= 0:1.3.4
Requires: dom4j >= 0:1.6.1
Requires: glassfish-jaf >= 0:1.1.0
Requires: glassfish-javamail >= 0:1.4.2
Requires: glassfish-jaxb >= 0:2.1.12
Requires: glassfish-jaxws >= 0:2.1.7
Requires: glassfish-jsf >= 0:1.2_13
Requires: glassfish-jstl >= 0:1.2.0
Requires: gnu-getopt >= 0:1.0.13
Requires: gnu-trove >= 0:1.0.2
Requires: hsqldb >= 0:1.8.0.10-9
Requires: hibernate3 >= 0:3.3.2
Requires: hibernate3-annotations >= 0:3.4.0
Requires: hibernate3-commons-annotations >= 0:3.1.0
Requires: hibernate3-ejb-persistence-3.0-api >= 0:1.0.2
Requires: hibernate3-entitymanager >= 0:3.4.0
Requires: hibernate3-validator >= 0:3.1.0
Requires: jacorb-jboss >= 0:2.3.1
Requires: jakarta-commons-beanutils >= 0:1.8.0
Requires: jakarta-commons-collections >= 0:3.2
Requires: jakarta-commons-digester >= 0:1.8.1
Requires: jakarta-commons-logging-jboss >= 0:1.1
Requires: javassist >= 0:3.12.0
Requires: jaxbintros >= 0:1.0.0
Requires: jaxen >= 0:1.1.2
Requires: jboss-aop2 >= 0:2.1.6
Requires: jboss-bootstrap >= 0:1.0.1
Requires: jboss-cache-core >= 0:3.2.7
Requires: jboss-cache-pojo >= 0:3.0.0
Requires: jboss-cl >= 0:2.0.9
Requires: jboss-cluster-ha-client >= 0:1.1.1
Requires: jboss-cluster-ha-server-api >= 0:1.2.0
Requires: jboss-cluster-ha-server-cache-jbc >= 0:2.0.3
Requires: jboss-cluster-ha-server-cache-spi >= 0:2.0.0
Requires: jboss-common-core >= 0:2.2.16
Requires: jboss-common-logging-spi >= 0:2.1.2
Requires: jboss-common-logging-jdk >= 0:2.1.2
Requires: jboss-common-logging-log4j >= 0:2.1.2
Requires: jboss-current-invocation-aspects >= 0:1.0.1
Requires: jboss-deployers >= 0:2.0.10
Requires: jboss-ejb3-cache >= 0:1.0.0
Requires: jboss-ejb3-common >= 0:1.0.1
Requires: jboss-ejb3-core >= 0:1.3.7
Requires: jboss-ejb3-deployers >= 0:1.1.4
Requires: jboss-ejb3-endpoint >= 0:0.1.0
Requires: jboss-ejb3-endpoint-deployer >= 0:0.1.4
Requires: jboss-ejb3-ext-api >= 0:1.0.0
Requires: jboss-ejb3-ext-api-impl >= 0:1.0.0
Requires: jboss-ejb3-interceptors >= 0:1.0.6
Requires: jboss-ejb3-jpa-int >= 0:1.0.0
Requires: jboss-ejb3-mc-int >= 0:1.0.2
Requires: jboss-ejb3-metadata >= 0:1.0.0
Requires: jboss-ejb3-metrics-deployer >= 0:1.1.0
Requires: jboss-ejb3-proxy-clustered >= 0:1.0.3
Requires: jboss-ejb3-proxy-impl >= 0:1.0.6
Requires: jboss-ejb3-proxy-spi >= 0:1.0.0
Requires: jboss-ejb3-security >= 0:1.0.1
Requires: jboss-ejb3-timerservice-spi >= 0:1.0.4
Requires: jboss-ejb3-transactions >= 0:1.0.2
Requires: jboss-integration >= 0:5.1.0
Requires: jboss-jaspi-1.0-api >= 0:5.0.1
Requires: jboss-javaee >= 0:5.0.1
Requires: jboss-jaxr >= 0:2.0.1
Requires: jboss-jpa-deployers >= 0:1.0.0
Requires: jboss-logbridge >= 0:1.0.1
Requires: jboss-logmanager >= 0:1.1.2
Requires: jboss-man >= 0:2.1.1
Requires: jboss-mdr >= 0:2.0.3
# The JMS provider can be also HornetQ so this must come with the subpackage
# and it is also in the client subpackage for interoperability
#Requires: jboss-messaging >= 0:1.4.8
Requires: jboss-metadata >= 0:1.0.6
Requires: jboss-microcontainer2 >= 0:2.0.10
Requires: jboss-naming >= 0:5.0.3
Requires: jboss-reflect >= 0:2.0.3
Requires: jboss-remoting >= 0:2.5.4
Requires: jboss-remoting-aspects >= 0:1.0.3
Requires: jboss-seam-int >= 0:5.1.0
Requires: jboss-security-aspects >= 0:1.0.0
Requires: jboss-security-negotiation >= 0:2.0.3
Requires: jboss-security-spi >= 0:2.0.4
Requires: jboss-security-xacml >= 0:2.0.5
Requires: jboss-serialization >= 0:1.0.5
Requires: jbosssx2 >= 0:2.0.4
Requires: jboss-threads >= 0:1.0.0
Requires: jboss-transaction-aspects >= 0:1.0.0
Requires: jbossts >= 0:4.6.1
Requires: jboss-vfs2 >= 0:2.2.0
Requires: jbossweb >= 0:2.1.11
Requires: jbossweb-el-1.0-api >= 0:2.1.11
Requires: jbossweb-jsp-2.1-api >= 0:2.1.11
Requires: jbossweb-lib >= 0:2.1.11
Requires: jbossweb-servlet-2.5-api >= 0:2.1.11
Requires: jbossws >= 0:3.1.2
Requires: jbossws-spi >= 0:1.1.2
Requires: jbossws-common >= 0:1.1.0
Requires: jbossws-framework >= 0:3.1.2
Requires: jbossxb2 >= 0:2.0.1
Requires: jboss-xnio-base >= 0:1.2.1
Requires: jboss-xnio-metadata >= 0:1.0.1
Requires: jcip-annotations >= 0:1.0
Requires: jcommon >= 0:1.0.16
Requires: jettison >= 0:1.2
Requires: jfreechart >= 0:1.0.13
Requires: jgroups >= 0:2.6.19
Requires: juddi >= 0:2.0.1
Requires: log4j >= 0:1.2.14
Requires: objectweb-asm >= 0:3.1
Requires: slf4j >= 0:1.5.8
Requires: slf4j-jboss-logging >= 0:1.0.3
Requires: stax-ex >= 0:1.2
Requires: sun-fi >= 0:1.2.7
Requires: wsdl4j >= 0:1.6.2
Requires: ws-scout >= 0:1.1.1
Requires: wstx >= 0:3.2.9
Requires: xalan-j2 >= 0:2.7.1
Requires: xerces-j2 >= 0:2.9.1-3
Requires: xml-commons-resolver11 >= 0:1.3.04
Requires: xml-security >= 0:1.4.3
# FIXME The component-matrix says 1.3.0 but jboss-ts sends 2.0.b4
#Requires: bsh >= 0:1.3.0
Requires: bsh2 >= 0:2.0
Requires: bsh2-bsf
%if %is_AS
Requires: bsf >= 0:2.4.0
Requires: joesnmp >= 0:0.3.4
Requires: quartz >= 0:1.5.2
Requires: snmptrapappender >= 0:1.2.8
%endif
# NEW on EAP 5.1.0
Requires: jboss-ejb3-context-base >= 0:0.1.1
Requires: jboss-ejb3-context-naming >= 0:0.1.1
Requires: jboss-ejb3-timeout-3.0-api >= 0:0.1.1
Requires: jboss-ejb3-timeout-spi >= 0:0.1.1
Requires: jboss-ejb3-vfs-spi >= 0:1.0.0
Requires: jboss-ejb3-vfs-impl-vfs2 >= 0:1.0.0
Requires: sun-xmlstreambuffer
# For the JOPR console
Requires: facelets >= 0:1.1.15
Requires: i18nlog >= 0:1.0.10
Requires: jakarta-commons-codec >= 0:1.3
Requires: jakarta-commons-digester >= 0:1.8.1
Requires: jakarta-commons-discovery >= 0:0.4
Requires: jboss-el >= 0:1.0_02
Requires: jboss-seam2-runtime >= 0:2.2.3
Requires: jdom >= 0:1.1.1
Requires: jopr-embedded >= 0:1.3.4
Requires: richfaces-framework >= 0:3.3.1
Requires: richfaces-ui >= 0:3.3.1
Requires:  hornetq-jopr-plugin
Requires:  jopr-hibernate-plugin
Requires:  jopr-jboss-as-5-plugin
Requires:  jopr-jboss-cache-v3-plugin
Requires:  rhq-jmx-plugin >= 0:3.0.0-14
Requires:  rhq-platform-plugin >= 0:3.0.0-11
Requires:  rhq-core-client-api >= 0:3.0.0-17
Requires:  rhq-core-comm-api >= 0:3.0.0-17
Requires:  rhq-core-domain >= 0:3.0.0-17
Requires:  rhq-core-gui >= 0:3.0.0-17
Requires:  rhq-core-native-system >= 0:3.0.0-17
Requires:  rhq-core-plugin-api >= 0:3.0.0-17
Requires:  rhq-core-plugin-container >= 0:3.0.0-17
Requires:  rhq-core-util >= 0:3.0.0-17
# In the client subpackage
#Requires: hornetq >= 0:2.2.3
#Requires: netty >= 0:3.2.3
#####END AUTO GENERATED LIST

BuildRequires:  jpackage-utils >= 0:1.7.3

BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-junit >= 0:1.7.1
BuildRequires:  ant-nodeps >= 0:1.7.1

# JBoss AS dependencies
BuildRequires: ant-junit >= 0:1.7.1
BuildRequires: antlr >= 0:2.7.6
BuildRequires: aopalliance >= 0:1.0
BuildRequires: avalon-logkit >= 0:1.2
BuildRequires: bcel >= 0:5.2
BuildRequires: berkeleydb-je3 >= 0:3.0.12
BuildRequires: cglib >= 0:2.2
BuildRequires: codehaus-stax11-api >= 0:1.1.2
BuildRequires: concurrent >= 0:1.3.4
BuildRequires: dtdparser >= 0:1.2.1
BuildRequires: easymock2 >= 0:2.4
BuildRequires: glassfish-javamail >= 0:1.4.2
BuildRequires: glassfish-jaxb >= 0:2.1.12
# FIXME: we are using some sun-jaxws binaries bundled with this package:
BuildRequires: glassfish-jaxws >= 0:2.1.7
BuildRequires: glassfish-jsf >= 0:1.2_13
BuildRequires: glassfish-jstl >= 0:1.2.0
BuildRequires: gnu-getopt >= 0:1.0.13
BuildRequires: gnu-trove >= 0:1.0.2
BuildRequires: hibernate3 >= 0:3.3.2
BuildRequires: hibernate3-annotations >= 0:3.4.0
BuildRequires: hibernate3-commons-annotations >= 0:3.1.0
BuildRequires: hibernate3-ejb-persistence-3.0-api >= 1:1.0.2
BuildRequires: hibernate3-entitymanager >= 0:3.4.0
BuildRequires: hibernate3-validator >= 0:3.1.0
BuildRequires: hsqldb >= 0:1.8.0.10
BuildRequires: jacorb-jboss >= 0:2.3.1
BuildRequires: jakarta-commons-beanutils >= 0:1.8.0
BuildRequires: jakarta-commons-digester >= 0:1.8.1
BuildRequires: jakarta-commons-discovery >= 0:0.4
BuildRequires: jakarta-commons-el >= 0:1.0
BuildRequires: jakarta-commons-fileupload >= 0:1.1.1
BuildRequires: jakarta-commons-httpclient >= 0:3.1
BuildRequires: jakarta-commons-logging-jboss >= 0:1.1
BuildRequires: jakarta-slide-webdavclient >= 0:2.1
BuildRequires: javacc >= 0:4.0
BuildRequires: javassist >= 0:3.12.0
BuildRequires: jaxbintros >= 0:1.0.0
BuildRequires: jaxen >= 0:1.1.2
#BuildRequires: jboss5-libs >= 0:5.1.0
BuildRequires: jboss-aop2 >= 0:2.1.6
BuildRequires: jbossas >= 0:5.0.0
BuildRequires: jboss-bootstrap  >= 0:1.0.1
BuildRequires: jboss-cache-core >= 0:3.2.7
BuildRequires: jboss-cache-pojo >= 0:3.0.0
BuildRequires: jboss-cl >= 0:2.0.9
BuildRequires: jboss-cluster-ha-client >= 0:1.1.1
BuildRequires: jboss-cluster-ha-server-api >= 0:1.2.0
BuildRequires: jboss-cluster-ha-server-cache-jbc >= 0:2.0.3
BuildRequires: jboss-cluster-ha-server-cache-spi >= 0:2.0.0
BuildRequires: jboss-common-core >= 0:2.2.16
BuildRequires: jboss-common-logging-spi >= 0:2.1.2
BuildRequires: jboss-common-logging-jdk >= 0:2.1.2
BuildRequires: jboss-common-logging-log4j >= 0:2.1.2
BuildRequires: jboss-current-invocation-aspects >= 0:1.0.1
BuildRequires: jboss-deployers >= 0:2.0.10
BuildRequires: jboss-ejb-3.0-api >= 0:5.0.1
#BuildRequires: jboss-ejb3-as-int >= 0:1.0.17
BuildRequires: jboss-ejb3-as-int >= 0:1.1.15
BuildRequires: jboss-ejb3-common >= 0:1.0.1
BuildRequires: jboss-ejb3-core >= 0:1.3.7
# The ejb3 one below is probably an indirect dependency
#BuildRequires: jboss-ejb3-deployers >= 0:1.1.4
BuildRequires: jboss-ejb3-endpoint-deployer >= 0:0.1.4
BuildRequires: jboss-ejb3-metrics-deployer >= 0:1.1.0
BuildRequires: jboss-ejb3-proxy-clustered >= 0:1.0.2
BuildRequires: jboss-ejb3-proxy-impl >= 0:1.0.4
BuildRequires: jboss-ejb3-proxy-spi >= 0:1.0.0
BuildRequires: jboss-ejb3-security >= 0:1.0.0
BuildRequires: jboss-integration >= 0:5.1.0
BuildRequires: jboss-integration >= 5.1.0
BuildRequires: jboss-jacc-1.1-api >= 0:5.0.1
BuildRequires: jboss-jad-1.2-api >= 0:5.0.1
BuildRequires: jboss-jaspi-1.0-api >= 0:5.0.1
BuildRequires: jboss-jaxr >= 0:2.0.1
BuildRequires: jboss-jca-1.5-api >= 0:5.0.1
BuildRequires: jboss-logbridge >= 0:1.0.1
BuildRequires: jboss-logmanager >= 0:1.1.2
BuildRequires: jboss-man >= 0:2.1.1
BuildRequires: jboss-mdr >= 0:2.0.3
BuildRequires: jboss-messaging >= 0:1.4.8
BuildRequires: jboss-metadata >= 0:1.0.5
BuildRequires: jboss-microcontainer2 >= 0:2.0.10
BuildRequires: jboss-naming >= 0:5.0.3
BuildRequires: jboss-parent
BuildRequires: jboss-profiler >= 0:1.0.0
BuildRequires: jboss-reflect >= 0:2.0.3
BuildRequires: jboss-remoting >= 0:2.5.4
BuildRequires: jboss-remoting-aspects >= 0:1.0.3
BuildRequires: jboss-seam-int >= 0:5.1.0
BuildRequires: jboss-security-aspects >= 0:1.0.0
BuildRequires: jboss-security-negotiation >= 0:2.0.3
BuildRequires: jboss-security-spi >= 1:2.0.4-3.SP3
BuildRequires: jboss-security-xacml >= 0:2.0.5
BuildRequires: jboss-serialization >= 0:1.0.5
BuildRequires: jbosssx2 >= 0:2.0.4
BuildRequires: jboss-test >= 0:1.1.9
BuildRequires: jboss-threads >= 0:1.0.0-2.1
BuildRequires: jboss-transaction-1.0.1-api >= 0:5.0.1
BuildRequires: jboss-transaction-aspects >= 0:1.0.0
BuildRequires: jbossts >= 0:4.6.1
BuildRequires: jboss-vfs2 >= 0:2.2.0
BuildRequires: jbossweb >= 0:2.1.11
BuildRequires: jbossweb-lib >= 0:2.1.11
BuildRequires: jbossweb-el-1.0-api >= 0:2.1.11
BuildRequires: jbossweb-jsp-2.1-api >= 0:2.1.11
BuildRequires: jbossws >= 0:3.1.2
BuildRequires: jbossws-spi >= 0:1.1.2
BuildRequires: jbossws-common >= 0:1.1.0
BuildRequires: jbossws-framework >= 0:3.1.2
BuildRequires: jbossxb2 >= 0:2.0.1
BuildRequires: jboss-xnio-base >= 0:1.2.0
#BuildRequires: jboss-xnio-base >= 0:1.2.1
BuildRequires: jboss-xnio-metadata >= 0:1.0.1
BuildRequires: jcip-annotations >= 0:1.0
BuildRequires: jcommon >= 0:1.0.16
BuildRequires: jettison >= 0:1.2
BuildRequires: jfreechart >= 0:1.0.13
BuildRequires: jgroups >= 0:2.6.19
BuildRequires: joramtests >= 0:1.1
BuildRequires: juddi >= 0:2.0.1
BuildRequires: junit >= 0:3.8.2
BuildRequires: maven-buildmagic-thirdparty-plugin
BuildRequires: maven-jboss-license-plugin
#BuildRequires: myfaces >= 0:1.1.3
BuildRequires: myfaces >= 0:1.1.5
BuildRequires: objectweb-asm >= 0:3.1
#BuildRequires: objectweb-joramtests >= 0:1.5
BuildRequires: odmg >= 0:3.0
BuildRequires: opensaml >= 0:1.1b
BuildRequires: slf4j >= 0:1.5.8
BuildRequires: slf4j-jboss-logging >= 0:1.0.3
BuildRequires: snmptrapappender >= 0:1.2.8
BuildRequires: spring2-aop >= 0:2.5.6
BuildRequires: spring2-beans >= 0:2.5.6
BuildRequires: spring2-context >= 0:2.5.6
BuildRequires: spring2-core >= 0:2.5.6
BuildRequires: spring2-web >= 0:2.5.6
BuildRequires: spring2-webmvc >= 0:2.5.6
BuildRequires: sun-fi >= 0:1.2.7
BuildRequires: tjws >= 0:1.3.3
BuildRequires: tomcat6-el-1.0-api >= 0:6.0.18
BuildRequires: velocity-jboss >= 0:1.4
BuildRequires: wsdl4j >= 0:1.6.2
BuildRequires: ws-jaxme-jboss >= 0:0.2
BuildRequires: ws-scout >= 1.0
#BuildRequires: ws-scout >= 1.1.1
BuildRequires: wstx >= 0:3.2.9
BuildRequires: xalan-j2 >= 0:2.7.1
BuildRequires: xdoclet >= 0:1.2.3
BuildRequires: xerces-j2 >= 0:2.9.1-3
BuildRequires: xml-commons-jaxp-1.3-apis >= 0:1.3.04
BuildRequires: xml-commons-resolver11 >= 0:1.1
BuildRequires: xml-security >= 0:1.4.3
# FIXME The component-matrix says 1.3.0 but jboss-ts sends 2.0.b4
#BuildRequires: bsh >= 0:1.3.0
BuildRequires: bsh2 >= 0:2.0
BuildRequires: bsh2-bsf
%if %is_AS
BuildRequires: bsf >= 0:2.4.0
BuildRequires: joesnmp >= 0:0.3.4
BuildRequires: quartz >= 0:1.5.2
%endif
# NEW on EAP 5.1.0
BuildRequires: jboss-ejb3-context-base >= 0:0.1.1
BuildRequires: jboss-ejb3-context-naming >= 0:0.1.1
BuildRequires: jboss-ejb3-timeout-3.0-api >= 0:0.1.1
BuildRequires: jboss-ejb3-timeout-spi >= 0:0.1.1
BuildRequires: jboss-ejb3-vfs-spi >= 0:1.0.0
BuildRequires: jboss-ejb3-vfs-impl-vfs2 >= 0:1.0.0
BuildRequires: jboss-server-manager >= 0:1.0.2
BuildRequires: qdox >= 0:1.6.1
BuildRequires: sun-xmlstreambuffer
%if %is_AS
BuildRequires: hornetq >= 0:2.2.3
BuildRequires: netty >= 0:3.2.3
%endif
# For the JOPR console
BuildRequires: facelets >= 0:1.1.15
BuildRequires: i18nlog >= 0:1.0.10
BuildRequires: jakarta-commons-codec >= 0:1.3
BuildRequires: jakarta-commons-digester >= 0:1.8.1
BuildRequires: jakarta-commons-discovery >= 0:0.4
BuildRequires: jboss-el >= 0:1.0_02
BuildRequires: jboss-seam2-runtime >= 0:2.2.3
BuildRequires: jdom >= 0:1.1.1
BuildRequires: jopr-embedded >= 0:1.3.4
BuildRequires: richfaces-framework >= 0:3.3.1
BuildRequires: richfaces-ui >= 0:3.3.1
BuildRequires:  hornetq-jopr-plugin
BuildRequires:  jopr-hibernate-plugin
BuildRequires:  jopr-jboss-as-5-plugin
BuildRequires:  jopr-jboss-cache-v3-plugin
BuildRequires:  rhq-jmx-plugin >= 0:3.0.0-14
BuildRequires:  rhq-platform-plugin >= 0:3.0.0-11
BuildRequires:  rhq-core-client-api >= 0:3.0.0-17
BuildRequires:  rhq-core-comm-api >= 0:3.0.0-17
BuildRequires:  rhq-core-domain >= 0:3.0.0-17
BuildRequires:  rhq-core-gui >= 0:3.0.0-17
BuildRequires:  rhq-core-native-system >= 0:3.0.0-17
BuildRequires:  rhq-core-plugin-api >= 0:3.0.0-17
BuildRequires:  rhq-core-plugin-container >= 0:3.0.0-17
BuildRequires:  rhq-core-util >= 0:3.0.0-17

BuildRequires:  unzip
BuildRequires:  zip
BuildRequires:  /usr/bin/perl

Requires:       %{name}-client = %{epoch}:%{version}-%{release}
Requires:       jbossas-ws-stack = %{epoch}:%{version}-%{ws_option_rel}
%if %is_AS
Requires:       jbossas-jms-provider = %{epoch}:%{version}-%{jms_option_rel}
%endif
Provides:       %{name}-ejb3 = %{epoch}:1.0.0-0.2.rc10
Obsoletes:      %{name}-ejb3 < 0:1.0.0-0.2.rc10
Provides:       %{name}-security-policy-cc = %{epoch}:%{version}-%{release} 
Provides:       %{name}-core = %{epoch}:%{version}-%{release} 

Obsoletes:      %{name}-core <= 0:4.0.5

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBoss Application Server is the #1 most widely used Java application server 
on the market. A Java EE certified platform for developing and deploying
enterprise Java applications, Web applications, and Portals,
JBoss Application Server provides the full range of Java EE 5 features as
well as extended enterprise services including clustering, caching, and
persistence. 

%package client
Summary:     JBoss Application Server Client libraries
Group:       Development
Requires:    jpackage-utils >= 0:1.7.3
%if %is_AS
Requires:    jboss-messaging >= 0:1.4.8
%if %with hq_client
Requires:    hornetq >= 0:2.2.3
%endif
Requires:    netty >= 0:3.2.3
%endif
Requires:    hibernate3-validator >= 0:3.1.0
Requires:    jboss-cluster-ha-client >= 0:1.1.1
Requires:    jboss-deployers >= 0:2.0.10
Requires:    jboss-ejb3-common >= 0:1.0.2
Requires:    jboss-ejb3-core >= 0:1.3.7
Requires:    jboss-ejb3-ext-api-impl >= 0:1.0.0
Requires:    jboss-ejb3-proxy-clustered >= 0:1.0.3
Requires:    jboss-ejb3-proxy-impl >= 0:1.0.6
Requires:    jboss-ejb3-proxy-spi >= 0:1.0.0
Requires:    jboss-ejb3-security >= 0:1.0.2
Requires:    jboss-ejb3-vfs-spi >= 0:1.0.0
Requires:    slf4j-jboss-logging >= 0:1.0.3
Requires:    sun-fi >= 0:1.2.7
Requires:    ws-scout >= 0:1.1.1

%description client
JBoss Application Server Client libraries.

%package ws-native
Summary:     A JBoss WS Native stack for the JBoss EAP AS
Group:       Development
Provides:    jbossas-ws-stack = %{epoch}:%{version}-%{ws_option_rel}
Conflicts:   jbossas-ws-cxf
#Requires:    jbossas = %{epoch}:%{version}-%{release}

%description ws-native
A JBoss WS Native stack for the JBoss EAP AS
Use either this or the jbossas-ws-cxf stack
Only one can be installed and once installed it can no longer be replace

%if %is_AS
%package messaging
Summary:     A JMS provider based on JBoss Messaging for the JBoss EAP AS
Group:       Development
Provides:    jbossas-jms-provider = %{epoch}:%{version}-%{jms_option_rel}
Conflicts:   jbossas-hornetq
#Requires:    jbossas = %{epoch}:%{version}-%{release}
Requires:    jpackage-utils >= 0:1.7.3
Requires:    jboss-messaging >= 0:1.4.8

%description messaging
A JMS provider based on JBoss Messaging for the JBoss EAP AS
Use either this or the jbossas-hornetq JMS provider
Only one can be installed and once installed it can no longer be replace
%endif

%if %with production
%package zip
Summary:     Container for the zipped distribution of %{name}.
Group:       Development

%description zip
Container for the zipped distribution of %{name}.

%package src-zip
Summary:     Container for the sources (with thirdparty)
Group:       Development

%description src-zip
Container for the sources (with thirdparty).

%package %{jbver}-bin
Summary:     Binary only %{name} distribution
Group:       Internet/WWW/Servers
Requires:    %{name}

%description %{jbver}-bin
This is a binary only distribution of the JBoss Application Server.
The intent of this package is to allow multiple simultaneous installations
of different versions.
%endif

%prep
%setup -q -n %{base_name}-%{jbver}-src
#%%{__perl} -pi -e 's/^version\.tag=.*$/version.tag=%{version_tag}/' %{jbver}/jboss-%{version_major}.%{version_minor}.x/build/build.properties
%{__perl} -pi -e 's|<property name="version.revision" value=".*"/>|<property name="version.revision" value="%{version_revision}"/>|' %{jbver}/jboss-%{version_major}.%{version_minor}.x/tools/etc/buildmagic/version-info.xml
#%%{__perl} -pi -e 's|<property name="version.tag" value=".*"/>|<property name="version.tag" value="%{version_tag}"/>|' %{jbver}/jboss-%{version_major}.%{version_minor}.x/tools/etc/buildmagic/version-info.xml
%if %is_AS
echo "Building EAP"
%else
echo "Building EWP"
%endif
%{_bindir}/find -type f -name "*.exe" | %{_bindir}/xargs -t %{__rm} -f
#for jar in `find -type f -name '*.jar' -a ! -name 'jbossbuild.jar'`; do rm -v ${jar}; done
#for jar in `find -type f -name '*.jar'`; do rm -v ${jar}; done
%{_bindir}/find -not -type l -name '*.?ar' | /bin/sort
#ln -s $(build-classpath ant) 4.2.3.GA/jboss-4.2.x/tools/lib/ant.jar
#ln -s $(build-classpath ant/ant-junit) 4.2.3.GA/jboss-4.2.x/tools/lib/ant-junit.jar
#ln -s $(build-classpath jboss-common/jboss-common) 4.2.3.GA/jboss-4.2.x/tools/lib/jboss-common.jar
#ln -s $(build-classpath buildmagic-tasks) 4.2.3.GA/jboss-4.2.x/tools/lib/buildmagic-tasks.jar
#ln -s $(build-classpath jbossbuild) 4.2.3.GA/jboss-4.2.x/tools/lib/jbossbuild.jar

%if %without tp_full
%setup -q -T -D -a 4 -n %{name}-%{jbver}-src/%{jbver}/jboss-%{version_major}.%{version_minor}.x

%else
# Remove the thirdparty subdirectory from the sources as it comes in the TP ZIP
echo `pwd`
rm -rf %{jbver}/jboss-%{version_major}.%{version_minor}.x/thirdparty
#%%setup -q -T -D -a 40 -n %{name}-%{jbver}-src/%{jbver}/jboss-%{version_major}.%{version_minor}.x
pushd %{jbver}/jboss-%{version_major}.%{version_minor}.x
%if %without mead
unzip -q %{_javadir}/jbossas-fordev/jbossas-tp-5*.zip
%else
unzip -q %{_javadir}/jbossas-fordev/jboss-as-thirdparty-5*-thirdparty.zip
mv jboss-as-thirdparty-5* thirdparty
%endif
popd
%endif

#%%setup -q -T -D -a 5 -n %{name}-%{jbver}-src/%{jbver}/jboss-%{version_major}.%{version_minor}.x/thirdparty
%setup -q -T -D -n %{base_name}-%{jbver}-src
pushd %{jbver}/jboss-%{version_major}.%{version_minor}.x
%patch0 -p0
%patch1 -p0
%if %without tp_full
%patch5 -p0
#exit 1
%endif
%patch6 -p0
%patch7 -p0
%patch8 -p0
popd

# (dwalluck): Fix file eol
%{_bindir}/find -type f \( -name "*.dtd" -o -name "*.txt" -o -name "*.xsd" -o -name "*.vm" -o -name MANIFEST.MF \) -print0 | %{_bindir}/xargs -0 -t %{__perl} -pi -e 's/\r$//g;'

%{__ln_s} %{jbver}/jboss-%{version_major}.%{version_minor}.x/build/build-release.xml .

mkdir %{tmp_build_file_dir}

echo "release.version.major=%{version_major}" > release.properties
echo "release.version.minor=%{version_minor}" >> release.properties
echo "release.version.revision=%{version_revision}" >> release.properties
%if %is_GA
echo "release.version.tag=%{version_tag}" >> release.properties
%endif

%if %without production
echo "version.cvstag=JBoss_%{version_major}_%{version_minor}_%{version_revision}_%{version_tag}" >> release.properties

%else
echo "version.name=%{version_name}" >> release.properties

%if %is_GA
echo "version.cvstag=JBPAPP_%{version_major}_%{version_minor}_%{version_revision}_%{version_tag}" >> release.properties
%else
echo "version.cvstag=JBPAPP_%{version_major}_%{version_minor}_%{version_revision}" >> release.properties
%endif

%endif


# The tpcsfile has the checksums for libraries for which we don't have RPMs
rm -f %{tpcsfile}
touch %{tpcsfile}

# The rlibcsfile has the checksums for libraries built in Brew, we have RPMs
rm -f %{rlibcsfile}
touch %{rlibcsfile}

# Compute checksums of jars in tp and separate them into Binaries and Brew
# (note: our 'compute' consists of stripping meta info and computing only classes)
pushd %{jbver}/jboss-%{version_major}.%{version_minor}.x/thirdparty/
OLD_IFS=$IFS
IFS='
'

# FIXME: We have these xerces/lib/*.jar marked as 2.2.1 with the same 
# checksum as the xercesImpl.jar we have as 2.9.1.patch01 and that confuses
# the scripts, so we remove them
rm -f xerces/lib/xerces.jar
rm -f xerces/lib/xmlParserAPIs.jar

# Unsign JARs that will be modified during the build or the resulting file
# becomes unreadable
zip -d jboss/messaging/lib/jboss-messaging.jar META-INF/JBOSSCOD.*
# We no longer repack hsqldb.jar so no need to unsign it (JBPAPP-5244)
#zip -d hsqldb/lib/hsqldb.jar META-INF/JBOSSCOD.*

# Unzip parts of the console WAR file as it has libraries inside and
# we want to make those into links as well
unzip org/jboss/jopr/lib/jopr-embedded-jbas5.war WEB-INF/lib/*  plugins/*

# Loop over all ?ar files in the thirdparty
for lib in `find \`pwd\` -type f -name "*ar" | sort`; do

  echo "###Processing thirdparty: " $lib

  # Check for -sources.jar and skip
  sources=`echo $lib | grep "sources.jar" || :`
  if [ ! -z "$sources" ]; then
    echo "###Skip source jar"
    continue
  fi

  libdir=`dirname $lib`
  libdir=${libdir#`pwd`/}
  libname=`basename $lib`
  libshort=${libname%.?ar}

  if [ -f ${libdir%/lib}/component-info.xml ]; then
    libver=`grep "version=" ${libdir%/lib}/component-info.xml | grep -v xml`
    libver=${libver#*version=\"}
    libver=${libver%\"*}
  else
    # Library not in the list - complain
    echo "###Missing component-info.xml for " $libdir"/"$libname " in thirdparty: " $libver
    libver="0"
  fi

  echo "libshort: " $libshort " libdir: " $libdir " libname: " $libname \
       " libver: " $libver

  # Check version list for accuracy
  found=`grep $libname %{SOURCE9} || :`
  if [ ! -z "$found" ]; then

    # Compare version with the one in the list
    name=`echo $found | cut -d ' ' -f 1`
    version=`echo $found | cut -d ' ' -f 2`
    if [ $version = $libver ]; then
      # Found
      echo "###Found thirdparty with the right version: " $name " " $version

    else
      # Version in the list is different from what we received in thirdparty
      echo "###Mismatched version for " $name $version " (list) instead of " \
           $libver " (thirdparty)"
    fi

  else
    # Library not in the list - complain
    echo "###Missing version for " $libdir"/"$libname " in thirdparty: " $libver
  fi

  # Search for map for this library
  jarname=`grep -E "^$libname " %{SOURCE7} | awk '{print $2}' || :`
  if [ ! -z "$jarname" ]; then

    # Check if map points to a installed file
    jarfile=$(build-classpath $jarname) || :
    if [ -r "$jarfile" ]; then

      # Check if target JAR file checksum does match what we used to build
      sig1=`/bin/sh %{SOURCE98} $lib | awk '{print $1}'`
      sig2=`/bin/sh %{SOURCE98} $jarfile | awk '{print $1}'`
      if [ "$sig1" != "$sig2" ]; then

        echo "###Bad signature in BR for " $libdir/$libname ": " $jarname " Expected: " $sig1 " Found: " $sig2

      else
        # We have an RPM and should try and use a link for this library
        echo "###Installed " $jarfile
        # Add to the list of things to be linked to javadir
        sig=`/bin/sh %{SOURCE99} $lib | awk '{print $1}'`
        /bin/sh %{SOURCE99} $lib >> %{rlibcsfile}
      fi

    else
      # Bad map, the file it points to is not installed, missing BR? - complain
      echo "###Bad map or missing BR for " $libdir/$libname ": " $jarname
    fi

  else
    # No mapping found for this library - complain
    echo "###Unmapped: build-time only or binary dependency: " $libdir/$libname " " $libver
    # Add to the list of things to copy as files to a 'thirdparty' output dir
    sig=`/bin/sh %{SOURCE99} $lib | awk '{print $1}'`
    /bin/sh %{SOURCE99} $lib >> %{tpcsfile}
  fi

done
IFS=$OLD_IFS
popd

%if %with production
mkdir -p %{jbver}/dist
(cd %{jbver}/jboss-%{version_major}.%{version_minor}.x
    # Replace the EULA with the proper one
    rm build/docs/JBossORG-EULA.txt
    cp %{SOURCE10} build/docs/JBossEULA.txt
    # Remove left over file from patching if any
    rm -f build.xml.orig
    zip -q -9 -r ../dist/%{name}-%{jbver}-src.zip *
)
%endif

%build
export CLASSPATH=
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/nodeps`
export ANT_OPTS="-Xms500m -Xmx1500m -Xss1m"
# FIXME: (dwalluck): If we set JAVA_HOME here, then the build fails
# FIXME: (dwalluck): Work around <https://issues.apache.org/bugzilla/show_bug.cgi?id=42263>
ant -f build-release.xml \
    -Dcvs.module=jboss-%{version_major}.%{version_minor}.x \
    -Dnodownload=true \
    -Drelease.version.major=%{version_major} \
    -Drelease.version.minor=%{version_minor} \
    -Drelease.version.revision=%{version_revision} \
%if %is_GA
    -Drelease.version.tag=%{version_tag} \
%endif
%if %with production
    -Dversion.name=%{version_name} \
%endif
    -Dant.version="`%{_bindir}/ant -version`" \
    -Dbuild.signed=1 \
    build-dist release 2>&1 | tee %{tmp_build_file_dir}/build.log


%install
rm -rf $RPM_BUILD_ROOT

# Extract the "distribution" so that we can patch appropriate files 
# and install from it
dirs
ls -l
rm -fr %{install_dir}-%{version_major}.%{version_minor}
mkdir %{install_dir}-%{version_major}.%{version_minor}

# Extract the .zip
unzip -d %{install_dir}-%{version_major}.%{version_minor} -qq %{jbver}/dist/jboss-%{jbver}.zip

pushd %{install_dir}-%{version_major}.%{version_minor}

# Change dir name of directory, for the monolithic zip
mv jboss-%{jbver} %{install_dir}
rm %{install_dir}/readme.html %{install_dir}/bin/jboss_init_suse.sh

# Remove the empty docs/tests dir (JBPAPP-114)
rmdir %{install_dir}/docs/tests

# Remove HornetQ client libraries as they will be installed by the 
# HornetQ installer script
rm -f %{install_dir}/client/hornetq-core-client.jar
rm -f %{install_dir}/client/hornetq-jms-client.jar

%if %is_AS
# Pack HornetQ stuff into its own ZIP as the default ZIP has JBM
zip -q -9 -r ../%{jbver}/dist/%{name}-%{jbver}-hornetq.zip %{install_dir}/extras/hornetq
# Pack EC2 stuff into its own ZIP, not shipped by default
zip -q -9 -r ../%{jbver}/dist/%{name}-%{jbver}-ec2.zip %{install_dir}/extras/*ec2
%endif
rm -fr %{install_dir}/extras/hornetq
rm -fr %{install_dir}/extras/*ec2
rmdir %{install_dir}/extras

%if %with production
zip -q -9 -r ../%{jbver}/dist/%{name}-%{jbver}-withauth.zip %{install_dir}

# Apply auth patch
pushd %{install_dir}
# Adjust EOL in patch to match what is done with config files
cp %SOURCE97 fixpatcheol.pl
chmod a+x fixpatcheol.pl
./fixpatcheol.pl ../../%{jbver}/jboss-%{version_major}.%{version_minor}.x/build/jbossas-5-disableauth.patch > disableauth.patch

%if %is_AS
#%%{__patch} -s -p0 --fuzz=0 < disableauth.patch
%{__patch} -p0 --fuzz=0 < disableauth.patch
%else
%{__patch} -s -p0 < disableauth.patch || :
%endif

rm -f fixpatcheol.pl disableauth.patch
popd

zip -q -9 -r ../%{jbver}/dist/%{name}-%{jbver}-noauth.zip %{install_dir}

# After zippings
# Remove the patch from above (else it'll go into the rpm)
pushd %{install_dir}
# Adjust EOL in patch to match what is done with config files
cp %SOURCE97 fixpatcheol.pl
chmod a+x fixpatcheol.pl
./fixpatcheol.pl ../../%{jbver}/jboss-%{version_major}.%{version_minor}.x/build/jbossas-5-disableauth.patch > disableauth.patch

# FIXME: Temporarely allow some fuzz, our disableout patch file has more than
# one diff for the same jbossws.sar web.xml files and this confuses -R
#%%{__patch} -R -s -p0 --fuzz=0 < ../../%{jbver}/jboss-%{version_major}.%{version_minor}.x/build/jbossas-5-disableauth.patch
%if %is_AS
%{__patch} -R -s -p0 < disableauth.patch
%else
%{__patch} -R -s -p0 < disableauth.patch || :
%endif

rm -f fixpatcheol.pl disableauth.patch
popd
%endif


# Make RPM specific fixes:

# Set up a specific context for web-console, so that links are allowed for it
%if %is_AS
cp -p %{SOURCE8} jboss-as/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
cp -p %{SOURCE8} jboss-as/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
%if %with production
cp -p %{SOURCE8} jboss-as/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
%endif
%endif
popd

%if %with production
# install binary-only
install -dm 755 $RPM_BUILD_ROOT/opt
unzip -qq -d $RPM_BUILD_ROOT/opt %{jbver}/dist/%{name}-%{jbver}-withauth.zip
mv $RPM_BUILD_ROOT/opt/%{install_dir} $RPM_BUILD_ROOT/opt/%{name}-%{jbver}
rm $RPM_BUILD_ROOT/opt/%{name}-%{jbver}/bin/*.bat
rm $RPM_BUILD_ROOT/opt/%{name}-%{jbver}/bin/{jboss_init_hpux.sh,jboss_init_solaris.sh}
%endif

# Go into the distribution dir
pushd %{install_dir}-%{version_major}.%{version_minor}/%{install_dir}

# Copy DTD catalog into place
install -p -m 644 %{SOURCE1} docs/dtd/catalog

# Global configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cat > jbossas.conf << EOT
# System-wide configuration file for jbossas services
# This will be sourced by jbossas and any secondary service
# Values will be overridden by service-specific configuration
# files in /etc/sysconfig
# Use this one to change default values for all services
# Change the service specific ones to affect only one service
# (see, for instance, /etc/sysconfig/jbossas)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas.conf
install -p -m 644 jbossas.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rm jbossas.conf
# Service-specific configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat > jbossas << EOT
# Service-specific configuration file for jbossas services
# This will be sourced by the SysV service script after the global
# configuration file /etc/jbossas/jbossas.conf, thus allowing values
# to be overridden on a per-service way
#
# NEVER change the init script itself:
# To change values for all services make your changes in
# /etc/jbossas/jbossas.conf
# To change values for a specific service, change it here
# To create a new service, create a link from /etc/init.d/<you new service> to
# /etc/init.d/jbossas (do not copy the init script) and make a copy of the
# /etc/sysconfig/jbossas file to /etc/sysconfig/<you new service> and change
# the property values so the two services won't conflict
# Register the new service in the system as usual (see chkconfig and similars)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas

install -p -m 644 jbossas $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
sed -i -e s:'JBOSS_HOME="/var/lib/jbossas"':'JBOSS_HOME="%{_localstatedir}/lib/%{name}"':g jbossas

%if %with production
sed -i -e s:'#JBOSS_HOME="%{_localstatedir}/lib/%{name}"':'JBOSS_HOME="/opt/%{name}-%{jbver}"':g jbossas
install -p -m 644 jbossas $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}-%{jbver}
%endif

rm jbossas
# Configuration file used when run.sh is used
install -p -m 644 bin/run.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_initrddir}/%{name}

%if %with production
# Copy file over for -bin rpm and modify it's JBOSS_HOME
install -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_initrddir}/%{name}-%{jbver}
sed -i -e s:'JBOSS_HOME=${JBOSS_HOME\:-"/var/lib/$PACKAGENAME"}':'JBOSS_HOME=${JBOSS_HOME\:-"/opt/%{name}-%{jbver}"}':g \
                        $RPM_BUILD_ROOT%{_initrddir}/%{name}-%{jbver}
%endif

%if %is_AS
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}
%else
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}
# Homedir is /var/lib/jbossas even for jbossas-web
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/jbossas
%endif

install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/client
cp -pr client/* $RPM_BUILD_ROOT%{jbhomedir}/client
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/lib
%if ! %with hq_client
rm -f $RPM_BUILD_ROOT%{jbhomedir}/client/hornetq-core-client.jar
rm -f $RPM_BUILD_ROOT%{jbhomedir}/client/hornetq-jms-client.jar
%endif
cp -pr lib/* $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr server $RPM_BUILD_ROOT%{jbossdir}
cp -pr common $RPM_BUILD_ROOT%{jbossdir}

install -p -m 644 copyright.txt $RPM_BUILD_ROOT%{jbossdir}
install -p -m 644 jar-versions.xml $RPM_BUILD_ROOT%{jbossdir}
install -p -m 644 lgpl.html $RPM_BUILD_ROOT%{jbossdir}
%if %without production
install -p -m 644 JBossORG-EULA.txt $RPM_BUILD_ROOT%{jbossdir}
%else
install -p -m 644 JBossEULA.txt $RPM_BUILD_ROOT%{jbossdir}
%endif

%if %with production
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%endif

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/bin
for script in classpath probe run shutdown twiddle wstools wsconsume wsrunclient wsprovide password_tool; do
  install -p -m 0755 bin/${script}.sh $RPM_BUILD_ROOT%{jbossdir}/bin/${script}.sh
  ln -sf %{jbossdir}/bin/${script}.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-${script}
done
install -p -m 644 bin/*.jar $RPM_BUILD_ROOT%{jbossdir}/bin
install -p -m 644 bin/server.policy.cert $RPM_BUILD_ROOT%{jbossdir}/bin
ln -sf %{jbossdir}/bin/server.policy.cert $RPM_BUILD_ROOT%{_bindir}/server.policy.cert
install -p -m 644 bin/JBossPublicKey.RSA $RPM_BUILD_ROOT%{jbossdir}/bin
ln -sf %{jbossdir}/bin/JBossPublicKey.RSA $RPM_BUILD_ROOT%{_bindir}/JBossPublicKey.RSA
pushd $RPM_BUILD_ROOT%{jbossdir}/bin
ln -sf %{_sysconfdir}/%{name}/run.conf .
popd

ln -s %{jbhomedir}/client $RPM_BUILD_ROOT%{jbossdir}/client
ln -s %{jbhomedir}/lib $RPM_BUILD_ROOT%{jbossdir}/lib
%if %without production
cp -pr docs/ $RPM_BUILD_ROOT%{jbossdir}/
%else
ln -s %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{jbossdir}/docs
%endif
ln -s %{jbossdir}/bin $RPM_BUILD_ROOT%{jbhomedir}/bin
%if %without production
ln -s %{jbossdir}/docs $RPM_BUILD_ROOT%{jbhomedir}/docs
%else
ln -s %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{jbhomedir}/docs
%endif
ln -s %{jbossdir}/server $RPM_BUILD_ROOT%{jbhomedir}/server
ln -s %{jbossdir}/common $RPM_BUILD_ROOT%{jbhomedir}/common

%if %without production
%if %is_AS
for server in all default minimal standard web; do
%else
for server in default; do
%endif
%else
%if %is_AS
for server in all default minimal standard web production; do
%else
for server in default production; do
%endif
%endif
  mv $RPM_BUILD_ROOT%{jbossdir}/server/$server/conf \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$server
  ln -sf %{_sysconfdir}/%{name}/$server \
        $RPM_BUILD_ROOT%{jbossdir}/server/$server/conf
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/%{name}/$server
# avoid these symlinks for now
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/temp/$server
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/work/$server
# and replace them by straight dirs
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
#
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/data
  ln -s %{logdir}/%{name}/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
# avoid these symlinks for now
# ln -s %{tmpdir}/%{name}/temp/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
# ln -s %{tmpdir}/%{name}/work/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/work

%if %with production
  # re-link logs for -bin package
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/%{name}-%{jbver}/$server
  ln -s %{logdir}/%{name}-%{jbver}/$server $RPM_BUILD_ROOT/opt/%{name}-%{jbver}/server/$server/log
%endif
done
#cleanup
find $RPM_BUILD_ROOT -name "*.sav" -exec rm -f {} \;

popd

# Compute signatures for all archives in the install dirs
rm -f %{jbossarchivecsfile} 
for i in `find $RPM_BUILD_ROOT%{jbhomedir} $RPM_BUILD_ROOT%{jbossdir} -type f -name "*.?ar" | sort`; do
    sig=`/bin/sh %{SOURCE99} $i | awk '{print $1}'`
    /bin/sh %{SOURCE99} $i >> %{jbossarchivecsfile}
done

# We now have checksums of
# 1. Files from thirdparty
# 2. Files from repolib (brew)
# 3. Files in /usr/share/jbossas and /var/lib/jbossas
#
# Files from thirdparty will be copied/unversioned
# Files from repolib will be linked
# Remaining files will be copied/versioned

OLD_IFS=$IFS
IFS='
'

rm -f %{tmp_build_file_dir}/tpfiles %{tmp_build_file_dir}/rlibfiles 
rm -f %{tmp_build_file_dir}/builtfiles

# Identify files in thirdparty
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/tpfiles
        echo "###Binary:"$file
    fi
done

# Identify files from brew
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{rlibcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/rlibfiles
        echo "###Brew:"$file
    fi
done

# Identify files from neither
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`
    found=$found`grep $checksum %{rlibcsfile} || :`

    if [ -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/builtfiles
        echo "###Generated:"$file
    fi
done

# We created a list in %%prep with existing jar/ear/war files.. other than those, we install everything

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/rars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/sars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/wars

# Files to copy and version to /usr/share/java/jbossas (all built files)
while read archive; do

    # JBPAPP-4867 - Do not duplicate run.jar, shutdown.jar or twiddle.jar
    if echo $archive | grep -q -i -e run.jar -e shutdown.jar -e twiddle.jar ; then
      echo "JBPAPP-4867 Skipping $archive"
      continue
    fi

    # Fix for JBPAPP-5871
    # Do not make a symlink for jbossasall-client.jar as it is only Class-Path
    # and that breaks the twiddle script
    if echo $archive | grep -q "jbossall-client.jar" ; then
      echo "JBPAPP-5871 Skipping $archive"
      continue
    fi

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=""
    extension=${archive##*.}

    if [ $extension == "rar" ]; then
        dir=%{_javadir}/%{name}/rars
    elif [ $extension == "sar" ]; then
        dir=%{_javadir}/%{name}/sars
    elif [ $extension == "war" ]; then
        dir=%{_javadir}/%{name}/wars
    else
        dir=%{_javadir}/%{name}
    fi

    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    versionedname=`basename $archive | sed -e s:\\\\\(\\\..ar\\\\\):-%{version}\\\1:`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$versionedname ]; then
        sig1=`/bin/sh %{SOURCE99} $archive | awk '{print $1}'`
        sig2=`/bin/sh %{SOURCE99} $buildrootjavadir/$versionedname | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$versionedname"
            exit 1
        fi
    else
        install -p -m 644 $archive $buildrootjavadir/$versionedname
        ln -s $versionedname $buildrootjavadir/`basename $archive`
    fi

    # Remove archive from $JBOSS_HOME and link it
    rm -f $archive
    ln -s $dir/`basename $archive` $archive
    echo "###Built or altered file: " $archive

done < %{tmp_build_file_dir}/builtfiles

# Third party files to copy to /usr/share/java/jbossas/thirdparty (non brew built)
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/thirdparty
while read archive; do

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=%{_javadir}/%{name}/thirdparty
    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    filename=`basename $archive`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$filename ]; then
        sig1=`/bin/sh %{SOURCE99} $archive | awk '{print $1}'`
        sig2=`/bin/sh %{SOURCE99} $buildrootjavadir/$filename | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$filename"
            exit 1
        fi
    else
        install -p -m 644 $archive $buildrootjavadir/$filename
    fi

    # Remove archive from $JBOSS_HOME and link it
    rm -f $archive
    ln -s $dir/$filename $archive
    echo "###Binary dependency: " $archive

done < %{tmp_build_file_dir}/tpfiles

# Finally, link brew built jars...

# On RHEL-6 the signed JARs are on a different place
#export JPP_SIGNED=2

while read archive; do
    archive=$RPM_BUILD_ROOT$archive

    tosearch=`basename $archive`

    # Check for -sources.jar files and remove them
    sources=${tosearch%sources.jar}
    if [ $tosearch != $sources ]; then
      rm -f $archive
      echo "###Source archive removed: " $archive
      continue
    fi

    jarname=`grep -E "^$tosearch " %{SOURCE7} | awk '{print $2}' || :`
    jarfile=$(build-classpath $jarname) || :

    if [ -z "$jarname" ] || [ ! -r "$jarfile" ]; then
        echo "Incorrect/missing archive mapping for $archive"
        exit 1
    fi

    rm -f $archive
    ln -s $jarfile $archive
    realjarfile=`readlink -f $jarfile`
%if 0
    echo "###Requires: " `rpm -q --whatprovides $realjarfile`
%else
    echo "###Requires: rpm -q --root <chroot> --whatprovides " $realjarfile
%endif

done < %{tmp_build_file_dir}/rlibfiles

# Disabling this as it is probably already fixed and gets in the way of 
# Temporary workaround for JBAS-3433.
# See: http://jira.jboss.org/jira/browse/JBAS-3433
#for file in $RPM_BUILD_ROOT%{jbossdir}/bin/*.jar; do
#    filebasename=`basename $file`
#    rm -f $RPM_BUILD_ROOT%{jbossdir}/bin/$filebasename
#    /bin/cp -f $RPM_BUILD_ROOT/%{_javadir}/%{name}/$filebasename $RPM_BUILD_ROOT%{jbossdir}/bin/
#done

mkdir -p %{buildroot}%{_sysconfdir}/sgml
/bin/touch $RPM_BUILD_ROOT%{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat

%if %with production
install -dm 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev

# Copy over zips for the zip subpackage
install -p -m 644 %{jbver}/dist/%{name}-%{jbver}-noauth.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-noauth.zip
install -p -m 644 %{jbver}/dist/%{name}-%{jbver}-withauth.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-withauth.zip
%if %is_AS
install -p -m 644 %{jbver}/dist/%{name}-%{jbver}-hornetq.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-hornetq.zip
install -p -m 644 %{jbver}/dist/%{name}-%{jbver}-ec2.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-ec2.zip
%endif

# Copy over source zip for the src-zip subpackage
install -p -m 644 %{jbver}/dist/%{name}-%{jbver}-src.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-src.zip
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :
if [ "$1" = 2 ]; then
  # stop server before upgrade
  %{_initrddir}/%{name} stop >/dev/null 2>&1 || :
fi

%post
/bin/touch %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat 2>/dev/null || :
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null 2>&1 || :
fi
[ -x /sbin/chkconfig ] && /sbin/chkconfig --add %{name} || :

%preun
# remove service
if [ "$1" = 0 ]; then
  # on erase
  %{_initrddir}/%{name} stop > /dev/null 2>&1 || :
  [ -x /sbin/chkconfig ] && /sbin/chkconfig --del %{name}
fi

# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null 2>&1 || :
fi

%postun
# We NEVER, EVER remove users and groups from the system after they are added!
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jboss > /dev/null 2>&1 || :
#  groupdel jboss > /dev/null 2>&1 || :
#fi

%pre client
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :

%pre ws-native
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :

%if %is_AS
%pre messaging
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :
%endif


%files
%defattr(0644,jboss,jboss,0755)
%attr(0755,root,root) %{_initrddir}/%{name}
# avoid these symlinks for now
#%{tmpdir}/%{name}
# they were replaced by straight dirs
%{logdir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%dir %{_sysconfdir}/%{name}/default
%dir %{_sysconfdir}/%{name}/production
%if %is_AS
%dir %{_sysconfdir}/%{name}/all
%dir %{_sysconfdir}/%{name}/web
%dir %{_sysconfdir}/%{name}/standard
%dir %{_sysconfdir}/%{name}/minimal
%endif
%config(noreplace) %{_sysconfdir}/%{name}/*/bootstrap.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/jax-ws-catalog.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/jboss-log4j.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/jboss-service.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/standardjbosscmp-jdbc.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/standardjboss.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/*.properties
%config(noreplace) %{_sysconfdir}/%{name}/*/*.policy
%config(noreplace) %{_sysconfdir}/%{name}/*/bindingservice.beans
%config(noreplace) %{_sysconfdir}/%{name}/*/bootstrap
%config(noreplace) %{_sysconfdir}/%{name}/*/xmdesc
%dir %{_sysconfdir}/%{name}/*/props
%config(noreplace) %{_sysconfdir}/%{name}/*/props/jbossws-roles.properties
%config(noreplace) %{_sysconfdir}/%{name}/*/props/jbossws-users.properties
%config(noreplace) %{_sysconfdir}/%{name}/*/props/jmx-console-roles.properties
%config(noreplace) %{_sysconfdir}/%{name}/*/props/jmx-console-users.properties
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%if %is_AS
%else
%config(noreplace) %{jbossdir}/server/default/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{_sysconfdir}/%{name}/default/jbossts-properties.xml
%config(noreplace) %{_sysconfdir}/%{name}/production/jbossts-properties.xml
%config(noreplace) %{_sysconfdir}/%{name}/default/login-config.xml
%config(noreplace) %{_sysconfdir}/%{name}/production/login-config.xml
%endif
%if %with production
%doc %{_docdir}/%{name}-%{version}
%endif
%dir %{jbhomedir}
%{jbhomedir}/bin
%{jbhomedir}/common
%{jbhomedir}/docs
%dir %{jbhomedir}/lib
%{jbhomedir}/lib/*.jar
%dir %{jbhomedir}/lib/endorsed
%{jbhomedir}/lib/endorsed/activation.jar
%{jbhomedir}/lib/endorsed/jaxb-api.jar
%{jbhomedir}/lib/endorsed/resolver.jar
%{jbhomedir}/lib/endorsed/serializer.jar
#%%{jbhomedir}/lib/endorsed/stax-api.jar
%{jbhomedir}/lib/endorsed/xalan.jar
%{jbhomedir}/lib/endorsed/xercesImpl.jar
%{jbhomedir}/server
%if %is_AS
%dir %{jbossdir}
%else
%dir %{jbossdir}
# Homedir is /var/lib/jbossas even for jbossas-web
%dir %{_localstatedir}/lib/jbossas
%endif
%if %without production
%doc %{jbossdir}/JBossORG-EULA.txt
%else
%doc %{jbossdir}/JBossEULA.txt
%endif
%doc %{jbossdir}/copyright.txt
%{jbossdir}/jar-versions.xml
%doc %{jbossdir}/*.html
%dir %{jbossdir}/bin
%{jbossdir}/bin/*.jar
%attr(0755,root,root) %{_bindir}/%{name}-classpath
%attr(0755,root,root) %{_bindir}/%{name}-probe
%attr(0755,root,root) %{_bindir}/%{name}-run
%attr(0755,root,root) %{_bindir}/%{name}-shutdown
%attr(0755,root,root) %{_bindir}/%{name}-twiddle
%attr(0755,root,root) %{_bindir}/%{name}-password_tool
%attr(0755,root,root) %{_bindir}/%{name}-wsconsume
%attr(0755,root,root) %{_bindir}/%{name}-wsrunclient
%attr(0755,root,root) %{_bindir}/%{name}-wsprovide
%attr(0644,root,root) %{_bindir}/server.policy.cert
%attr(0644,root,root) %{_bindir}/JBossPublicKey.RSA
%attr(0755,jboss,jboss) %{jbossdir}/bin/classpath.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/probe.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/run.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/shutdown.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/twiddle.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/password_tool.sh
%attr(0644,jboss,jboss) %{jbossdir}/bin/server.policy.cert
%attr(0644,jboss,jboss) %{jbossdir}/bin/JBossPublicKey.RSA
%{jbossdir}/bin/run.conf
%dir %{jbossdir}/common
%{jbossdir}/common/lib/bsh.jar
%{jbossdir}/common/lib/bsh-bsf.jar
%if %is_AS
%{jbossdir}/common/lib/bsf.jar
%{jbossdir}/common/lib/joesnmp.jar
%{jbossdir}/common/lib/quartz.jar
# FIXME EWP As xnio-api.jar is kept ut, we should not deploy things that
# need it and any other remote3-related thing
%{jbossdir}/common/lib/xnio-api.jar
%endif
%{jbossdir}/common/lib/antlr.jar
%{jbossdir}/common/lib/asm.jar
%{jbossdir}/common/lib/autonumber-plugin.jar
%{jbossdir}/common/lib/bcel.jar
%{jbossdir}/common/lib/cglib.jar
%{jbossdir}/common/lib/commons-collections.jar
%{jbossdir}/common/lib/commons-logging.jar
%{jbossdir}/common/lib/ejb3-persistence.jar
%{jbossdir}/common/lib/el-api.jar
%{jbossdir}/common/lib/hibernate-annotations.jar
%{jbossdir}/common/lib/hibernate-c3p0.jar
%{jbossdir}/common/lib/hibernate-commons-annotations.jar
%{jbossdir}/common/lib/hibernate-core.jar
%{jbossdir}/common/lib/hibernate-ehcache.jar
%{jbossdir}/common/lib/hibernate-oscache.jar
%{jbossdir}/common/lib/hibernate-swarmcache.jar
%{jbossdir}/common/lib/hibernate-entitymanager.jar
%{jbossdir}/common/lib/hibernate-jmx.jar
%{jbossdir}/common/lib/hibernate-proxool.jar
%{jbossdir}/common/lib/hibernate-validator.jar
%{jbossdir}/common/lib/hsqldb.jar
%{jbossdir}/common/lib/hsqldb-plugin.jar
%{jbossdir}/common/lib/jaxen.jar
%{jbossdir}/common/lib/jbossas-remoting.jar
%{jbossdir}/common/lib/jboss-common-jdbc-wrapper.jar
%{jbossdir}/common/lib/jboss-current-invocation-aspects.jar
%{jbossdir}/common/lib/jboss-ejb3-cache.jar
%{jbossdir}/common/lib/jboss-ejb3-common.jar
%{jbossdir}/common/lib/jboss-ejb3-context-base.jar
%{jbossdir}/common/lib/jboss-ejb3-context-naming.jar
%{jbossdir}/common/lib/jboss-ejb3-core.jar
%{jbossdir}/common/lib/jboss-ejb3-deployers.jar
%{jbossdir}/common/lib/jboss-ejb3-endpoint.jar
%{jbossdir}/common/lib/jboss-ejb3-ext-api-impl.jar
%{jbossdir}/common/lib/jboss-ejb3-ext-api.jar
%{jbossdir}/common/lib/jboss-ejb3-interceptors.jar
%{jbossdir}/common/lib/jboss-ejb3-jpa-int.jar
%{jbossdir}/common/lib/jboss-ejb3-mc-int.jar
%{jbossdir}/common/lib/jboss-ejb3-metadata.jar
%{jbossdir}/common/lib/jboss-ejb3-proxy-clustered.jar
%{jbossdir}/common/lib/jboss-ejb3-proxy-impl.jar
%{jbossdir}/common/lib/jboss-ejb3-proxy-spi.jar
%{jbossdir}/common/lib/jboss-ejb3-security.jar
%{jbossdir}/common/lib/jboss-ejb3-timeout-3.0.jar
%{jbossdir}/common/lib/jboss-ejb3-timeout-spi.jar
%{jbossdir}/common/lib/jboss-ejb3-timerservice-spi.jar
%{jbossdir}/common/lib/jboss-ejb3-transactions.jar
%{jbossdir}/common/lib/jboss-ejb3-vfs-impl-vfs2.jar
%{jbossdir}/common/lib/jboss-ejb3-vfs-spi.jar
%{jbossdir}/common/lib/jboss-ha-client.jar
%{jbossdir}/common/lib/jbossha.jar
%{jbossdir}/common/lib/jboss-ha-server-api.jar
%{jbossdir}/common/lib/jboss-ha-server-cache-jbc.jar
%{jbossdir}/common/lib/jboss-ha-server-cache-spi.jar
%{jbossdir}/common/lib/jboss-hibernate.jar
%if %is_AS
%{jbossdir}/common/lib/jboss-iiop.jar
%endif
%{jbossdir}/common/lib/jboss-integration.jar
%{jbossdir}/common/lib/jboss.jar
%{jbossdir}/common/lib/jboss-jaspi-api.jar
%{jbossdir}/common/lib/jboss-jca.jar
%{jbossdir}/common/lib/jboss-jpa-deployers.jar
%{jbossdir}/common/lib/jboss-jsr77.jar
%{jbossdir}/common/lib/jboss-jsr88.jar
%{jbossdir}/common/lib/jbossjts-integration.jar
%{jbossdir}/common/lib/jbossjts-jacorb.jar
%{jbossdir}/common/lib/jbossjts.jar
%{jbossdir}/common/lib/jboss-management.jar
%{jbossdir}/common/lib/jboss-metadata.jar
%if %is_AS
%{jbossdir}/common/lib/jboss-monitoring.jar
%endif
%{jbossdir}/common/lib/jboss-negotiation.jar
%{jbossdir}/common/lib/jboss-profileservice.jar
%{jbossdir}/common/lib/jboss-remoting-aspects.jar
%{jbossdir}/common/lib/jboss-remoting.jar
%{jbossdir}/common/lib/jboss-security-aspects.jar
%{jbossdir}/common/lib/jboss-serialization.jar
%{jbossdir}/common/lib/jboss-srp.jar
%{jbossdir}/common/lib/jboss-threads.jar
%{jbossdir}/common/lib/jboss-transaction-aspects.jar
%{jbossdir}/common/lib/jbossts-common.jar
%{jbossdir}/common/lib/jbossws-common.jar
%{jbossdir}/common/lib/jbossws-framework.jar
%{jbossdir}/common/lib/jbossws-spi.jar
%{jbossdir}/common/lib/jbossxacml.jar
%{jbossdir}/common/lib/jmx-adaptor-plugin.jar
%{jbossdir}/common/lib/jnpserver.jar
%{jbossdir}/common/lib/jsp-api.jar
%{jbossdir}/common/lib/log4j.jar
%if %is_AS
%{jbossdir}/common/lib/log4j-snmp-appender.jar
%endif
%{jbossdir}/common/lib/mail.jar
%{jbossdir}/common/lib/mail-plugin.jar
%{jbossdir}/common/lib/properties-plugin.jar
%{jbossdir}/common/lib/scheduler-plugin-example.jar
%{jbossdir}/common/lib/scheduler-plugin.jar
%{jbossdir}/common/lib/servlet-api.jar
%{jbossdir}/common/lib/slf4j-api.jar
%{jbossdir}/common/lib/slf4j-jboss-logging.jar
%{jbossdir}/docs
%{jbossdir}/lib
%ghost %attr(-,root,root) %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat
%if %is_AS
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.properties
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.properties
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/jboss-console.skin.properties
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/messages_ja.properties
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/messages.properties
#%%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/seam.properties
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/components.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/exceptions.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/faces-config.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/navigation.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/on.component.taglib.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/pages.xml
%config(noreplace) %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cache-invalidation-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/deploy-hasingleton-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/farm-deployment-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/hajndi-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/ha-legacy-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/hapartition-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/jboss-cache-manager.sar/META-INF/jboss-cache-configs.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/jboss-cache-manager.sar/META-INF/jboss-cache-manager-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/jgroups-channelfactory.sar/META-INF/jgroups-channelfactory-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/jgroups-channelfactory.sar/META-INF/jgroups-channelfactory-stacks.xml
%config(noreplace) %{jbossdir}/server/all/deploy/cluster/timestamps-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ejb2-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ejb2-timer-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ejb3-connectors-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ejb3-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ejb3-interceptors-aop.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ejb3-timerservice-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/alias-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/bsh.deployer/META-INF/bsh-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/clustering-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/dependency-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/directory-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/ear-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/ejb3.deployer/META-INF/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/ejb3.deployer/META-INF/jpa-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/hibernate-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/base-aspects.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/META-INF/jboss-aspect-library-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jboss-jca.deployer/META-INF/jca-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jboss-threads.deployer/META-INF/threads-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossweb.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossweb.deployer/META-INF/war-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossweb.deployer/web.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossws.deployer/META-INF/jbossws-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossws.deployer/META-INF/standard-jaxrpc-client-config.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossws.deployer/META-INF/standard-jaxrpc-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossws.deployer/META-INF/standard-jaxws-client-config.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jbossws.deployer/META-INF/standard-jaxws-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/all/deployers/jsr77-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/logbridge-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/metadata-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/seam.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/all/deployers/seam.deployer/META-INF/seam-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/security-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deployers/xnio.deployer/META-INF/xnio-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/hdscanner-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/hsqldb-ds.xml
%config(noreplace) %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/httpha-invoker.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/iiop-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/context.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/server.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jca-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-invoker-service.xml
#%config(noreplace) %{jbossdir}/server/all/deploy/jmx-remoting.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jsr88-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/juddi.properties
%config(noreplace) %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/juddi-service.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/legacy-invokers-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/mail-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/management/console-mgr.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/web-console-roles.properties
%config(noreplace) %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/web-console-users.properties
%config(noreplace) %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
%config(noreplace) %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/monitoring-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/profileservice-jboss-beans.xml
#%config(noreplace) %{jbossdir}/server/all/deploy/profileservice-secured.jar/META-INF/ejb-jar.xml
#%config(noreplace) %{jbossdir}/server/all/deploy/profileservice-secured.jar/profileservice-roles.properties
#%config(noreplace) %{jbossdir}/server/all/deploy/profileservice-secured.jar/profileservice-users.properties
%config(noreplace) %{jbossdir}/server/all/deploy/properties-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/remoting-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ROOT.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/ROOT.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/schedule-manager-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/scheduler-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/security/security-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/security/security-policies-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/snmp-adaptor.sar/attributes.xml
%config(noreplace) %{jbossdir}/server/all/deploy/snmp-adaptor.sar/managers.xml
%config(noreplace) %{jbossdir}/server/all/deploy/snmp-adaptor.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/snmp-adaptor.sar/notifications.xml
%config(noreplace) %{jbossdir}/server/all/deploy/sqlexception-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/transaction-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/transaction-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/uuid-key-generator.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/vfs-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/xnio-provider.jar/META-INF/xnio-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/farm/cluster-examples-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.properties
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.properties
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/jboss-console.skin.properties
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/messages_ja.properties
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/messages.properties
#%%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/seam.properties
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/components.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/exceptions.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/faces-config.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/navigation.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/on.component.taglib.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/pages.xml
%config(noreplace) %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/web.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/cache-invalidation-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/ejb2-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/ejb2-timer-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/ejb3-connectors-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/ejb3-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/ejb3-interceptors-aop.xml
%config(noreplace) %{jbossdir}/server/default/deploy/ejb3-timerservice-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/alias-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/bsh.deployer/META-INF/bsh-deployers-jboss-beans.xml
# This file exists only in production profile
#%config(noreplace) %{jbossdir}/server/default/deployers/clustering-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/dependency-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/directory-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/ear-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/ejb3.deployer/META-INF/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/ejb3.deployer/META-INF/jpa-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/hibernate-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/base-aspects.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/META-INF/jboss-aspect-library-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jboss-jca.deployer/META-INF/jca-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jboss-threads.deployer/META-INF/threads-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossweb.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossweb.deployer/META-INF/war-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossweb.deployer/web.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossws.deployer/META-INF/jbossws-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossws.deployer/META-INF/standard-jaxrpc-client-config.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossws.deployer/META-INF/standard-jaxrpc-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossws.deployer/META-INF/standard-jaxws-client-config.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jbossws.deployer/META-INF/standard-jaxws-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/default/deployers/jsr77-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/logbridge-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/metadata-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/seam.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/default/deployers/seam.deployer/META-INF/seam-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/security-deployer-jboss-beans.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deployers/xnio.deployer/META-INF/xnio-deployer-jboss-beans.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/hdscanner-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/hsqldb-ds.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/META-INF/jboss-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/context.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/server.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jca-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-invoker-service.xml
#%config(noreplace) %{jbossdir}/server/default/deploy/jmx-remoting.sar/META-INF/jboss-service.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/jsr88-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/legacy-invokers-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/mail-service.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/management/console-mgr.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/web-console-roles.properties
%config(noreplace) %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/web-console-users.properties
%config(noreplace) %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
%config(noreplace) %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/monitoring-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/profileservice-jboss-beans.xml
#%config(noreplace) %{jbossdir}/server/default/deploy/profileservice-secured.jar/META-INF/ejb-jar.xml
#%config(noreplace) %{jbossdir}/server/default/deploy/profileservice-secured.jar/profileservice-roles.properties
#%config(noreplace) %{jbossdir}/server/default/deploy/profileservice-secured.jar/profileservice-users.properties
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/properties-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/remoting-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/ROOT.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/ROOT.war/WEB-INF/jboss-web.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/schedule-manager-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/scheduler-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/security/security-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/security/security-policies-jboss-beans.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/sqlexception-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/transaction-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/transaction-service.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/uuid-key-generator.sar/META-INF/jboss-service.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/vfs-jboss-beans.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/default/deploy/xnio-provider.jar/META-INF/xnio-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/minimal/deploy/hdscanner-jboss-beans.xml
%endif
%if %with production
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.properties
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.properties
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/jboss-console.skin.properties
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/messages_ja.properties
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/messages.properties
#%%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/seam.properties
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/components.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/exceptions.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/faces-config.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/navigation.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/on.component.taglib.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/pages.xml
%config(noreplace) %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/web.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/cache-invalidation-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/deploy-hasingleton-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/farm-deployment-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/hajndi-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/ha-legacy-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/hapartition-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/jboss-cache-manager.sar/META-INF/jboss-cache-configs.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/jboss-cache-manager.sar/META-INF/jboss-cache-manager-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/jgroups-channelfactory.sar/META-INF/jgroups-channelfactory-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/jgroups-channelfactory.sar/META-INF/jgroups-channelfactory-stacks.xml
%config(noreplace) %{jbossdir}/server/production/deploy/cluster/timestamps-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ejb2-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ejb2-timer-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ejb3-connectors-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ejb3-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ejb3-interceptors-aop.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ejb3-timerservice-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/alias-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/bsh.deployer/META-INF/bsh-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/clustering-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/dependency-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/directory-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/ear-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/ejb3.deployer/META-INF/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/ejb3.deployer/META-INF/jpa-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/hibernate-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/base-aspects.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/META-INF/jboss-aspect-library-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jboss-jca.deployer/META-INF/jca-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jboss-threads.deployer/META-INF/threads-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossweb.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossweb.deployer/META-INF/war-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossweb.deployer/web.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossws.deployer/META-INF/jbossws-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossws.deployer/META-INF/standard-jaxrpc-client-config.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossws.deployer/META-INF/standard-jaxrpc-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossws.deployer/META-INF/standard-jaxws-client-config.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossws.deployer/META-INF/standard-jaxws-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jsr77-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/logbridge-jboss-beans.xml
%if %is_AS
%endif
%config(noreplace) %{jbossdir}/server/production/deployers/metadata-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/seam.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/production/deployers/seam.deployer/META-INF/seam-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/security-deployer-jboss-beans.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deployers/xnio.deployer/META-INF/xnio-deployer-jboss-beans.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/hdscanner-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/hsqldb-ds.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/httpha-invoker.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/iiop-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/jbossweb.sar/context.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jbossweb.sar/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jbossweb.sar/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jbossweb.sar/server.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jca-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jmx-invoker-service.xml
#%config(noreplace) %{jbossdir}/server/production/deploy/jmx-remoting.sar/META-INF/jboss-service.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/jsr88-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/juddi.properties
%config(noreplace) %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/juddi-service.sar/META-INF/jboss-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/legacy-invokers-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/mail-service.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/management/console-mgr.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/web-console-roles.properties
%config(noreplace) %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/web-console-users.properties
%config(noreplace) %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
%config(noreplace) %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/monitoring-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/profileservice-jboss-beans.xml
#%config(noreplace) %{jbossdir}/server/production/deploy/profileservice-secured.jar/META-INF/ejb-jar.xml
#%config(noreplace) %{jbossdir}/server/production/deploy/profileservice-secured.jar/profileservice-roles.properties
#%config(noreplace) %{jbossdir}/server/production/deploy/profileservice-secured.jar/profileservice-users.properties
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/properties-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/remoting-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ROOT.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/ROOT.war/WEB-INF/jboss-web.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/schedule-manager-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/scheduler-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/security/security-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/security/security-policies-jboss-beans.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/snmp-adaptor.sar/attributes.xml
%config(noreplace) %{jbossdir}/server/production/deploy/snmp-adaptor.sar/managers.xml
%config(noreplace) %{jbossdir}/server/production/deploy/snmp-adaptor.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/snmp-adaptor.sar/notifications.xml
%config(noreplace) %{jbossdir}/server/production/deploy/sqlexception-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/transaction-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/transaction-service.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/uuid-key-generator.sar/META-INF/jboss-service.xml
%endif
%config(noreplace) %{jbossdir}/server/production/deploy/vfs-jboss-beans.xml
%if %is_AS
%config(noreplace) %{jbossdir}/server/production/deploy/xnio-provider.jar/META-INF/xnio-jboss-beans.xml
# File below removed from EWP according to discussion in JBPAPP-3230
%config(noreplace) %{jbossdir}/server/production/farm/cluster-examples-service.xml
%endif
# This is the endif for with_production
%endif
%if %is_AS
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.properties
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5/pom.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.properties
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core/pom.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/jboss-console.skin.properties
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/messages_ja.properties
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/messages.properties
#%%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/seam.properties
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/components.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/exceptions.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/faces-config.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/navigation.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/on.component.taglib.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/pages.xml
%config(noreplace) %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ejb2-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ejb2-timer-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ejb3-connectors-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ejb3-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ejb3-interceptors-aop.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ejb3-timerservice-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/alias-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/bsh.deployer/META-INF/bsh-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/clustering-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/dependency-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/directory-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/ear-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/ejb3.deployer/META-INF/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/ejb3.deployer/META-INF/jpa-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/hibernate-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/base-aspects.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/META-INF/jboss-aspect-library-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jboss-jca.deployer/META-INF/jca-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jboss-threads.deployer/META-INF/threads-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossweb.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossweb.deployer/META-INF/war-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossweb.deployer/web.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossws.deployer/META-INF/jbossws-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossws.deployer/META-INF/standard-jaxrpc-client-config.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossws.deployer/META-INF/standard-jaxrpc-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossws.deployer/META-INF/standard-jaxws-client-config.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossws.deployer/META-INF/standard-jaxws-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jsr77-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/logbridge-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/metadata-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/seam.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/seam.deployer/META-INF/seam-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/security-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/xnio.deployer/META-INF/xnio-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/hdscanner-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/hsqldb-ds.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/iiop-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossweb.sar/context.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossweb.sar/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossweb.sar/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossweb.sar/server.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jca-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jmx-invoker-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jsr88-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/juddi.properties
%config(noreplace) %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/juddi-service.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/legacy-invokers-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/mail-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/profileservice-jboss-beans.xml
#%config(noreplace) %{jbossdir}/server/standard/deploy/profileservice-secured.jar/META-INF/ejb-jar.xml
#%config(noreplace) %{jbossdir}/server/standard/deploy/profileservice-secured.jar/profileservice-roles.properties
#%config(noreplace) %{jbossdir}/server/standard/deploy/profileservice-secured.jar/profileservice-users.properties
%config(noreplace) %{jbossdir}/server/standard/deploy/remoting-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ROOT.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/ROOT.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/security/security-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/security/security-policies-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/transaction-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/transaction-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/xnio-provider.jar/META-INF/xnio-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ejb3-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/alias-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/ejb3.deployer/META-INF/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/ejb3.deployer/META-INF/jpa-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/base-aspects.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/META-INF/jboss-aspect-library-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jboss-jca.deployer/META-INF/jca-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossweb.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossweb.deployer/META-INF/war-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossweb.deployer/web.xml
%config(noreplace) %{jbossdir}/server/web/deployers/metadata-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/security-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/hdscanner-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/hsqldb-ds.xml
#%config(noreplace) %{jbossdir}/server/web/deploy/http-invoker.sar/invoker.war/WEB-INF/jboss-web.xml
#%config(noreplace) %{jbossdir}/server/web/deploy/http-invoker.sar/invoker.war/WEB-INF/web.xml
#%config(noreplace) %{jbossdir}/server/web/deploy/http-invoker.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jbossweb.sar/context.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jbossweb.sar/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jbossweb.sar/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jbossweb.sar/server.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jca-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jmx-invoker-service.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ROOT.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ROOT.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/web/deploy/security/security-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/security/security-policies-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/transaction-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/cluster/jboss-cache-manager.sar/META-INF/jboss-cache-configs.xml
%config(noreplace) %{jbossdir}/server/web/deploy/cluster/jboss-cache-manager.sar/META-INF/jboss-cache-manager-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/cluster/jgroups-channelfactory.sar/META-INF/jgroups-channelfactory-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/cluster/jgroups-channelfactory.sar/META-INF/jgroups-channelfactory-stacks.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ejb2-container-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ejb2-timer-service.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ejb3-connectors-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ejb3-interceptors-aop.xml
%config(noreplace) %{jbossdir}/server/web/deploy/ejb3-timerservice-jboss-beans.xml
#%config(noreplace) %{jbossdir}/server/web/deploy/jmx-remoting.sar/META-INF/jboss-service.xml
%config(noreplace) %{jbossdir}/server/web/deploy/legacy-invokers-service.xml
%config(noreplace) %{jbossdir}/server/web/deploy/mail-service.xml
%config(noreplace) %{jbossdir}/server/web/deploy/profileservice-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/remoting-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/transaction-service.xml
%config(noreplace) %{jbossdir}/server/web/deploy/vfs-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deploy/xnio-provider.jar/META-INF/xnio-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/bsh.deployer/META-INF/bsh-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/clustering-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/dependency-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/directory-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/ear-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/ejb3-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/hibernate-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jboss-threads.deployer/META-INF/threads-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossws.deployer/META-INF/jbossws-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossws.deployer/META-INF/standard-jaxrpc-client-config.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossws.deployer/META-INF/standard-jaxrpc-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossws.deployer/META-INF/standard-jaxws-client-config.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossws.deployer/META-INF/standard-jaxws-endpoint-config.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jsr77-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/logbridge-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/seam.deployer/META-INF/jboss-structure.xml
%config(noreplace) %{jbossdir}/server/web/deployers/seam.deployer/META-INF/seam-deployers-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/xnio.deployer/META-INF/xnio-deployer-jboss-beans.xml
%endif
%dir %{_javadir}/%{name}
%dir %{_javadir}/%{name}/rars
%dir %{_javadir}/%{name}/sars
%dir %{_javadir}/%{name}/thirdparty
%dir %{_javadir}/%{name}/wars
%dir %{jbossdir}/server
%if %is_AS
%dir %{jbossdir}/server/all
%dir %{jbossdir}/server/all/data
%dir %{jbossdir}/server/all/deploy
%dir %{jbossdir}/server/all/deploy/admin-console.war
%dir %{jbossdir}/server/all/deploy/admin-console.war/css
%dir %{jbossdir}/server/all/deploy/admin-console.war/images
%dir %{jbossdir}/server/all/deploy/admin-console.war/js
%dir %{jbossdir}/server/all/deploy/admin-console.war/META-INF
%dir %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven
%dir %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven/org.jboss.jopr
%dir %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5
%dir %{jbossdir}/server/all/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core
%dir %{jbossdir}/server/all/deploy/admin-console.war/plugins
%dir %{jbossdir}/server/all/deploy/admin-console.war/secure
%dir %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF
%dir %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes
%dir %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets
%dir %{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib
%dir %{jbossdir}/server/all/deploy/cluster
%dir %{jbossdir}/server/all/deploy/cluster/jboss-cache-manager.sar
%dir %{jbossdir}/server/all/deploy/cluster/jboss-cache-manager.sar/META-INF
%dir %{jbossdir}/server/all/deploy/cluster/jgroups-channelfactory.sar
%dir %{jbossdir}/server/all/deploy/cluster/jgroups-channelfactory.sar/META-INF
%dir %{jbossdir}/server/all/deploy/deploy.last
%dir %{jbossdir}/server/all/deployers
%dir %{jbossdir}/server/all/deployers/bsh.deployer
%dir %{jbossdir}/server/all/deployers/bsh.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/ejb3.deployer
%dir %{jbossdir}/server/all/deployers/ejb3.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer
%dir %{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/jboss-jca.deployer
%dir %{jbossdir}/server/all/deployers/jboss-jca.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/jboss-threads.deployer
%dir %{jbossdir}/server/all/deployers/jboss-threads.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/jbossweb.deployer
%dir %{jbossdir}/server/all/deployers/jbossweb.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/jbossws.deployer
%dir %{jbossdir}/server/all/deployers/jbossws.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/seam.deployer
%dir %{jbossdir}/server/all/deployers/seam.deployer/lib-int
%dir %{jbossdir}/server/all/deployers/seam.deployer/META-INF
%dir %{jbossdir}/server/all/deployers/xnio.deployer
%dir %{jbossdir}/server/all/deployers/xnio.deployer/META-INF
%dir %{jbossdir}/server/all/deploy-hasingleton
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet
%dir %{jbossdir}/server/all/deploy/httpha-invoker.sar/META-INF
%dir %{jbossdir}/server/all/deploy/jbossweb.sar
%dir %{jbossdir}/server/all/deploy/jbossweb.sar/jsf-libs
%dir %{jbossdir}/server/all/deploy/jbossweb.sar/META-INF
%dir %{jbossdir}/server/all/deploy/jbossws.sar
%dir %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war
%dir %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/META-INF
%dir %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/META-INF/maven
%dir %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/WEB-INF
%dir %{jbossdir}/server/all/deploy/jmx-console.war
%dir %{jbossdir}/server/all/deploy/jmx-console.war/cluster
%dir %{jbossdir}/server/all/deploy/jmx-console.war/images
%dir %{jbossdir}/server/all/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model
%dir %{jbossdir}/server/all/deploy/juddi-service.sar
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/classes
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr/juddi
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/META-INF
%dir %{jbossdir}/server/all/deploy/juddi-service.sar/META-INF/ddl
%dir %{jbossdir}/server/all/deploy/management
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/META-INF
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/css
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/META-INF
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes
%dir %{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/tlds
%dir %{jbossdir}/server/all/deploy/ROOT.war
%dir %{jbossdir}/server/all/deploy/ROOT.war/css
%dir %{jbossdir}/server/all/deploy/ROOT.war/images
%dir %{jbossdir}/server/all/deploy/ROOT.war/manager
%dir %{jbossdir}/server/all/deploy/ROOT.war/WEB-INF
%dir %{jbossdir}/server/all/deploy/security
%dir %{jbossdir}/server/all/deploy/snmp-adaptor.sar
%dir %{jbossdir}/server/all/deploy/snmp-adaptor.sar/META-INF
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/META-INF
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/org
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo
%dir %{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid
%dir %{jbossdir}/server/all/deploy/xnio-provider.jar
%dir %{jbossdir}/server/all/deploy/xnio-provider.jar/META-INF
%dir %{jbossdir}/server/all/farm
%dir %{jbossdir}/server/all/lib
%dir %{jbossdir}/server/all/tmp
%dir %{jbossdir}/server/all/work
%endif
%dir %{jbossdir}/server/default
%dir %{jbossdir}/server/default/data
%dir %{jbossdir}/server/default/deploy
%dir %{jbossdir}/server/default/deploy/admin-console.war
%dir %{jbossdir}/server/default/deploy/admin-console.war/css
%dir %{jbossdir}/server/default/deploy/admin-console.war/images
%dir %{jbossdir}/server/default/deploy/admin-console.war/js
%dir %{jbossdir}/server/default/deploy/admin-console.war/META-INF
%dir %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven
%dir %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven/org.jboss.jopr
%dir %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5
%dir %{jbossdir}/server/default/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core
%dir %{jbossdir}/server/default/deploy/admin-console.war/plugins
%dir %{jbossdir}/server/default/deploy/admin-console.war/secure
%dir %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF
%dir %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes
%dir %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets
%dir %{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib
%dir %{jbossdir}/server/default/deployers
%dir %{jbossdir}/server/default/deployers/bsh.deployer
%dir %{jbossdir}/server/default/deployers/bsh.deployer/META-INF
%dir %{jbossdir}/server/default/deployers/ejb3.deployer
%dir %{jbossdir}/server/default/deployers/ejb3.deployer/META-INF
%dir %{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer
%dir %{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/META-INF
%dir %{jbossdir}/server/default/deployers/jboss-jca.deployer
%dir %{jbossdir}/server/default/deployers/jboss-jca.deployer/META-INF
%dir %{jbossdir}/server/default/deployers/jboss-threads.deployer
%dir %{jbossdir}/server/default/deployers/jboss-threads.deployer/META-INF
%dir %{jbossdir}/server/default/deployers/jbossweb.deployer
%dir %{jbossdir}/server/default/deployers/jbossweb.deployer/META-INF
%dir %{jbossdir}/server/default/deployers/jbossws.deployer
%dir %{jbossdir}/server/default/deployers/jbossws.deployer/META-INF
%dir %{jbossdir}/server/default/deployers/seam.deployer
%dir %{jbossdir}/server/default/deployers/seam.deployer/lib-int
%dir %{jbossdir}/server/default/deployers/seam.deployer/META-INF
%if %is_AS
%dir %{jbossdir}/server/default/deployers/xnio.deployer
%dir %{jbossdir}/server/default/deployers/xnio.deployer/META-INF
%dir %{jbossdir}/server/default/deploy/http-invoker.sar
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/META-INF
%endif
%dir %{jbossdir}/server/default/deploy/jbossweb.sar
%dir %{jbossdir}/server/default/deploy/jbossweb.sar/jsf-libs
%dir %{jbossdir}/server/default/deploy/jbossweb.sar/META-INF
%dir %{jbossdir}/server/default/deploy/jbossws.sar
%dir %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war
%dir %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/META-INF
%dir %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/META-INF/maven
%dir %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/WEB-INF
%dir %{jbossdir}/server/default/deploy/jmx-console.war
%dir %{jbossdir}/server/default/deploy/jmx-console.war/cluster
%dir %{jbossdir}/server/default/deploy/jmx-console.war/images
%dir %{jbossdir}/server/default/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model
%if %is_AS
%dir %{jbossdir}/server/default/deploy/management
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/META-INF
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/css
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/META-INF
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes
%dir %{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/tlds
%endif
%dir %{jbossdir}/server/default/deploy/ROOT.war
%dir %{jbossdir}/server/default/deploy/ROOT.war/css
%dir %{jbossdir}/server/default/deploy/ROOT.war/images
%dir %{jbossdir}/server/default/deploy/ROOT.war/manager
%dir %{jbossdir}/server/default/deploy/ROOT.war/WEB-INF
%dir %{jbossdir}/server/default/deploy/security
%if %is_AS
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/META-INF
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/org
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo
%dir %{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid
%dir %{jbossdir}/server/default/deploy/xnio-provider.jar
%dir %{jbossdir}/server/default/deploy/xnio-provider.jar/META-INF
%endif
%dir %{jbossdir}/server/default/lib
%dir %{jbossdir}/server/default/log
%dir %{jbossdir}/server/default/tmp
%dir %{jbossdir}/server/default/work
%if %is_AS
%dir %{jbossdir}/server/minimal
%dir %{jbossdir}/server/minimal/data
%dir %{jbossdir}/server/minimal/deploy
%dir %{jbossdir}/server/minimal/deployers
%dir %{jbossdir}/server/minimal/lib
%dir %{jbossdir}/server/minimal/tmp
%dir %{jbossdir}/server/minimal/work
%endif
%if %with production
%dir %{jbossdir}/server/production
%dir %{jbossdir}/server/production/data
%dir %{jbossdir}/server/production/deploy
%dir %{jbossdir}/server/production/deploy/admin-console.war
%dir %{jbossdir}/server/production/deploy/admin-console.war/css
%dir %{jbossdir}/server/production/deploy/admin-console.war/images
%dir %{jbossdir}/server/production/deploy/admin-console.war/js
%dir %{jbossdir}/server/production/deploy/admin-console.war/META-INF
%dir %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven
%dir %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven/org.jboss.jopr
%dir %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5
%dir %{jbossdir}/server/production/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core
%dir %{jbossdir}/server/production/deploy/admin-console.war/plugins
%dir %{jbossdir}/server/production/deploy/admin-console.war/secure
%dir %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF
%dir %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes
%dir %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets
%dir %{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib
%dir %{jbossdir}/server/production/deploy/cluster
%dir %{jbossdir}/server/production/deploy/cluster/jboss-cache-manager.sar
%dir %{jbossdir}/server/production/deploy/cluster/jboss-cache-manager.sar/META-INF
%dir %{jbossdir}/server/production/deploy/cluster/jgroups-channelfactory.sar
%dir %{jbossdir}/server/production/deploy/cluster/jgroups-channelfactory.sar/META-INF
%if %is_AS
%dir %{jbossdir}/server/production/deploy/deploy.last
%endif
%dir %{jbossdir}/server/production/deployers
%dir %{jbossdir}/server/production/deployers/bsh.deployer
%dir %{jbossdir}/server/production/deployers/bsh.deployer/META-INF
%dir %{jbossdir}/server/production/deployers/ejb3.deployer
%dir %{jbossdir}/server/production/deployers/ejb3.deployer/META-INF
%dir %{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer
%dir %{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/META-INF
%dir %{jbossdir}/server/production/deployers/jboss-jca.deployer
%dir %{jbossdir}/server/production/deployers/jboss-jca.deployer/META-INF
%dir %{jbossdir}/server/production/deployers/jboss-threads.deployer
%dir %{jbossdir}/server/production/deployers/jboss-threads.deployer/META-INF
%dir %{jbossdir}/server/production/deployers/jbossweb.deployer
%dir %{jbossdir}/server/production/deployers/jbossweb.deployer/META-INF
%dir %{jbossdir}/server/production/deployers/jbossws.deployer
%dir %{jbossdir}/server/production/deployers/jbossws.deployer/META-INF
%dir %{jbossdir}/server/production/deployers/seam.deployer
%dir %{jbossdir}/server/production/deployers/seam.deployer/lib-int
%dir %{jbossdir}/server/production/deployers/seam.deployer/META-INF
%dir %{jbossdir}/server/production/deploy-hasingleton
%if %is_AS
%dir %{jbossdir}/server/production/deployers/xnio.deployer
%dir %{jbossdir}/server/production/deployers/xnio.deployer/META-INF
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet
%dir %{jbossdir}/server/production/deploy/httpha-invoker.sar/META-INF
%endif
%dir %{jbossdir}/server/production/deploy/jbossweb.sar
%dir %{jbossdir}/server/production/deploy/jbossweb.sar/jsf-libs
%dir %{jbossdir}/server/production/deploy/jbossweb.sar/META-INF
%dir %{jbossdir}/server/production/deploy/jbossws.sar
%dir %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war
%dir %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/META-INF
%dir %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/META-INF/maven
%dir %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/WEB-INF
%dir %{jbossdir}/server/production/deploy/jmx-console.war
%dir %{jbossdir}/server/production/deploy/jmx-console.war/cluster
%dir %{jbossdir}/server/production/deploy/jmx-console.war/images
%dir %{jbossdir}/server/production/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html
%dir %{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model
%if %is_AS
%dir %{jbossdir}/server/production/deploy/juddi-service.sar
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/classes
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr/juddi
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/META-INF
%dir %{jbossdir}/server/production/deploy/juddi-service.sar/META-INF/ddl
%dir %{jbossdir}/server/production/deploy/management
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/META-INF
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/css
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/META-INF
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes
%dir %{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/tlds
%endif
%dir %{jbossdir}/server/production/deploy/ROOT.war
%dir %{jbossdir}/server/production/deploy/ROOT.war/css
%dir %{jbossdir}/server/production/deploy/ROOT.war/images
%dir %{jbossdir}/server/production/deploy/ROOT.war/manager
%dir %{jbossdir}/server/production/deploy/ROOT.war/WEB-INF
%dir %{jbossdir}/server/production/deploy/security
%if %is_AS
%dir %{jbossdir}/server/production/deploy/snmp-adaptor.sar
%dir %{jbossdir}/server/production/deploy/snmp-adaptor.sar/META-INF
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/META-INF
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/org
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo
%dir %{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid
%dir %{jbossdir}/server/production/deploy/xnio-provider.jar
%dir %{jbossdir}/server/production/deploy/xnio-provider.jar/META-INF
%endif
%dir %{jbossdir}/server/production/farm
%dir %{jbossdir}/server/production/lib
%dir %{jbossdir}/server/production/tmp
%dir %{jbossdir}/server/production/work
%endif
%if %is_AS
%dir %{jbossdir}/server/standard
%dir %{jbossdir}/server/standard/data
%dir %{jbossdir}/server/standard/deploy
%dir %{jbossdir}/server/standard/deployers
%dir %{jbossdir}/server/standard/deployers/bsh.deployer
%dir %{jbossdir}/server/standard/deployers/bsh.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/ejb3.deployer
%dir %{jbossdir}/server/standard/deployers/ejb3.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer
%dir %{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/jboss-jca.deployer
%dir %{jbossdir}/server/standard/deployers/jboss-jca.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/jboss-threads.deployer
%dir %{jbossdir}/server/standard/deployers/jboss-threads.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/jbossweb.deployer
%dir %{jbossdir}/server/standard/deployers/jbossweb.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/jbossws.deployer
%dir %{jbossdir}/server/standard/deployers/jbossws.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/seam.deployer
%dir %{jbossdir}/server/standard/deployers/seam.deployer/lib-int
%dir %{jbossdir}/server/standard/deployers/seam.deployer/META-INF
%dir %{jbossdir}/server/standard/deployers/xnio.deployer
%dir %{jbossdir}/server/standard/deployers/xnio.deployer/META-INF
%dir %{jbossdir}/server/standard/deploy/jbossweb.sar
%dir %{jbossdir}/server/standard/deploy/jbossweb.sar/jsf-libs
%dir %{jbossdir}/server/standard/deploy/jbossweb.sar/META-INF
%dir %{jbossdir}/server/standard/deploy/jbossws.sar
%dir %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war
%dir %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/META-INF
%dir %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/META-INF/maven
%dir %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/WEB-INF
%dir %{jbossdir}/server/standard/deploy/jmx-console.war
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/cluster
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/images
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html
%dir %{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/classes
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr/juddi
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/META-INF
%dir %{jbossdir}/server/standard/deploy/juddi-service.sar/META-INF/ddl
%dir %{jbossdir}/server/standard/deploy/ROOT.war
%dir %{jbossdir}/server/standard/deploy/ROOT.war/css
%dir %{jbossdir}/server/standard/deploy/ROOT.war/images
%dir %{jbossdir}/server/standard/deploy/ROOT.war/manager
%dir %{jbossdir}/server/standard/deploy/ROOT.war/WEB-INF
%dir %{jbossdir}/server/standard/deploy/security
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/META-INF
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo
%dir %{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid
%dir %{jbossdir}/server/standard/deploy/xnio-provider.jar
%dir %{jbossdir}/server/standard/deploy/xnio-provider.jar/META-INF
%dir %{jbossdir}/server/standard/lib
%dir %{jbossdir}/server/standard/tmp
%dir %{jbossdir}/server/standard/work
%dir %{jbossdir}/server/web
%dir %{jbossdir}/server/web/data
%dir %{jbossdir}/server/web/deploy
%dir %{jbossdir}/server/web/deployers
%dir %{jbossdir}/server/web/deployers/bsh.deployer
%dir %{jbossdir}/server/web/deployers/bsh.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/ejb3.deployer
%dir %{jbossdir}/server/web/deployers/ejb3.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer
%dir %{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/jboss-jca.deployer
%dir %{jbossdir}/server/web/deployers/jboss-jca.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/jboss-threads.deployer
%dir %{jbossdir}/server/web/deployers/jboss-threads.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/jbossweb.deployer
%dir %{jbossdir}/server/web/deployers/jbossweb.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/jbossws.deployer
%dir %{jbossdir}/server/web/deployers/jbossws.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/seam.deployer
%dir %{jbossdir}/server/web/deployers/seam.deployer/lib-int
%dir %{jbossdir}/server/web/deployers/seam.deployer/META-INF
%dir %{jbossdir}/server/web/deployers/xnio.deployer
%dir %{jbossdir}/server/web/deployers/xnio.deployer/META-INF
%dir %{jbossdir}/server/web/deploy/admin-console.war
%dir %{jbossdir}/server/web/deploy/admin-console.war/css
%dir %{jbossdir}/server/web/deploy/admin-console.war/images
%dir %{jbossdir}/server/web/deploy/admin-console.war/js
%dir %{jbossdir}/server/web/deploy/admin-console.war/META-INF
%dir %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven
%dir %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven/org.jboss.jopr
%dir %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-jbas5
%dir %{jbossdir}/server/web/deploy/admin-console.war/META-INF/maven/org.jboss.jopr/jopr-embedded-core
%dir %{jbossdir}/server/web/deploy/admin-console.war/plugins
%dir %{jbossdir}/server/web/deploy/admin-console.war/secure
%dir %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF
%dir %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes
%dir %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets
%dir %{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib
%dir %{jbossdir}/server/web/deploy/cluster
%dir %{jbossdir}/server/web/deploy/cluster/jboss-cache-manager.sar
%dir %{jbossdir}/server/web/deploy/cluster/jboss-cache-manager.sar/META-INF
%dir %{jbossdir}/server/web/deploy/cluster/jgroups-channelfactory.sar
%dir %{jbossdir}/server/web/deploy/cluster/jgroups-channelfactory.sar/META-INF
%dir %{jbossdir}/server/web/deploy/jbossweb.sar
%dir %{jbossdir}/server/web/deploy/jbossweb.sar/jsf-libs
%dir %{jbossdir}/server/web/deploy/jbossweb.sar/META-INF
%dir %{jbossdir}/server/web/deploy/jmx-console.war
%dir %{jbossdir}/server/web/deploy/jmx-console.war/cluster
%dir %{jbossdir}/server/web/deploy/jmx-console.war/images
%dir %{jbossdir}/server/web/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html
%dir %{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model
%dir %{jbossdir}/server/web/deploy/ROOT.war
%dir %{jbossdir}/server/web/deploy/ROOT.war/css
%dir %{jbossdir}/server/web/deploy/ROOT.war/images
%dir %{jbossdir}/server/web/deploy/ROOT.war/manager
%dir %{jbossdir}/server/web/deploy/ROOT.war/WEB-INF
%dir %{jbossdir}/server/web/deploy/security
%dir %{jbossdir}/server/web/deploy/xnio-provider.jar
%dir %{jbossdir}/server/web/deploy/xnio-provider.jar/META-INF
%dir %{jbossdir}/server/web/lib
%dir %{jbossdir}/server/web/tmp
%dir %{jbossdir}/server/web/work
%dir %{jbossdir}/server/web/deploy/jbossws.sar
%dir %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war
%dir %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/META-INF
%dir %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/META-INF/maven
%dir %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/WEB-INF
%endif
%if %is_AS
%{_javadir}/%{name}/applet-%{version}.jar
%{_javadir}/%{name}/applet.jar
%endif
%{_javadir}/%{name}/autonumber-plugin-%{version}.jar
%{_javadir}/%{name}/autonumber-plugin.jar
%{_javadir}/%{name}/bsh-deployer-%{version}.jar
%{_javadir}/%{name}/bsh-deployer.jar
%if %is_AS
%{_javadir}/%{name}/console-mgr-classes-%{version}.jar
%{_javadir}/%{name}/console-mgr-classes.jar
%endif
%{_javadir}/%{name}/hsqldb-plugin-%{version}.jar
%{_javadir}/%{name}/hsqldb-plugin.jar
%{_javadir}/%{name}/jboss-%{version}.jar
%{_javadir}/%{name}/jboss-aspect-library-%{version}.jar
%{_javadir}/%{name}/jboss-aspect-library.jar
%{_javadir}/%{name}/jbossas-remoting-%{version}.jar
%{_javadir}/%{name}/jbossas-remoting.jar
%{_javadir}/%{name}/jboss-common-jdbc-wrapper-%{version}.jar
%{_javadir}/%{name}/jboss-common-jdbc-wrapper.jar
%{_javadir}/%{name}/jboss-ejb3-deployer-%{version}.jar
%{_javadir}/%{name}/jboss-ejb3-deployer.jar
%{_javadir}/%{name}/jboss-faces-%{version}.jar
%{_javadir}/%{name}/jboss-faces.jar
%{_javadir}/%{name}/jbossha-%{version}.jar
%{_javadir}/%{name}/jbossha.jar
%{_javadir}/%{name}/jboss-hibernate-%{version}.jar
%{_javadir}/%{name}/jboss-hibernate.jar
%if %is_AS
%{_javadir}/%{name}/jboss-iiop-%{version}.jar
%{_javadir}/%{name}/jboss-iiop.jar
%endif
%{_javadir}/%{name}/jboss.jar
%{_javadir}/%{name}/jboss-jca-%{version}.jar
%{_javadir}/%{name}/jboss-jca-deployer-%{version}.jar
%{_javadir}/%{name}/jboss-jca-deployer.jar
%{_javadir}/%{name}/jboss-jca.jar
%{_javadir}/%{name}/jboss-jmx-%{version}.jar
%{_javadir}/%{name}/jboss-jmx.jar
%{_javadir}/%{name}/jboss-jsr77-%{version}.jar
%{_javadir}/%{name}/jboss-jsr77.jar
%{_javadir}/%{name}/jboss-jsr88-%{version}.jar
%{_javadir}/%{name}/jboss-jsr88.jar
%{_javadir}/%{name}/jboss-main-%{version}.jar
%{_javadir}/%{name}/jboss-main.jar
%{_javadir}/%{name}/jboss-management-%{version}.jar
%{_javadir}/%{name}/jboss-management.jar
%{_javadir}/%{name}/jboss-mbeans-%{version}.jar
%{_javadir}/%{name}/jboss-mbeans.jar
%if %is_AS
%{_javadir}/%{name}/jboss-minimal-%{version}.jar
%{_javadir}/%{name}/jboss-minimal.jar
%{_javadir}/%{name}/jboss-monitoring-%{version}.jar
%{_javadir}/%{name}/jboss-monitoring.jar
%endif
%{_javadir}/%{name}/jboss-profileservice-%{version}.jar
%{_javadir}/%{name}/jboss-profileservice.jar
%{_javadir}/%{name}/jboss-srp-%{version}.jar
%{_javadir}/%{name}/jboss-srp.jar
%{_javadir}/%{name}/jbosssx-server-%{version}.jar
%{_javadir}/%{name}/jbosssx-server.jar
%{_javadir}/%{name}/jboss-system-%{version}.jar
%{_javadir}/%{name}/jboss-system.jar
%{_javadir}/%{name}/jboss-system-jmx-%{version}.jar
%{_javadir}/%{name}/jboss-system-jmx.jar
%{_javadir}/%{name}/jboss-web-deployer-%{version}.jar
%{_javadir}/%{name}/jboss-web-deployer.jar
%{_javadir}/%{name}/jboss-web-service-%{version}.jar
%{_javadir}/%{name}/jboss-web-service.jar
%{_javadir}/%{name}/jmx-adaptor-plugin-%{version}.jar
%{_javadir}/%{name}/jmx-adaptor-plugin.jar
%if %is_AS
%{_javadir}/%{name}/juddi-service-%{version}.jar
%{_javadir}/%{name}/juddi-service.jar
%endif
%{_javadir}/%{name}/log4j-boot-%{version}.jar
%{_javadir}/%{name}/log4j-boot.jar
%{_javadir}/%{name}/mail-plugin-%{version}.jar
%{_javadir}/%{name}/mail-plugin.jar
%if %is_AS
%{_javadir}/%{name}/otherimages-%{version}.jar
%{_javadir}/%{name}/otherimages.jar
%endif
%{_javadir}/%{name}/properties-plugin-%{version}.jar
%{_javadir}/%{name}/properties-plugin.jar
# These RARs are now directories, so thy are not files to be linked to
#%%{_javadir}/%{name}/rars/jboss-local-jdbc-%{version}.rar
%{_javadir}/%{name}/jboss-local-jdbc-%{version}.jar
%{_javadir}/%{name}/jboss-local-jdbc.jar
#%%{_javadir}/%{name}/rars/jboss-local-jdbc.rar
#%%{_javadir}/%{name}/rars/jboss-xa-jdbc-%{version}.rar
%{_javadir}/%{name}/jboss-xa-jdbc-%{version}.jar
%{_javadir}/%{name}/jboss-xa-jdbc.jar
#%%{_javadir}/%{name}/rars/jboss-xa-jdbc.rar
%if %is_AS
#%%{_javadir}/%{name}/rars/jms-ra-%{version}.rar
%{_javadir}/%{name}/jms-ra-%{version}.jar
%{_javadir}/%{name}/jms-ra.jar
#%%{_javadir}/%{name}/rars/jms-ra.rar
%endif
#%%{_javadir}/%{name}/rars/mail-ra-%{version}.rar
%{_javadir}/%{name}/mail-ra-%{version}.jar
%{_javadir}/%{name}/mail-ra.jar
#%%{_javadir}/%{name}/rars/mail-ra.rar
%if %is_AS
#%%{_javadir}/%{name}/rars/quartz-ra-%{version}.rar
%{_javadir}/%{name}/quartz-ra-%{version}.jar
%{_javadir}/%{name}/quartz-ra.jar
#%%{_javadir}/%{name}/rars/quartz-ra.rar
%endif
#%%{_javadir}/%{name}/run-%{version}.jar
#%%{_javadir}/%{name}/run.jar
%{_javadir}/%{name}/scheduler-plugin-%{version}.jar
%{_javadir}/%{name}/scheduler-plugin-example-%{version}.jar
%{_javadir}/%{name}/scheduler-plugin-example.jar
%{_javadir}/%{name}/scheduler-plugin.jar
#%%{_javadir}/%{name}/shutdown-%{version}.jar
#%%{_javadir}/%{name}/shutdown.jar
%if %is_AS
%{_javadir}/%{name}/snmp-adaptor-%{version}.jar
%{_javadir}/%{name}/snmp-adaptor.jar
%endif
#%%{_javadir}/%{name}/twiddle-%{version}.jar
#%%{_javadir}/%{name}/twiddle.jar

# FIXME Nothing should end up in thirdparty, but if it does list'em here
# (list of files not linked to as they should)
#%%{_javadir}/%{name}/thirdparty/<file>

%if %is_AS
%{jbossdir}/server/all/conf
%{jbossdir}/server/all/deploy/admin-console.war/css/console-style.css
%{jbossdir}/server/all/deploy/admin-console.war/css/form-style.css
%{jbossdir}/server/all/deploy/admin-console.war/error.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/images/ArrowNextDisa.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ArrowNextNorm.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ArrowPrevDisa.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ArrowPrevNorm.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/bkg_leftsidegrey.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/button_bkg.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/detailpanel_bkg.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/embjopr_logo.png
%{jbossdir}/server/all/deploy/admin-console.war/images/errorpage_icon.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/favicon.png
%{jbossdir}/server/all/deploy/admin-console.war/images/hdr_bkg.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/hdr_embeddedjopr_reg.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/hdr_jbossadminconsole.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/hdr_jbosslogo.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/header.png
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_datasource.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_formdescription.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_message_fail.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_message_inlineerror.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_message_success.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconCollapsed.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconExpanded.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconFolderDisa.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconFolderNorm.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconFolderUnkn.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconHomeDisa.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconHomeNorm.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconHomeUnkn.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconLeafDisa.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconLeafNorm.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconLeafUnkn.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconLinkArrowBlue.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconStatusAvailable.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconStatusUnavailable.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/iconStatusUnknown.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/icoServerRestartWarning.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_trigger_grey_collapse.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_trigger_grey_expand.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_trigger_wht_collapse.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/ico_trigger_wht_expand.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/left_gradient.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/nav_gradhdr_blue.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/nav_gradhdr_grey.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/spacer.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/swizzle_blue_closed.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/swizzle_blue_open.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/swizzle_grey_closed.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/swizzle_grey_open.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TabBkgActive.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TabBkgDisabled.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TabBkgHighlight.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TabBkgLeft.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TabBkgUnderline.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TablePrimary_Norm.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TablePrimary_Select.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/TableSecondary_Norm.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/temp_ok.gif
%{jbossdir}/server/all/deploy/admin-console.war/images/temp_reset.gif
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/breadcrumb.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/displayGlobalMessages.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/errorLayout.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/footer.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/formDropDownComponent.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/formRadioComponent.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/formSecretComponent.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/formTextAreaComponent.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/formTextAreaConverterComponent.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/formTextComponent.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/header.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/layout.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/resourceDataScroller.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/resourceForm.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/resourceNavigation.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/facelets/tabMenu.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/index.html
%{jbossdir}/server/all/deploy/admin-console.war/index.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/js/embedded.js
%{jbossdir}/server/all/deploy/admin-console.war/js/formValues.js
%{jbossdir}/server/all/deploy/admin-console.war/login.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/admin-console.war/plugins/hornetq-jopr-plugin.jar
%{jbossdir}/server/all/deploy/admin-console.war/plugins/jopr-hibernate-plugin.jar
%{jbossdir}/server/all/deploy/admin-console.war/plugins/jopr-jboss-as-5-plugin.jar
%{jbossdir}/server/all/deploy/admin-console.war/plugins/jopr-jboss-cache-v3-plugin.jar
%{jbossdir}/server/all/deploy/admin-console.war/plugins/rhq-jmx-plugin.jar
%{jbossdir}/server/all/deploy/admin-console.war/plugins/rhq-platform-plugin.jar
%{jbossdir}/server/all/deploy/admin-console.war/secure/addMap.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/addSimple.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/categorySummary.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/editMap.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/operationParameters.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/repeatNav.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceContentCreate.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceCreatePage1.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceInstanceConfig.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceInstanceContent.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceInstanceMetrics.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceInstanceOperation.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceInstanceSummary.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/resourceTypeSummary.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/rootSummary.xhtml
%{jbossdir}/server/all/deploy/admin-console.war/secure/viewResultsMap.xhtml
#%{jbossdir}/server/all/deploy/admin-console.war/security_error.xhtml
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ConfigTemplateSelectUtil.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentHistoryManagerBean.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentServerServiceImpl.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationHistoryManagerBean.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationServerServiceImpl.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementComparator.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementDisplay.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementIntegerValueAndUnits.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementUtils.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ResourceListItem.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/converter/OperationDefinitionConverter.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/EmbeddedInventoryEventListener.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupFilter.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$1.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEvent.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEventType.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LoggingInventoryEventListener.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/AbstractHistoryManager.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/content/ContentHistoryManager.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/HistoryManager.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/operation/OperationHistoryManager.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/DiscoveryException.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/PluginContainerResourceManager.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManager.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManagerFactory.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ResourceTypes.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/TextareaMapConverter.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ApplicationInfoAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SessionInfoAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/BootstrapAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/CommonActionUtil.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AbstractResourceConfigurationUIBean.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AddNewOpenMapMemberPropertyToResourceConfigurationUIBean.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ConfigHelperFactory.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/IdChunkFactory.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$1.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$ActionType.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/TemplateDropDownPopulator.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/AbstractFileUploadAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction$1.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction$1.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DatascrollerUIBean.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DebugAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DiscoveryAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ExceptionAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/FacesOutcomes.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/MetricAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$NodeMatcher.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$PathBasedNodeMatcher.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNameNodeMatcher.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNodeMatcher.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/DummyTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction$Tabs.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationContent.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/JONTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/NonSingletonResourceTypeTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/PlatformResourceTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTypeTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SingletonResourceTypeTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SubCategoryTreeNode.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResource.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResourceType.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ResourceAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction$1.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceContentAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction$1.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$NonSingletonResourceTypeOutcome.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$ResourceOutcome.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SubCategoryOutcome.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SummaryActionOutcome.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/TableManager.class
#%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/util/ContentUtility.class
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/commons-codec.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/commons-discovery.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/commons-beanutils.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/commons-collections.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/commons-digester.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/jboss-el.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/jboss-seam-debug.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/jboss-seam.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/jboss-seam-ui.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/jdom.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/jsf-facelets.jar
# FIXME  THIS FILE IS MISSING FROM jopr-embedded-jbas5.war !!!!
#%%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/i18nlog.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/jopr-embedded-core.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-comm-api.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-client-api.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-domain.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-gui.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-native-system.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-api.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-container.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/rhq-core-util.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/richfaces-api.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/richfaces-impl.jar
%{jbossdir}/server/all/deploy/admin-console.war/WEB-INF/lib/richfaces-ui.jar
%{jbossdir}/server/all/deploy/cluster/jbossweb-cluster.aop
%{jbossdir}/server/all/deployers/bsh.deployer/bsh-deployer.jar
%{jbossdir}/server/all/deployers/ejb3.deployer/META-INF/ejb3-iiop-deployers-jboss-beans.xml
%{jbossdir}/server/all/deployers/ejb3.deployer/jboss-ejb3-deployer.jar
%{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/jboss-aop-aspects.jar
%{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/jboss-aspect-library.jar
#%{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/jrockit-pluggable-instrumentor.jar
%{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deployers/jboss-aop-jboss5.deployer/pluggable-instrumentor.jar
%{jbossdir}/server/all/deployers/jboss-ejb3-endpoint-deployer.jar
%{jbossdir}/server/all/deployers/jboss-ejb3-metrics-deployer.jar
%{jbossdir}/server/all/deployers/jboss-jca.deployer/jboss-jca-deployer.jar
%{jbossdir}/server/all/deployers/jboss-threads.deployer/jboss-threads-metadata.jar
%{jbossdir}/server/all/deployers/jbossweb.deployer/jboss-web-deployer.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/FastInfoset.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/jbossws-common.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/jbossws-framework.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/jbossws-jboss50.jar
#%{jbossdir}/server/all/deployers/jbossws.deployer/policy.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/wsdl4j.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/xmlsec.jar
%{jbossdir}/server/all/deployers/seam.deployer/jboss-seam-int-microcontainer.jar
%{jbossdir}/server/all/deployers/seam.deployer/lib-int/jboss-seam-int-jbossas.jar
%{jbossdir}/server/all/deployers/xnio.deployer/xnio-metadata.jar
%{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet.class
%{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetCredentialAction.class
%{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetPrincipalAction.class
%{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/NamingFactoryServlet.class
%{jbossdir}/server/all/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/ReadOnlyAccessFilter.class
%{jbossdir}/server/all/deploy/jboss-local-jdbc.rar
%{jbossdir}/server/all/deploy/jbossweb.sar/jasper-jdt.jar
%{jbossdir}/server/all/deploy/jbossweb.sar/jbossweb.jar
%{jbossdir}/server/all/deploy/jbossweb.sar/jboss-web-service.jar
%{jbossdir}/server/all/deploy/jbossweb.sar/jsf-libs/jboss-faces.jar
%{jbossdir}/server/all/deploy/jbossweb.sar/jsf-libs/jsf-api.jar
%{jbossdir}/server/all/deploy/jbossweb.sar/jsf-libs/jsf-impl.jar
%{jbossdir}/server/all/deploy/jbossweb.sar/jstl.jar
%{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/jboss-xa-jdbc.rar
%{jbossdir}/server/all/deploy/jmx-console.war/cluster/bootstrap.html
%{jbossdir}/server/all/deploy/jmx-console.war/cluster/clusterView.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/cluster/index.html
%{jbossdir}/server/all/deploy/jmx-console.war/displayMBeans.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/displayOpResult.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/filterView.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/genericError.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/images/logo.gif
%{jbossdir}/server/all/deploy/jmx-console.war/index.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/inspectMBean.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/jboss.css
%{jbossdir}/server/all/deploy/jmx-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/jmx-console.war/style_master.css
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AddressPort.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AttrResultInfo.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/OpResultInfo.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/Server.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/ClusteredConsoleServlet.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$1.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$2.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$3.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$4.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$5.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/JMXOpsAccessControlFilter.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions$1.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/DomainData.class
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/MBeanData.class
#%{jbossdir}/server/all/deploy/jmx-remoting.sar/jbossas-jmx-remoting.jar
%{jbossdir}/server/all/deploy/juddi-service.sar/juddi.jar
%{jbossdir}/server/all/deploy/juddi-service.sar/juddi-saaj.jar
%{jbossdir}/server/all/deploy/juddi-service.sar/juddi-service.jar
%{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/index.html
%{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/styles.css
%{jbossdir}/server/all/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr/juddi/JUDDIServlet.class
%{jbossdir}/server/all/deploy/juddi-service.sar/META-INF/ddl/juddi_create_db.ddl
%{jbossdir}/server/all/deploy/juddi-service.sar/META-INF/ddl/juddi_data.ddl
%{jbossdir}/server/all/deploy/juddi-service.sar/META-INF/ddl/juddi_drop_db.ddl
%{jbossdir}/server/all/deploy/juddi-service.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/juddi-service.sar/scout.jar
%{jbossdir}/server/all/deploy/mail-ra.rar
%{jbossdir}/server/all/deploy/management/console-mgr.sar/console-mgr-classes.jar
%{jbossdir}/server/all/deploy/management/console-mgr.sar/jcommon.jar
%{jbossdir}/server/all/deploy/management/console-mgr.sar/jfreechart.jar
%{jbossdir}/server/all/deploy/management/console-mgr.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPBinding.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPClassMetaData.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPConstructorChain.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPConstructorConstructorCallerChain.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPConstructorMetaData.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPConstructorMethodCallerChain.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPDefaultMetaData.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPFieldChain.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPFieldMetaData.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPIntroductionPointcut.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPMetaData.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPMethodChain.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPMethodConstructorCallerChain.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPMethodMetaData.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/AOPMethodMethodCallerChain.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/applet.jar
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/applet.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/createSnapshot.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/createStringThresholdMonitor.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/createStringThresholdMonitorSummary.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/createThresholdMonitor.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/createThresholdMonitorSummary.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/css/dtree.css
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/css/jboss.css
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/dtree.js
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/EJB.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/EJBModule.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/EntityEjb.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/bean.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/beans.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/card.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/container.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/database.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/elements32.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/EspressoMaker.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/flash.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/jboss.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/jndiview.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/logo.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/otherimages.jar
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/recycle.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/rubiks.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/server.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/service.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/serviceset.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/servinghand.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/settings32.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/smallnet.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/spirale32.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/spirale.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/images/starfolder.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/base.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/cd.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/empty.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/folder.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/folderopen.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/globe.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/imgfolder.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/joinbottom.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/join.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/line.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/minusbottom.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/minus.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/musicfolder.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/nolines_minus.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/nolines_plus.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/page.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/plusbottom.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/plus.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/question.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/img/trash.gif
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/index.html
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/J2EEApp.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/JNDIView.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/listActiveAlarmTable.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/listMonitors.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/manageSnapshot.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/manageStringThresholdMonitor.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/manageThresholdMonitor.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/MdbEjb.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/Queue.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/ServerInfo.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/Servlet.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/StatefulEjb.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/StatelessEjb.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/SysProperties.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/Topic.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/TopicNavigation.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/TopicSubscriptions.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/Classloaders.bsh
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/J2EEFolder.bsh
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/JNDIView.bsh
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/SystemFolder.bsh
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/tlds/webconsole.tld
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/WebModule.jsp
%{jbossdir}/server/all/deploy/management/console-mgr.sar/web-console.war/xform.xsl
#%{jbossdir}/server/all/deploy/profileservice-secured.jar/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/quartz-ra.rar
%{jbossdir}/server/all/deploy/ROOT.war/css/jboss.css
%{jbossdir}/server/all/deploy/ROOT.war/favicon.ico
%{jbossdir}/server/all/deploy/ROOT.war/images/logo.gif
%{jbossdir}/server/all/deploy/ROOT.war/index.html
%{jbossdir}/server/all/deploy/ROOT.war/manager/xform.xsl
%{jbossdir}/server/all/deploy/snmp-adaptor.sar/attributes.mib
%{jbossdir}/server/all/deploy/snmp-adaptor.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/all/deploy/snmp-adaptor.sar/snmp-adaptor.jar
%{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGenerator.class
%{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactory.class
%{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactoryMBean.class
%{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGenerator.class
%{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactory.class
%{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryService.class
%{jbossdir}/server/all/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryServiceMBean.class
%{jbossdir}/server/all/deploy/xnio-provider.jar/xnio-nio.jar
#%{jbossdir}/server/all/lib/avalon-framework.jar
%{jbossdir}/server/all/lib/hibernate-jbosscache2.jar
%{jbossdir}/server/all/lib/jacorb.jar
%{jbossdir}/server/all/lib/jbosscache-core.jar
%{jbossdir}/server/all/lib/jbosscache-pojo.jar
%{jbossdir}/server/all/lib/jcip-annotations.jar
%{jbossdir}/server/all/lib/jgroups.jar
%{jbossdir}/server/all/log
%endif
%{jbossdir}/server/default/conf
%{jbossdir}/server/default/deploy/admin-console.war/css/console-style.css
%{jbossdir}/server/default/deploy/admin-console.war/css/form-style.css
%{jbossdir}/server/default/deploy/admin-console.war/error.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/images/ArrowNextDisa.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ArrowNextNorm.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ArrowPrevDisa.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ArrowPrevNorm.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/bkg_leftsidegrey.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/button_bkg.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/detailpanel_bkg.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/embjopr_logo.png
%{jbossdir}/server/default/deploy/admin-console.war/images/errorpage_icon.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/favicon.png
%{jbossdir}/server/default/deploy/admin-console.war/images/hdr_bkg.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/hdr_embeddedjopr_reg.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/hdr_jbossadminconsole.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/hdr_jbosslogo.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/header.png
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_datasource.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_formdescription.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_message_fail.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_message_inlineerror.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_message_success.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconCollapsed.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconExpanded.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconFolderDisa.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconFolderNorm.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconFolderUnkn.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconHomeDisa.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconHomeNorm.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconHomeUnkn.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconLeafDisa.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconLeafNorm.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconLeafUnkn.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconLinkArrowBlue.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconStatusAvailable.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconStatusUnavailable.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/iconStatusUnknown.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/icoServerRestartWarning.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_trigger_grey_collapse.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_trigger_grey_expand.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_trigger_wht_collapse.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/ico_trigger_wht_expand.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/left_gradient.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/nav_gradhdr_blue.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/nav_gradhdr_grey.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/spacer.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/swizzle_blue_closed.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/swizzle_blue_open.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/swizzle_grey_closed.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/swizzle_grey_open.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TabBkgActive.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TabBkgDisabled.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TabBkgHighlight.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TabBkgLeft.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TabBkgUnderline.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TablePrimary_Norm.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TablePrimary_Select.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/TableSecondary_Norm.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/temp_ok.gif
%{jbossdir}/server/default/deploy/admin-console.war/images/temp_reset.gif
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/breadcrumb.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/displayGlobalMessages.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/errorLayout.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/footer.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/formDropDownComponent.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/formRadioComponent.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/formSecretComponent.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/formTextAreaComponent.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/formTextAreaConverterComponent.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/formTextComponent.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/header.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/layout.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/resourceDataScroller.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/resourceForm.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/resourceNavigation.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/facelets/tabMenu.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/index.html
%{jbossdir}/server/default/deploy/admin-console.war/index.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/js/embedded.js
%{jbossdir}/server/default/deploy/admin-console.war/js/formValues.js
%{jbossdir}/server/default/deploy/admin-console.war/login.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/default/deploy/admin-console.war/plugins/hornetq-jopr-plugin.jar
%{jbossdir}/server/default/deploy/admin-console.war/plugins/jopr-hibernate-plugin.jar
%{jbossdir}/server/default/deploy/admin-console.war/plugins/jopr-jboss-as-5-plugin.jar
%{jbossdir}/server/default/deploy/admin-console.war/plugins/jopr-jboss-cache-v3-plugin.jar
%{jbossdir}/server/default/deploy/admin-console.war/plugins/rhq-jmx-plugin.jar
%{jbossdir}/server/default/deploy/admin-console.war/plugins/rhq-platform-plugin.jar
%{jbossdir}/server/default/deploy/admin-console.war/secure/addMap.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/addSimple.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/categorySummary.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/editMap.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/operationParameters.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/repeatNav.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceContentCreate.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceCreatePage1.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceInstanceConfig.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceInstanceContent.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceInstanceMetrics.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceInstanceOperation.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceInstanceSummary.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/resourceTypeSummary.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/rootSummary.xhtml
%{jbossdir}/server/default/deploy/admin-console.war/secure/viewResultsMap.xhtml
#%{jbossdir}/server/default/deploy/admin-console.war/security_error.xhtml
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ConfigTemplateSelectUtil.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentHistoryManagerBean.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentServerServiceImpl.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationHistoryManagerBean.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationServerServiceImpl.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementComparator.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementDisplay.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementIntegerValueAndUnits.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementUtils.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ResourceListItem.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/converter/OperationDefinitionConverter.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/EmbeddedInventoryEventListener.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupFilter.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$1.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEvent.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEventType.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LoggingInventoryEventListener.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/AbstractHistoryManager.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/content/ContentHistoryManager.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/HistoryManager.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/operation/OperationHistoryManager.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/DiscoveryException.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/PluginContainerResourceManager.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManager.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManagerFactory.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ResourceTypes.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/TextareaMapConverter.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ApplicationInfoAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SessionInfoAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/BootstrapAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/CommonActionUtil.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AbstractResourceConfigurationUIBean.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AddNewOpenMapMemberPropertyToResourceConfigurationUIBean.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ConfigHelperFactory.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/IdChunkFactory.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$1.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$ActionType.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/TemplateDropDownPopulator.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/AbstractFileUploadAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction$1.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction$1.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DatascrollerUIBean.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DebugAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DiscoveryAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ExceptionAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/FacesOutcomes.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/MetricAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$NodeMatcher.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$PathBasedNodeMatcher.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNameNodeMatcher.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNodeMatcher.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/DummyTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction$Tabs.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationContent.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/JONTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/NonSingletonResourceTypeTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/PlatformResourceTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTypeTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SingletonResourceTypeTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SubCategoryTreeNode.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResource.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResourceType.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ResourceAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction$1.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceContentAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction$1.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$NonSingletonResourceTypeOutcome.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$ResourceOutcome.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SubCategoryOutcome.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SummaryActionOutcome.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/TableManager.class
#%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/util/ContentUtility.class
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/commons-codec.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/commons-discovery.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/commons-beanutils.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/commons-collections.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/commons-digester.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/jboss-el.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/jboss-seam-debug.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/jboss-seam.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/jboss-seam-ui.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/jdom.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/jsf-facelets.jar
# FIXME  THIS FILE IS MISSING FROM jopr-embedded-jbas5.war !!!!
#%%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/i18nlog.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/jopr-embedded-core.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-comm-api.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-client-api.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-domain.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-gui.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-native-system.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-api.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-container.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/rhq-core-util.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/richfaces-api.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/richfaces-impl.jar
%{jbossdir}/server/default/deploy/admin-console.war/WEB-INF/lib/richfaces-ui.jar
%{jbossdir}/server/default/deployers/bsh.deployer/bsh-deployer.jar
%{jbossdir}/server/default/deployers/ejb3.deployer/jboss-ejb3-deployer.jar
%{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/jboss-aop-aspects.jar
%{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/jboss-aspect-library.jar
#%{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/jrockit-pluggable-instrumentor.jar
%{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/META-INF/MANIFEST.MF
%{jbossdir}/server/default/deployers/jboss-aop-jboss5.deployer/pluggable-instrumentor.jar
%{jbossdir}/server/default/deployers/jboss-ejb3-endpoint-deployer.jar
%{jbossdir}/server/default/deployers/jboss-ejb3-metrics-deployer.jar
%{jbossdir}/server/default/deployers/jboss-jca.deployer/jboss-jca-deployer.jar
%{jbossdir}/server/default/deployers/jboss-threads.deployer/jboss-threads-metadata.jar
%{jbossdir}/server/default/deployers/jbossweb.deployer/jboss-web-deployer.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/FastInfoset.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/jbossws-common.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/jbossws-framework.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/jbossws-jboss50.jar
#%{jbossdir}/server/default/deployers/jbossws.deployer/policy.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/wsdl4j.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/xmlsec.jar
%{jbossdir}/server/default/deployers/seam.deployer/jboss-seam-int-microcontainer.jar
%{jbossdir}/server/default/deployers/seam.deployer/lib-int/jboss-seam-int-jbossas.jar
%if %is_AS
%{jbossdir}/server/default/deployers/clustering-deployer-jboss-beans.xml
%{jbossdir}/server/default/deployers/xnio.deployer/xnio-metadata.jar
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet.class
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetCredentialAction.class
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetPrincipalAction.class
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/NamingFactoryServlet.class
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/ReadOnlyAccessFilter.class
%endif
%{jbossdir}/server/default/deploy/jboss-local-jdbc.rar
%{jbossdir}/server/default/deploy/jbossweb.sar/jasper-jdt.jar
%{jbossdir}/server/default/deploy/jbossweb.sar/jbossweb.jar
%{jbossdir}/server/default/deploy/jbossweb.sar/jboss-web-service.jar
%{jbossdir}/server/default/deploy/jbossweb.sar/jsf-libs/jboss-faces.jar
%{jbossdir}/server/default/deploy/jbossweb.sar/jsf-libs/jsf-api.jar
%{jbossdir}/server/default/deploy/jbossweb.sar/jsf-libs/jsf-impl.jar
%{jbossdir}/server/default/deploy/jbossweb.sar/jstl.jar
%{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/META-INF/MANIFEST.MF
%{jbossdir}/server/default/deploy/jboss-xa-jdbc.rar
%{jbossdir}/server/default/deploy/jmx-console.war/cluster/bootstrap.html
%{jbossdir}/server/default/deploy/jmx-console.war/cluster/clusterView.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/cluster/index.html
%{jbossdir}/server/default/deploy/jmx-console.war/displayMBeans.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/displayOpResult.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/filterView.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/genericError.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/images/logo.gif
%{jbossdir}/server/default/deploy/jmx-console.war/index.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/inspectMBean.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/jboss.css
%{jbossdir}/server/default/deploy/jmx-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/default/deploy/jmx-console.war/style_master.css
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AddressPort.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AttrResultInfo.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/OpResultInfo.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/Server.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/ClusteredConsoleServlet.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$1.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$2.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$3.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$4.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$5.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/JMXOpsAccessControlFilter.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions$1.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/DomainData.class
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/MBeanData.class
#%{jbossdir}/server/default/deploy/jmx-remoting.sar/jbossas-jmx-remoting.jar
%{jbossdir}/server/default/deploy/mail-ra.rar
%if %is_AS
%{jbossdir}/server/default/deploy/management/console-mgr.sar/console-mgr-classes.jar
%{jbossdir}/server/default/deploy/management/console-mgr.sar/jcommon.jar
%{jbossdir}/server/default/deploy/management/console-mgr.sar/jfreechart.jar
%{jbossdir}/server/default/deploy/management/console-mgr.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPBinding.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPClassMetaData.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPConstructorChain.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPConstructorConstructorCallerChain.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPConstructorMetaData.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPConstructorMethodCallerChain.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPDefaultMetaData.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPFieldChain.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPFieldMetaData.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPIntroductionPointcut.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPMetaData.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPMethodChain.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPMethodConstructorCallerChain.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPMethodMetaData.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/AOPMethodMethodCallerChain.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/applet.jar
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/applet.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/createSnapshot.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/createStringThresholdMonitor.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/createStringThresholdMonitorSummary.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/createThresholdMonitor.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/createThresholdMonitorSummary.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/css/dtree.css
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/css/jboss.css
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/dtree.js
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/EJB.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/EJBModule.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/EntityEjb.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/bean.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/beans.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/card.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/container.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/database.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/elements32.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/EspressoMaker.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/flash.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/jboss.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/jndiview.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/logo.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/otherimages.jar
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/recycle.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/rubiks.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/server.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/service.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/serviceset.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/servinghand.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/settings32.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/smallnet.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/spirale32.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/spirale.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/images/starfolder.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/base.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/cd.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/empty.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/folder.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/folderopen.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/globe.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/imgfolder.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/joinbottom.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/join.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/line.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/minusbottom.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/minus.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/musicfolder.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/nolines_minus.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/nolines_plus.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/page.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/plusbottom.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/plus.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/question.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/img/trash.gif
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/index.html
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/J2EEApp.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/JNDIView.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/listActiveAlarmTable.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/listMonitors.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/manageSnapshot.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/manageStringThresholdMonitor.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/manageThresholdMonitor.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/MdbEjb.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/Queue.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/ServerInfo.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/Servlet.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/StatefulEjb.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/StatelessEjb.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/SysProperties.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/Topic.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/TopicNavigation.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/TopicSubscriptions.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/Classloaders.bsh
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/J2EEFolder.bsh
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/JNDIView.bsh
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/SystemFolder.bsh
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/tlds/webconsole.tld
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/WebModule.jsp
%{jbossdir}/server/default/deploy/management/console-mgr.sar/web-console.war/xform.xsl
%endif
#%{jbossdir}/server/default/deploy/profileservice-secured.jar/META-INF/MANIFEST.MF
%if %is_AS
%{jbossdir}/server/default/deploy/quartz-ra.rar
%endif
%{jbossdir}/server/default/deploy/ROOT.war/css/jboss.css
%{jbossdir}/server/default/deploy/ROOT.war/favicon.ico
%{jbossdir}/server/default/deploy/ROOT.war/images/logo.gif
%{jbossdir}/server/default/deploy/ROOT.war/index.html
%{jbossdir}/server/default/deploy/ROOT.war/manager/xform.xsl
%if %is_AS
%{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGenerator.class
%{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactory.class
%{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactoryMBean.class
%{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGenerator.class
%{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactory.class
%{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryService.class
%{jbossdir}/server/default/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryServiceMBean.class
%{jbossdir}/server/default/deploy/xnio-provider.jar/xnio-nio.jar
%{jbossdir}/server/minimal/conf
%{jbossdir}/server/minimal/lib/jboss-minimal.jar
%{jbossdir}/server/minimal/lib/jnpserver.jar
%{jbossdir}/server/minimal/lib/log4j.jar
%{jbossdir}/server/minimal/log
%endif
%if %with production
%{jbossdir}/server/production/conf
%{jbossdir}/server/production/deploy/admin-console.war/css/console-style.css
%{jbossdir}/server/production/deploy/admin-console.war/css/form-style.css
%{jbossdir}/server/production/deploy/admin-console.war/error.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/images/ArrowNextDisa.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ArrowNextNorm.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ArrowPrevDisa.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ArrowPrevNorm.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/bkg_leftsidegrey.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/button_bkg.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/detailpanel_bkg.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/embjopr_logo.png
%{jbossdir}/server/production/deploy/admin-console.war/images/errorpage_icon.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/favicon.png
%{jbossdir}/server/production/deploy/admin-console.war/images/hdr_bkg.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/hdr_embeddedjopr_reg.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/hdr_jbossadminconsole.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/hdr_jbosslogo.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/header.png
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_datasource.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_formdescription.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_message_fail.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_message_inlineerror.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_message_success.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconCollapsed.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconExpanded.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconFolderDisa.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconFolderNorm.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconFolderUnkn.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconHomeDisa.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconHomeNorm.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconHomeUnkn.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconLeafDisa.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconLeafNorm.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconLeafUnkn.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconLinkArrowBlue.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconStatusAvailable.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconStatusUnavailable.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/iconStatusUnknown.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/icoServerRestartWarning.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_trigger_grey_collapse.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_trigger_grey_expand.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_trigger_wht_collapse.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/ico_trigger_wht_expand.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/left_gradient.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/nav_gradhdr_blue.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/nav_gradhdr_grey.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/spacer.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/swizzle_blue_closed.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/swizzle_blue_open.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/swizzle_grey_closed.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/swizzle_grey_open.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TabBkgActive.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TabBkgDisabled.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TabBkgHighlight.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TabBkgLeft.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TabBkgUnderline.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TablePrimary_Norm.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TablePrimary_Select.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/TableSecondary_Norm.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/temp_ok.gif
%{jbossdir}/server/production/deploy/admin-console.war/images/temp_reset.gif
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/breadcrumb.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/displayGlobalMessages.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/errorLayout.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/footer.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/formDropDownComponent.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/formRadioComponent.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/formSecretComponent.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/formTextAreaComponent.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/formTextAreaConverterComponent.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/formTextComponent.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/header.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/layout.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/resourceDataScroller.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/resourceForm.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/resourceNavigation.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/facelets/tabMenu.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/index.html
%{jbossdir}/server/production/deploy/admin-console.war/index.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/js/embedded.js
%{jbossdir}/server/production/deploy/admin-console.war/js/formValues.js
%{jbossdir}/server/production/deploy/admin-console.war/login.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deploy/admin-console.war/plugins/hornetq-jopr-plugin.jar
%{jbossdir}/server/production/deploy/admin-console.war/plugins/jopr-hibernate-plugin.jar
%{jbossdir}/server/production/deploy/admin-console.war/plugins/jopr-jboss-as-5-plugin.jar
%{jbossdir}/server/production/deploy/admin-console.war/plugins/jopr-jboss-cache-v3-plugin.jar
%{jbossdir}/server/production/deploy/admin-console.war/plugins/rhq-jmx-plugin.jar
%{jbossdir}/server/production/deploy/admin-console.war/plugins/rhq-platform-plugin.jar
%{jbossdir}/server/production/deploy/admin-console.war/secure/addMap.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/addSimple.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/categorySummary.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/editMap.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/operationParameters.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/repeatNav.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceContentCreate.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceCreatePage1.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceInstanceConfig.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceInstanceContent.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceInstanceMetrics.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceInstanceOperation.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceInstanceSummary.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/resourceTypeSummary.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/rootSummary.xhtml
%{jbossdir}/server/production/deploy/admin-console.war/secure/viewResultsMap.xhtml
#%{jbossdir}/server/production/deploy/admin-console.war/security_error.xhtml
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ConfigTemplateSelectUtil.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentHistoryManagerBean.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentServerServiceImpl.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationHistoryManagerBean.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationServerServiceImpl.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementComparator.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementDisplay.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementIntegerValueAndUnits.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementUtils.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ResourceListItem.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/converter/OperationDefinitionConverter.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/EmbeddedInventoryEventListener.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupFilter.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$1.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEvent.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEventType.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LoggingInventoryEventListener.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/AbstractHistoryManager.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/content/ContentHistoryManager.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/HistoryManager.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/operation/OperationHistoryManager.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/DiscoveryException.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/PluginContainerResourceManager.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManager.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManagerFactory.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ResourceTypes.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/TextareaMapConverter.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ApplicationInfoAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SessionInfoAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/BootstrapAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/CommonActionUtil.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AbstractResourceConfigurationUIBean.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AddNewOpenMapMemberPropertyToResourceConfigurationUIBean.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ConfigHelperFactory.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/IdChunkFactory.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$1.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$ActionType.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/TemplateDropDownPopulator.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/AbstractFileUploadAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction$1.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction$1.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DatascrollerUIBean.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DebugAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DiscoveryAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ExceptionAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/FacesOutcomes.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/MetricAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$NodeMatcher.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$PathBasedNodeMatcher.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNameNodeMatcher.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNodeMatcher.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/DummyTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction$Tabs.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationContent.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/JONTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/NonSingletonResourceTypeTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/PlatformResourceTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTypeTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SingletonResourceTypeTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SubCategoryTreeNode.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResource.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResourceType.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ResourceAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction$1.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceContentAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction$1.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$NonSingletonResourceTypeOutcome.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$ResourceOutcome.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SubCategoryOutcome.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SummaryActionOutcome.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/TableManager.class
#%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/util/ContentUtility.class
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/commons-codec.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/commons-discovery.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/commons-beanutils.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/commons-collections.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/commons-digester.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/jboss-el.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/jboss-seam-debug.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/jboss-seam.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/jboss-seam-ui.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/jdom.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/jsf-facelets.jar
# FIXME  THIS FILE IS MISSING FROM jopr-embedded-jbas5.war !!!!
#%%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/i18nlog.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/jopr-embedded-core.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-comm-api.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-client-api.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-domain.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-gui.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-native-system.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-api.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-container.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/rhq-core-util.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/richfaces-api.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/richfaces-impl.jar
%{jbossdir}/server/production/deploy/admin-console.war/WEB-INF/lib/richfaces-ui.jar
%{jbossdir}/server/production/deploy/cluster/jbossweb-cluster.aop
%{jbossdir}/server/production/deployers/bsh.deployer/bsh-deployer.jar
%if %is_AS
%{jbossdir}/server/production/deployers/ejb3.deployer/META-INF/ejb3-iiop-deployers-jboss-beans.xml
%endif
%{jbossdir}/server/production/deployers/ejb3.deployer/jboss-ejb3-deployer.jar
%{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/jboss-aop-aspects.jar
%{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/jboss-aspect-library.jar
#%{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/jrockit-pluggable-instrumentor.jar
%{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deployers/jboss-aop-jboss5.deployer/pluggable-instrumentor.jar
%{jbossdir}/server/production/deployers/jboss-ejb3-endpoint-deployer.jar
%{jbossdir}/server/production/deployers/jboss-ejb3-metrics-deployer.jar
%{jbossdir}/server/production/deployers/jboss-jca.deployer/jboss-jca-deployer.jar
%{jbossdir}/server/production/deployers/jboss-threads.deployer/jboss-threads-metadata.jar
%{jbossdir}/server/production/deployers/jbossweb.deployer/jboss-web-deployer.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/FastInfoset.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/jbossws-common.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/jbossws-framework.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/jbossws-jboss50.jar
#%{jbossdir}/server/production/deployers/jbossws.deployer/policy.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/wsdl4j.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/xmlsec.jar
%{jbossdir}/server/production/deployers/seam.deployer/jboss-seam-int-microcontainer.jar
%{jbossdir}/server/production/deployers/seam.deployer/lib-int/jboss-seam-int-jbossas.jar
%if %is_AS
%{jbossdir}/server/production/deployers/xnio.deployer/xnio-metadata.jar
%{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet.class
%{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetCredentialAction.class
%{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetPrincipalAction.class
%{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/NamingFactoryServlet.class
%{jbossdir}/server/production/deploy/httpha-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/ReadOnlyAccessFilter.class
%endif
%{jbossdir}/server/production/deploy/jboss-local-jdbc.rar
%{jbossdir}/server/production/deploy/jbossweb.sar/jasper-jdt.jar
%{jbossdir}/server/production/deploy/jbossweb.sar/jbossweb.jar
%{jbossdir}/server/production/deploy/jbossweb.sar/jboss-web-service.jar
%{jbossdir}/server/production/deploy/jbossweb.sar/jsf-libs/jboss-faces.jar
%{jbossdir}/server/production/deploy/jbossweb.sar/jsf-libs/jsf-api.jar
%{jbossdir}/server/production/deploy/jbossweb.sar/jsf-libs/jsf-impl.jar
%{jbossdir}/server/production/deploy/jbossweb.sar/jstl.jar
%{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deploy/jboss-xa-jdbc.rar
%{jbossdir}/server/production/deploy/jmx-console.war/cluster/bootstrap.html
%{jbossdir}/server/production/deploy/jmx-console.war/cluster/clusterView.jsp
%{jbossdir}/server/production/deploy/jmx-console.war/cluster/index.html
%{jbossdir}/server/production/deploy/jmx-console.war/displayMBeans.jsp
%{jbossdir}/server/production/deploy/jmx-console.war/displayOpResult.jsp
%{jbossdir}/server/production/deploy/jmx-console.war/filterView.jsp
%{jbossdir}/server/production/deploy/jmx-console.war/genericError.jsp
%{jbossdir}/server/production/deploy/jmx-console.war/images/logo.gif
%{jbossdir}/server/production/deploy/jmx-console.war/index.jsp
%{jbossdir}/server/production/deploy/jmx-console.war/inspectMBean.jsp
%{jbossdir}/server/production/deploy/jmx-console.war/jboss.css
%{jbossdir}/server/production/deploy/jmx-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deploy/jmx-console.war/style_master.css
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AddressPort.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AttrResultInfo.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/OpResultInfo.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/Server.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/ClusteredConsoleServlet.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$1.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$2.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$3.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$4.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$5.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/JMXOpsAccessControlFilter.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions$1.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/DomainData.class
%{jbossdir}/server/production/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/MBeanData.class
#%{jbossdir}/server/production/deploy/jmx-remoting.sar/jbossas-jmx-remoting.jar
%if %is_AS
%{jbossdir}/server/production/deploy/juddi-service.sar/juddi.jar
%{jbossdir}/server/production/deploy/juddi-service.sar/juddi-saaj.jar
%{jbossdir}/server/production/deploy/juddi-service.sar/juddi-service.jar
%{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/index.html
%{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/styles.css
%{jbossdir}/server/production/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr/juddi/JUDDIServlet.class
%{jbossdir}/server/production/deploy/juddi-service.sar/META-INF/ddl/juddi_create_db.ddl
%{jbossdir}/server/production/deploy/juddi-service.sar/META-INF/ddl/juddi_data.ddl
%{jbossdir}/server/production/deploy/juddi-service.sar/META-INF/ddl/juddi_drop_db.ddl
%{jbossdir}/server/production/deploy/juddi-service.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deploy/juddi-service.sar/scout.jar
%endif
%{jbossdir}/server/production/deploy/mail-ra.rar
%if %is_AS
%{jbossdir}/server/production/deploy/management/console-mgr.sar/console-mgr-classes.jar
%{jbossdir}/server/production/deploy/management/console-mgr.sar/jcommon.jar
%{jbossdir}/server/production/deploy/management/console-mgr.sar/jfreechart.jar
%{jbossdir}/server/production/deploy/management/console-mgr.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPBinding.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPClassMetaData.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPConstructorChain.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPConstructorConstructorCallerChain.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPConstructorMetaData.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPConstructorMethodCallerChain.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPDefaultMetaData.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPFieldChain.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPFieldMetaData.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPIntroductionPointcut.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPMetaData.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPMethodChain.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPMethodConstructorCallerChain.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPMethodMetaData.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/AOPMethodMethodCallerChain.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/applet.jar
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/applet.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/createSnapshot.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/createStringThresholdMonitor.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/createStringThresholdMonitorSummary.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/createThresholdMonitor.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/createThresholdMonitorSummary.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/css/dtree.css
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/css/jboss.css
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/dtree.js
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/EJB.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/EJBModule.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/EntityEjb.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/bean.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/beans.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/card.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/container.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/database.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/elements32.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/EspressoMaker.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/flash.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/jboss.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/jndiview.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/logo.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/otherimages.jar
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/recycle.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/rubiks.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/server.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/service.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/serviceset.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/servinghand.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/settings32.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/smallnet.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/spirale32.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/spirale.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/images/starfolder.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/base.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/cd.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/empty.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/folder.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/folderopen.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/globe.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/imgfolder.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/joinbottom.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/join.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/line.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/minusbottom.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/minus.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/musicfolder.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/nolines_minus.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/nolines_plus.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/page.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/plusbottom.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/plus.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/question.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/img/trash.gif
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/index.html
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/J2EEApp.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/JNDIView.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/listActiveAlarmTable.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/listMonitors.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/manageSnapshot.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/manageStringThresholdMonitor.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/manageThresholdMonitor.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/MdbEjb.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/Queue.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/ServerInfo.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/Servlet.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/StatefulEjb.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/StatelessEjb.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/SysProperties.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/Topic.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/TopicNavigation.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/TopicSubscriptions.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/Classloaders.bsh
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/J2EEFolder.bsh
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/JNDIView.bsh
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/SystemFolder.bsh
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/tlds/webconsole.tld
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/WebModule.jsp
%{jbossdir}/server/production/deploy/management/console-mgr.sar/web-console.war/xform.xsl
%endif
#%{jbossdir}/server/production/deploy/profileservice-secured.jar/META-INF/MANIFEST.MF
%if %is_AS
%{jbossdir}/server/production/deploy/quartz-ra.rar
%endif
%{jbossdir}/server/production/deploy/ROOT.war/css/jboss.css
%{jbossdir}/server/production/deploy/ROOT.war/favicon.ico
%{jbossdir}/server/production/deploy/ROOT.war/images/logo.gif
%{jbossdir}/server/production/deploy/ROOT.war/index.html
%{jbossdir}/server/production/deploy/ROOT.war/manager/xform.xsl
%if %is_AS
%{jbossdir}/server/production/deploy/snmp-adaptor.sar/attributes.mib
%{jbossdir}/server/production/deploy/snmp-adaptor.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/production/deploy/snmp-adaptor.sar/snmp-adaptor.jar
%{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGenerator.class
%{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactory.class
%{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactoryMBean.class
%{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGenerator.class
%{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactory.class
%{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryService.class
%{jbossdir}/server/production/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryServiceMBean.class
%{jbossdir}/server/production/deploy/xnio-provider.jar/xnio-nio.jar
%endif
#%{jbossdir}/server/production/lib/avalon-framework.jar
%{jbossdir}/server/production/lib/hibernate-jbosscache2.jar
%if %is_AS
%{jbossdir}/server/production/lib/jacorb.jar
%endif
%{jbossdir}/server/production/lib/jbosscache-core.jar
%{jbossdir}/server/production/lib/jbosscache-pojo.jar
%if %is_AS
%{jbossdir}/server/production/lib/jcip-annotations.jar
%endif
%{jbossdir}/server/production/lib/jgroups.jar
%{jbossdir}/server/production/log
#%{jbossdir}/server/production/run.conf
%if %is_AS
%{jbossdir}/server/web/deploy/cluster/jbossweb-cluster.aop
%endif
%endif
%if %is_AS
%{jbossdir}/server/standard/conf
%{jbossdir}/server/standard/deployers/bsh.deployer/bsh-deployer.jar
%{jbossdir}/server/standard/deployers/ejb3.deployer/jboss-ejb3-deployer.jar
%{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/jboss-aop-aspects.jar
%{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/jboss-aspect-library.jar
#%{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/jrockit-pluggable-instrumentor.jar
%{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/META-INF/MANIFEST.MF
%{jbossdir}/server/standard/deployers/jboss-aop-jboss5.deployer/pluggable-instrumentor.jar
%{jbossdir}/server/standard/deployers/jboss-ejb3-endpoint-deployer.jar
%{jbossdir}/server/standard/deployers/jboss-ejb3-metrics-deployer.jar
%{jbossdir}/server/standard/deployers/jboss-jca.deployer/jboss-jca-deployer.jar
%{jbossdir}/server/standard/deployers/jboss-threads.deployer/jboss-threads-metadata.jar
%{jbossdir}/server/standard/deployers/jbossweb.deployer/jboss-web-deployer.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/FastInfoset.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/jbossws-common.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/jbossws-framework.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/jbossws-jboss50.jar
#%{jbossdir}/server/standard/deployers/jbossws.deployer/policy.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/wsdl4j.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/xmlsec.jar
%{jbossdir}/server/standard/deployers/seam.deployer/jboss-seam-int-microcontainer.jar
%{jbossdir}/server/standard/deployers/seam.deployer/lib-int/jboss-seam-int-jbossas.jar
%{jbossdir}/server/standard/deployers/xnio.deployer/xnio-metadata.jar
%{jbossdir}/server/standard/deploy/jboss-local-jdbc.rar
%{jbossdir}/server/standard/deploy/jbossweb.sar/jasper-jdt.jar
%{jbossdir}/server/standard/deploy/jbossweb.sar/jbossweb.jar
%{jbossdir}/server/standard/deploy/jbossweb.sar/jboss-web-service.jar
%{jbossdir}/server/standard/deploy/jbossweb.sar/jsf-libs/jboss-faces.jar
%{jbossdir}/server/standard/deploy/jbossweb.sar/jsf-libs/jsf-api.jar
%{jbossdir}/server/standard/deploy/jbossweb.sar/jsf-libs/jsf-impl.jar
%{jbossdir}/server/standard/deploy/jbossweb.sar/jstl.jar
%{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/META-INF/MANIFEST.MF
%{jbossdir}/server/standard/deploy/jboss-xa-jdbc.rar
%{jbossdir}/server/standard/deploy/jmx-console.war/cluster/bootstrap.html
%{jbossdir}/server/standard/deploy/jmx-console.war/cluster/clusterView.jsp
%{jbossdir}/server/standard/deploy/jmx-console.war/cluster/index.html
%{jbossdir}/server/standard/deploy/jmx-console.war/displayMBeans.jsp
%{jbossdir}/server/standard/deploy/jmx-console.war/displayOpResult.jsp
%{jbossdir}/server/standard/deploy/jmx-console.war/filterView.jsp
%{jbossdir}/server/standard/deploy/jmx-console.war/genericError.jsp
%{jbossdir}/server/standard/deploy/jmx-console.war/images/logo.gif
%{jbossdir}/server/standard/deploy/jmx-console.war/index.jsp
%{jbossdir}/server/standard/deploy/jmx-console.war/inspectMBean.jsp
%{jbossdir}/server/standard/deploy/jmx-console.war/jboss.css
%{jbossdir}/server/standard/deploy/jmx-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/standard/deploy/jmx-console.war/style_master.css
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AddressPort.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AttrResultInfo.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/OpResultInfo.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/Server.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/ClusteredConsoleServlet.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$1.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$2.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$3.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$4.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$5.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/JMXOpsAccessControlFilter.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/DomainData.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/MBeanData.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions$1.class
%{jbossdir}/server/standard/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions.class
%{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.jar
%{jbossdir}/server/standard/deploy/juddi-service.sar/juddi-saaj.jar
%{jbossdir}/server/standard/deploy/juddi-service.sar/juddi-service.jar
%{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/index.html
%{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/styles.css
%{jbossdir}/server/standard/deploy/juddi-service.sar/juddi.war/WEB-INF/classes/org/jboss/jaxr/juddi/JUDDIServlet.class
%{jbossdir}/server/standard/deploy/juddi-service.sar/META-INF/ddl/juddi_create_db.ddl
%{jbossdir}/server/standard/deploy/juddi-service.sar/META-INF/ddl/juddi_data.ddl
%{jbossdir}/server/standard/deploy/juddi-service.sar/META-INF/ddl/juddi_drop_db.ddl
%{jbossdir}/server/standard/deploy/juddi-service.sar/META-INF/MANIFEST.MF
%{jbossdir}/server/standard/deploy/juddi-service.sar/scout.jar
#%{jbossdir}/server/standard/deploy/profileservice-secured.jar/META-INF/MANIFEST.MF
%{jbossdir}/server/standard/deploy/ROOT.war/css/jboss.css
%{jbossdir}/server/standard/deploy/ROOT.war/favicon.ico
%{jbossdir}/server/standard/deploy/ROOT.war/images/logo.gif
%{jbossdir}/server/standard/deploy/ROOT.war/index.html
%{jbossdir}/server/standard/deploy/ROOT.war/manager/xform.xsl
%{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGenerator.class
%{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactory.class
%{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/hilo/HiLoKeyGeneratorFactoryMBean.class
%{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGenerator.class
%{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactory.class
%{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryService.class
%{jbossdir}/server/standard/deploy/uuid-key-generator.sar/org/jboss/ejb/plugins/keygenerator/uuid/UUIDKeyGeneratorFactoryServiceMBean.class
%{jbossdir}/server/standard/deploy/xnio-provider.jar/xnio-nio.jar
#%{jbossdir}/server/standard/lib/avalon-framework.jar
%{jbossdir}/server/standard/lib/jacorb.jar
%{jbossdir}/server/standard/log
%{jbossdir}/server/web/conf
%{jbossdir}/server/web/deploy/admin-console.war/css/console-style.css
%{jbossdir}/server/web/deploy/admin-console.war/css/form-style.css
%{jbossdir}/server/web/deploy/admin-console.war/error.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/images/ArrowNextDisa.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ArrowNextNorm.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ArrowPrevDisa.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ArrowPrevNorm.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/bkg_leftsidegrey.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/button_bkg.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/detailpanel_bkg.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/embjopr_logo.png
%{jbossdir}/server/web/deploy/admin-console.war/images/errorpage_icon.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/favicon.png
%{jbossdir}/server/web/deploy/admin-console.war/images/hdr_bkg.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/hdr_embeddedjopr_reg.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/hdr_jbossadminconsole.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/hdr_jbosslogo.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/header.png
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_datasource.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_formdescription.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_message_fail.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_message_inlineerror.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_message_success.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconCollapsed.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconExpanded.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconFolderDisa.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconFolderNorm.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconFolderUnkn.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconHomeDisa.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconHomeNorm.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconHomeUnkn.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconLeafDisa.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconLeafNorm.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconLeafUnkn.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconLinkArrowBlue.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconStatusAvailable.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconStatusUnavailable.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/iconStatusUnknown.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/icoServerRestartWarning.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_trigger_grey_collapse.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_trigger_grey_expand.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_trigger_wht_collapse.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/ico_trigger_wht_expand.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/left_gradient.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/nav_gradhdr_blue.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/nav_gradhdr_grey.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/spacer.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/swizzle_blue_closed.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/swizzle_blue_open.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/swizzle_grey_closed.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/swizzle_grey_open.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TabBkgActive.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TabBkgDisabled.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TabBkgHighlight.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TabBkgLeft.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TabBkgUnderline.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TablePrimary_Norm.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TablePrimary_Select.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/TableSecondary_Norm.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/temp_ok.gif
%{jbossdir}/server/web/deploy/admin-console.war/images/temp_reset.gif
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/breadcrumb.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/displayGlobalMessages.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/errorLayout.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/footer.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/formDropDownComponent.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/formRadioComponent.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/formSecretComponent.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/formTextAreaComponent.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/formTextAreaConverterComponent.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/formTextComponent.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/header.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/layout.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/resourceDataScroller.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/resourceForm.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/resourceNavigation.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/facelets/tabMenu.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/index.html
%{jbossdir}/server/web/deploy/admin-console.war/index.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/js/embedded.js
%{jbossdir}/server/web/deploy/admin-console.war/js/formValues.js
%{jbossdir}/server/web/deploy/admin-console.war/login.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/web/deploy/admin-console.war/plugins/hornetq-jopr-plugin.jar
%{jbossdir}/server/web/deploy/admin-console.war/plugins/jopr-hibernate-plugin.jar
%{jbossdir}/server/web/deploy/admin-console.war/plugins/jopr-jboss-as-5-plugin.jar
%{jbossdir}/server/web/deploy/admin-console.war/plugins/jopr-jboss-cache-v3-plugin.jar
%{jbossdir}/server/web/deploy/admin-console.war/plugins/rhq-jmx-plugin.jar
%{jbossdir}/server/web/deploy/admin-console.war/plugins/rhq-platform-plugin.jar
%{jbossdir}/server/web/deploy/admin-console.war/secure/addMap.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/addSimple.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/categorySummary.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/editMap.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/operationParameters.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/repeatNav.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceContentCreate.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceCreatePage1.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceInstanceConfig.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceInstanceContent.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceInstanceMetrics.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceInstanceOperation.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceInstanceSummary.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/resourceTypeSummary.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/rootSummary.xhtml
%{jbossdir}/server/web/deploy/admin-console.war/secure/viewResultsMap.xhtml
#%{jbossdir}/server/web/deploy/admin-console.war/security_error.xhtml
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ConfigTemplateSelectUtil.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentHistoryManagerBean.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/content/ContentServerServiceImpl.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationHistoryManagerBean.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/history/operation/OperationServerServiceImpl.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementComparator.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementDisplay.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementIntegerValueAndUnits.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/MeasurementUtils.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/bean/ResourceListItem.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/converter/OperationDefinitionConverter.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/EmbeddedInventoryEventListener.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupFilter.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$1.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEvent.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LazyStartupListener$ContextEventType.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/LoggingInventoryEventListener.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/AbstractHistoryManager.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/content/ContentHistoryManager.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/HistoryManager.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/history/operation/OperationHistoryManager.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/DiscoveryException.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/pc/PluginContainerResourceManager.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManager.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/manager/ResourceManagerFactory.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ResourceTypes.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/TextareaMapConverter.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ApplicationInfoAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SessionInfoAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/BootstrapAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/CommonActionUtil.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AbstractResourceConfigurationUIBean.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/AddNewOpenMapMemberPropertyToResourceConfigurationUIBean.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ConfigHelperFactory.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/IdChunkFactory.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$1.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean$ActionType.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/ResourceConfigurationUIBean.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/configuration/resource/TemplateDropDownPopulator.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/AbstractFileUploadAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction$1.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/CreateContentBackedResourceAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction$1.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/content/UpdateBackingContentAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DatascrollerUIBean.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DebugAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/DiscoveryAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ExceptionAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/FacesOutcomes.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/MetricAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$NodeMatcher.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$PathBasedNodeMatcher.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNameNodeMatcher.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/BaseTreeNode$ResourceTypeNodeMatcher.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/DummyTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationAction$Tabs.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/NavigationContent.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/JONTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/NonSingletonResourceTypeTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/PlatformResourceTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/ResourceTypeTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SingletonResourceTypeTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/SubCategoryTreeNode.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResource.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/nav/TreeNodeWithResourceType.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/ResourceAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction$1.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceContentAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction$1.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SingleResourceOperationAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$NonSingletonResourceTypeOutcome.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$ResourceOutcome.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SubCategoryOutcome.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/SummaryAction$SummaryActionOutcome.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/ui/TableManager.class
#%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/classes/org/jboss/on/embedded/util/ContentUtility.class
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/commons-codec.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/commons-discovery.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/commons-beanutils.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/commons-collections.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/commons-digester.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/jboss-el.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/jboss-seam-debug.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/jboss-seam.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/jboss-seam-ui.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/jdom.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/jsf-facelets.jar
# FIXME  THIS FILE IS MISSING FROM jopr-embedded-jbas5.war !!!!
#%%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/i18nlog.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/jopr-embedded-core.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-comm-api.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-client-api.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-domain.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-gui.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-native-system.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-api.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-plugin-container.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/rhq-core-util.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/richfaces-api.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/richfaces-impl.jar
%{jbossdir}/server/web/deploy/admin-console.war/WEB-INF/lib/richfaces-ui.jar
%{jbossdir}/server/web/deployers/bsh.deployer/bsh-deployer.jar
%{jbossdir}/server/web/deployers/ejb3.deployer/jboss-ejb3-deployer.jar
%{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/jboss-aop-aspects.jar
%{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/jboss-aspect-library.jar
#%{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/jrockit-pluggable-instrumentor.jar
%{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/META-INF/MANIFEST.MF
%{jbossdir}/server/web/deployers/jboss-aop-jboss5.deployer/pluggable-instrumentor.jar
%{jbossdir}/server/web/deployers/jboss-ejb3-endpoint-deployer.jar
%{jbossdir}/server/web/deployers/jboss-ejb3-metrics-deployer.jar
%{jbossdir}/server/web/deployers/jboss-jca.deployer/jboss-jca-deployer.jar
%{jbossdir}/server/web/deployers/jboss-threads.deployer/jboss-threads-metadata.jar
%{jbossdir}/server/web/deployers/jbossweb.deployer/jboss-web-deployer.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/FastInfoset.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/jbossws-common.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/jbossws-framework.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/jbossws-jboss50.jar
#%{jbossdir}/server/web/deployers/jbossws.deployer/policy.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/wsdl4j.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/xmlsec.jar
%{jbossdir}/server/web/deployers/seam.deployer/jboss-seam-int-microcontainer.jar
%{jbossdir}/server/web/deployers/seam.deployer/lib-int/jboss-seam-int-jbossas.jar
%{jbossdir}/server/web/deployers/xnio.deployer/xnio-metadata.jar
#%{jbossdir}/server/web/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet.class
#%{jbossdir}/server/web/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetCredentialAction.class
#%{jbossdir}/server/web/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/InvokerServlet$GetPrincipalAction.class
#%{jbossdir}/server/web/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/NamingFactoryServlet.class
#%{jbossdir}/server/web/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org/jboss/invocation/http/servlet/ReadOnlyAccessFilter.class
%{jbossdir}/server/web/deploy/jboss-local-jdbc.rar
%{jbossdir}/server/web/deploy/jbossweb.sar/jasper-jdt.jar
%{jbossdir}/server/web/deploy/jbossweb.sar/jbossweb.jar
%{jbossdir}/server/web/deploy/jbossweb.sar/jboss-web-service.jar
%{jbossdir}/server/web/deploy/jbossweb.sar/jsf-libs/jboss-faces.jar
%{jbossdir}/server/web/deploy/jbossweb.sar/jsf-libs/jsf-api.jar
%{jbossdir}/server/web/deploy/jbossweb.sar/jsf-libs/jsf-impl.jar
%{jbossdir}/server/web/deploy/jbossweb.sar/jstl.jar
%{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/META-INF/MANIFEST.MF
%{jbossdir}/server/web/deploy/jboss-xa-jdbc.rar
%{jbossdir}/server/web/deploy/jmx-console.war/cluster/bootstrap.html
%{jbossdir}/server/web/deploy/jmx-console.war/cluster/clusterView.jsp
%{jbossdir}/server/web/deploy/jmx-console.war/cluster/index.html
%{jbossdir}/server/web/deploy/jmx-console.war/displayMBeans.jsp
%{jbossdir}/server/web/deploy/jmx-console.war/displayOpResult.jsp
%{jbossdir}/server/web/deploy/jmx-console.war/filterView.jsp
%{jbossdir}/server/web/deploy/jmx-console.war/genericError.jsp
%{jbossdir}/server/web/deploy/jmx-console.war/images/logo.gif
%{jbossdir}/server/web/deploy/jmx-console.war/index.jsp
%{jbossdir}/server/web/deploy/jmx-console.war/inspectMBean.jsp
%{jbossdir}/server/web/deploy/jmx-console.war/jboss.css
%{jbossdir}/server/web/deploy/jmx-console.war/META-INF/MANIFEST.MF
%{jbossdir}/server/web/deploy/jmx-console.war/style_master.css
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AddressPort.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/AttrResultInfo.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/OpResultInfo.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/control/Server.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/ClusteredConsoleServlet.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$1.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$2.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$3.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$4.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet$5.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/HtmlAdaptorServlet.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/JMXOpsAccessControlFilter.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/DomainData.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/model/MBeanData.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions$1.class
%{jbossdir}/server/web/deploy/jmx-console.war/WEB-INF/classes/org/jboss/jmx/adaptor/html/SecurityActions.class
%{jbossdir}/server/web/deploy/mail-ra.rar
%{jbossdir}/server/web/lib/hibernate-jbosscache2.jar
%{jbossdir}/server/web/lib/jbosscache-core.jar
%{jbossdir}/server/web/lib/jbosscache-pojo.jar
%{jbossdir}/server/web/lib/jgroups.jar
%{jbossdir}/server/web/deploy/xnio-provider.jar/xnio-nio.jar
%{jbossdir}/server/web/deploy/ROOT.war/css/jboss.css
%{jbossdir}/server/web/deploy/ROOT.war/favicon.ico
%{jbossdir}/server/web/deploy/ROOT.war/images/logo.gif
%{jbossdir}/server/web/deploy/ROOT.war/index.html
%{jbossdir}/server/web/deploy/ROOT.war/manager/xform.xsl
%{jbossdir}/server/web/log
%endif

%files client
%defattr(0644,jboss,jboss,0755)
%dir %{jbhomedir}
%dir %{jbhomedir}/client
%dir %{jbossdir}
%dir %{jbossdir}/client
%{jbhomedir}/client/FastInfoset.jar                             
%{jbhomedir}/client/activation.jar                              
%{jbhomedir}/client/antlr.jar                                   
%{jbhomedir}/client/commons-logging.jar                         
%{jbhomedir}/client/concurrent.jar                              
%{jbhomedir}/client/ejb3-persistence.jar                        
%{jbhomedir}/client/getopt.jar                                  
%{jbhomedir}/client/hibernate-annotations.jar
%{jbhomedir}/client/hibernate-commons-annotations.jar
%{jbhomedir}/client/hibernate-core.jar
%{jbhomedir}/client/hibernate-validator.jar
%{jbhomedir}/client/jacorb.jar                                  
%{jbhomedir}/client/javassist.jar                               
%{jbhomedir}/client/jaxb-api.jar                                
%{jbhomedir}/client/jaxb-impl.jar                               
%{jbhomedir}/client/jaxb-xjc.jar                                
%{jbhomedir}/client/jaxws-rt.jar                                
%{jbhomedir}/client/jboss-aop-client.jar                        
%{jbhomedir}/client/jboss-appclient.jar                         
%{jbhomedir}/client/jboss-aspect-jdk50-client.jar               
%{jbhomedir}/client/jboss-client.jar                            
%{jbhomedir}/client/jboss-common-core.jar                       
%{jbhomedir}/client/jboss-deployers-client-spi.jar              
%{jbhomedir}/client/jboss-deployers-client.jar                  
%{jbhomedir}/client/jboss-deployers-core-spi.jar                
%{jbhomedir}/client/jboss-deployers-core.jar                    
%{jbhomedir}/client/jboss-deployers-vfs-spi.jar                 
%{jbhomedir}/client/jboss-deployers-vfs.jar                     
%{jbhomedir}/client/jboss-deployment.jar                        
%{jbhomedir}/client/jboss-ejb3-common-client.jar                
%{jbhomedir}/client/jboss-ejb3-core-client.jar                  
%{jbhomedir}/client/jboss-ejb3-ext-api-impl.jar                 
%{jbhomedir}/client/jboss-ejb3-ext-api.jar                      
%{jbhomedir}/client/jboss-ejb3-proxy-clustered-client.jar       
%{jbhomedir}/client/jboss-ejb3-proxy-impl-client.jar            
%{jbhomedir}/client/jboss-ejb3-proxy-spi-client.jar
%{jbhomedir}/client/jboss-ejb3-security-client.jar
%{jbhomedir}/client/jboss-ejb3-vfs-spi.jar
%{jbhomedir}/client/jboss-ha-client.jar
%{jbhomedir}/client/jboss-ha-legacy-client.jar
%if %is_AS
%{jbhomedir}/client/netty.jar
%if %with hq_client
%{jbhomedir}/client/hornetq-core-client.jar
%{jbhomedir}/client/hornetq-jms-client.jar
%endif
%{jbhomedir}/client/jboss-iiop-client.jar
%{jbhomedir}/client/jboss-messaging-client.jar
%endif
%{jbhomedir}/client/jboss-integration.jar
%{jbhomedir}/client/jboss-j2se.jar
%{jbhomedir}/client/jboss-jaspi-api.jar
%{jbhomedir}/client/jboss-javaee.jar
%{jbhomedir}/client/jboss-jsr77-client.jar
%{jbhomedir}/client/jboss-logging-jdk.jar
%{jbhomedir}/client/jboss-logging-log4j.jar
%{jbhomedir}/client/jboss-logging-spi.jar
%{jbhomedir}/client/jboss-mdr.jar
%{jbhomedir}/client/jboss-metadata.jar
%{jbhomedir}/client/jboss-profileservice-client.jar
%{jbhomedir}/client/jboss-remoting.jar
%{jbhomedir}/client/jboss-security-spi.jar
%{jbhomedir}/client/jboss-serialization.jar
%{jbhomedir}/client/jboss-srp-client.jar
%{jbhomedir}/client/jboss-system-client.jar
%{jbhomedir}/client/jboss-system-jmx-client.jar
%{jbhomedir}/client/jboss-xml-binding.jar
%{jbhomedir}/client/jbossall-client.jar
%{jbhomedir}/client/jbosscx-client.jar
%{jbhomedir}/client/jbossjmx-ant.jar
%{jbhomedir}/client/jbossjts-integration.jar
%{jbhomedir}/client/jbossjts-jacorb.jar
%{jbhomedir}/client/jbossjts.jar
%{jbhomedir}/client/jbosssx-as-client.jar
%{jbhomedir}/client/jbosssx-client.jar
%{jbhomedir}/client/jbossws-common.jar
%{jbhomedir}/client/jbossws-framework.jar
%{jbhomedir}/client/jbossws-jboss50.jar
%{jbhomedir}/client/jbossws-spi.jar
%{jbhomedir}/client/jmx-client.jar
%{jbhomedir}/client/jmx-invoker-adaptor-client.jar
%{jbhomedir}/client/jnp-client.jar
%{jbhomedir}/client/log4j.jar
%{jbhomedir}/client/logkit.jar
%{jbhomedir}/client/mail.jar
%{jbhomedir}/client/scout.jar
%{jbhomedir}/client/slf4j-api.jar
%{jbhomedir}/client/slf4j-jboss-logging.jar
#%%{jbhomedir}/client/stax-api.jar
%{jbhomedir}/client/trove.jar
%{jbhomedir}/client/wsdl4j.jar
%{jbhomedir}/client/wstx.jar
%{jbhomedir}/client/xmlsec.jar
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jboss-deployment.jar
%{_javadir}/%{name}/jboss-deployment-%{version}.jar
%{_javadir}/%{name}/jbossjmx-ant.jar
%{_javadir}/%{name}/jbossjmx-ant-%{version}.jar
#JBPAPP-5871 %{_javadir}/%{name}/jbossall-client-%{version}.jar
#JBPAPP-5871 %{_javadir}/%{name}/jbossall-client.jar
%{_javadir}/%{name}/jboss-appclient-%{version}.jar
%{_javadir}/%{name}/jboss-appclient.jar
%{_javadir}/%{name}/jboss-aspect-jdk50-client-%{version}.jar
%{_javadir}/%{name}/jboss-aspect-jdk50-client.jar
%{_javadir}/%{name}/jboss-client-%{version}.jar
%{_javadir}/%{name}/jboss-client.jar
%{_javadir}/%{name}/jbosscx-client-%{version}.jar
%{_javadir}/%{name}/jbosscx-client.jar
%{_javadir}/%{name}/jboss-ha-legacy-client-%{version}.jar
%{_javadir}/%{name}/jboss-ha-legacy-client.jar
%if %is_AS
%{_javadir}/%{name}/jboss-iiop-client-%{version}.jar
%{_javadir}/%{name}/jboss-iiop-client.jar
%endif
%{_javadir}/%{name}/jboss-j2se-%{version}.jar
%{_javadir}/%{name}/jboss-j2se.jar
%{_javadir}/%{name}/jboss-jsr77-client-%{version}.jar
%{_javadir}/%{name}/jboss-jsr77-client.jar
%{_javadir}/%{name}/jboss-profileservice-client-%{version}.jar
%{_javadir}/%{name}/jboss-profileservice-client.jar
%{_javadir}/%{name}/jboss-srp-client-%{version}.jar
%{_javadir}/%{name}/jboss-srp-client.jar
%{_javadir}/%{name}/jbosssx-as-client-%{version}.jar
%{_javadir}/%{name}/jbosssx-as-client.jar
%{_javadir}/%{name}/jboss-system-client-%{version}.jar
%{_javadir}/%{name}/jboss-system-client.jar
%{_javadir}/%{name}/jboss-system-jmx-client-%{version}.jar
%{_javadir}/%{name}/jboss-system-jmx-client.jar
%{_javadir}/%{name}/jbossws-jboss50-%{version}.jar
%{_javadir}/%{name}/jbossws-jboss50.jar
%{_javadir}/%{name}/jmx-client-%{version}.jar
%{_javadir}/%{name}/jmx-client.jar
%{_javadir}/%{name}/jmx-invoker-adaptor-client-%{version}.jar
%{_javadir}/%{name}/jmx-invoker-adaptor-client.jar

%files ws-native
%defattr(0644,jboss,jboss,0755)
%dir %{jbhomedir}
%dir %{jbossdir}
# Removed files
%attr(0755,jboss,jboss) %{jbossdir}/bin/wstools.sh
%attr(0755,root,root) %{_bindir}/%{name}-wstools
%{jbhomedir}/client/jaxws-tools.jar                             
%{jbhomedir}/client/jbossws-native-client.jar
%{jbhomedir}/client/jbossws-native-core.jar
#%{jbhomedir}/client/jbossws-native-jaxrpc.jar
#%{jbhomedir}/client/jbossws-native-jaxws-ext.jar
#%{jbhomedir}/client/jbossws-native-jaxws.jar
#%{jbhomedir}/client/jbossws-native-saaj.jar
%{jbhomedir}/client/jaxws-api.jar
%{jbhomedir}/client/jboss-jaxrpc-api_1.1_spec.jar
%{jbhomedir}/client/jbossws-native-factories.jar
%{jbhomedir}/client/jsr181-api.jar
%{jbhomedir}/client/saaj-api.jar
%{jbhomedir}/client/jettison.jar
%{jbhomedir}/client/stax-ex.jar
%{jbhomedir}/client/streambuffer.jar
#%{jbossdir}/common/lib/jbossws-native-jaxrpc.jar
#%{jbossdir}/common/lib/jbossws-native-jaxws-ext.jar
#%{jbossdir}/common/lib/jbossws-native-jaxws.jar
#%{jbossdir}/common/lib/jbossws-native-saaj.jar
%{jbossdir}/common/lib/jaxws-api.jar
%{jbossdir}/common/lib/jboss-jaxrpc-api_1.1_spec.jar
%{jbossdir}/common/lib/jbossws-native-factories.jar
%{jbossdir}/common/lib/jsr181-api.jar
%{jbossdir}/common/lib/saaj-api.jar
# In the EWP jcip-annotations.jar goes into common/lib as both default and 
# production use it
%if %is_AS
%else
%{jbossdir}/common/lib/jcip-annotations.jar
%endif
#%{jbhomedir}/lib/endorsed/jbossws-native-jaxws-ext.jar
#%{jbhomedir}/lib/endorsed/jbossws-native-jaxws.jar
#%{jbhomedir}/lib/endorsed/jbossws-native-saaj.jar
%{jbhomedir}/lib/endorsed/jbossws-native-factories.jar
%if %is_AS
%{jbossdir}/server/all/deployers/jbossws.deployer/jboss-jaxb-intros.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/jbossws-native-core.jar
%{jbossdir}/server/all/deployers/jbossws.deployer/jettison.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/jboss-jaxb-intros.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/jbossws-native-core.jar
%{jbossdir}/server/standard/deployers/jbossws.deployer/jettison.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/jboss-jaxb-intros.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/jbossws-native-core.jar
%{jbossdir}/server/web/deployers/jbossws.deployer/jettison.jar
%endif
%{jbossdir}/server/default/deployers/jbossws.deployer/jboss-jaxb-intros.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/jbossws-native-core.jar
%{jbossdir}/server/default/deployers/jbossws.deployer/jettison.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/jboss-jaxb-intros.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/jbossws-native-core.jar
%{jbossdir}/server/production/deployers/jbossws.deployer/jettison.jar
%if %is_AS
%config(noreplace) %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.properties
%config(noreplace) %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.properties
%config(noreplace) %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.properties
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.properties
%config(noreplace) %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.properties
%config(noreplace) %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management/pom.xml
%if %is_AS
%dir %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native
%dir %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management
%dir %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native
%dir %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management
%dir %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native
%dir %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management
%endif
%dir %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native
%dir %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management
%dir %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native
%dir %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.native/jbossws-native-management
# Changed files
# For these 3, the real files change, the links reman the same
%attr(0755,jboss,jboss) %{jbossdir}/bin/wsconsume.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/wsrunclient.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/wsprovide.sh
%if %is_AS
%config(noreplace) %{jbossdir}/server/all/deployers/jbossws.deployer/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/jbossws.deployer/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/web/deployers/jbossws.deployer/META-INF/jboss-beans.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deployers/jbossws.deployer/META-INF/jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/jbossws.deployer/META-INF/jboss-beans.xml
%if %is_AS
%{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/index.html
%{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/styles.css
%{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/index.html
%{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/styles.css
%{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/index.html
%{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/styles.css
%endif
%{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/index.html
%{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/styles.css
%{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/index.html
%{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/styles.css
%if %is_AS
%config(noreplace) %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/all/deploy/jbossws.sar/jbossws-management.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/web/deploy/jbossws.sar/jbossws-management.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/jbossws.sar/jbossws-management.war/WEB-INF/web.xml
%endif
%config(noreplace) %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/default/deploy/jbossws.sar/jbossws-management.war/WEB-INF/web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/WEB-INF/jboss-web.xml
%config(noreplace) %{jbossdir}/server/production/deploy/jbossws.sar/jbossws-management.war/WEB-INF/web.xml

%if %is_AS
%files messaging
%defattr(0644,jboss,jboss,0755)
%dir %{_javadir}
%dir %{jbhomedir}
%dir %{jbossdir}
# files deleted:
%{jbossdir}/common/lib/jboss-messaging-int.jar
%{jbossdir}/common/lib/jboss-messaging.jar
%{_javadir}/%{name}/jboss-messaging-%{version}.jar
%{_javadir}/%{name}/jboss-messaging-int-%{version}.jar
%{_javadir}/%{name}/jboss-messaging-int.jar
%{_javadir}/%{name}/jboss-messaging.jar
%dir %{jbossdir}/server/all/deploy/messaging
%dir %{jbossdir}/server/default/deploy/messaging
%dir %{jbossdir}/server/production/deploy/messaging
%dir %{jbossdir}/server/standard/deploy/messaging
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/all/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/messaging-definitions-jboss-beans.xml
#%%config(noreplace) %{jbossdir}/server/web/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/props/messaging-roles.properties
%config(noreplace) %{_sysconfdir}/%{name}/*/props/messaging-users.properties
%config(noreplace) %{_sysconfdir}/%{name}/*/jbossts-properties.xml
%config(noreplace) %{_sysconfdir}/%{name}/*/login-config.xml
# This RAR is now a directory, so it is not a file to be linked to
#%%{_javadir}/%{name}/rars/jms-ra.rar
%{jbossdir}/server/all/deploy/jms-ra.rar
%{jbossdir}/server/default/deploy/jms-ra.rar
%{jbossdir}/server/production/deploy/jms-ra.rar
%{jbossdir}/server/standard/deploy/jms-ra.rar
# updated files:
%config(noreplace) %{jbossdir}/server/all/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/ejb-deployer-jboss-beans.xml
%endif

%if %with production
%files zip
%defattr(0644,jboss,jboss,0755)
%dir %{_javadir}
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-noauth.zip
%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-withauth.zip
%if %is_AS
%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-hornetq.zip
%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-ec2.zip
%endif

%files src-zip
%defattr(0644,jboss,jboss,0755)
%dir %{_javadir}
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/%{name}-%{taggedversion}-src.zip

%files %{jbver}-bin
%defattr(0644,jboss,jboss,0755)
%dir /opt/%{name}-%{jbver}
%attr(0755,root,root) %{_initrddir}/%{name}-%{jbver}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-%{jbver}
%attr(0755,jboss,jboss) /opt/%{name}-%{jbver}/bin/*.sh
/opt/%{name}-%{jbver}/bin/*.jar
/opt/%{name}-%{jbver}/bin/run.conf
# FIXME Are these supposed to be here?  Ask Anil
/opt/%{name}-%{jbver}/bin/JBossPublicKey.RSA
/opt/%{name}-%{jbver}/bin/server.policy.cert
%dir /opt/%{name}-%{jbver}/bin
/opt/%{name}-%{jbver}/client
/opt/%{name}-%{jbver}/common
/opt/%{name}-%{jbver}/docs
/opt/%{name}-%{jbver}/lib
/opt/%{name}-%{jbver}/server
%if %without production
%doc /opt/%{name}-%{jbver}/JBossORG-EULA.txt
%else
%doc /opt/%{name}-%{jbver}/JBossEULA.txt
%endif
%doc /opt/%{name}-%{jbver}/copyright.txt
/opt/%{name}-%{jbver}/jar-versions.xml
/opt/%{name}-%{jbver}/lgpl.html
%{logdir}/%{name}-%{jbver}
%endif

%changelog
* Fri May 13 2011 Permaine Cheung <pcheung@redhat.com> 0:5.1.1-16
- Fix init script and sysconfig for the bin subpackage

* Wed May 11 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-15
- Deactivate installation of stax-api.jar in client dir

* Tue May 10 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-14
- Upgrade sources to ER3
- Activate bsh-bsf.jar installation
- Deactivate installation of stax-api.jar in endorsed dir

* Mon May 09 2011 Permaine Cheung <pcheung@redhat.com> 0:5.1.1-13
- Fix init script and sed command to work for the bin subpackage
- Sign jars in bin subpackage

* Wed May 04 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-12
- On RHEL-6 use thirdparty ZIP produced in a MEAD build

* Wed May 04 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-11
- Add bsh-bsf
- Remove HornetQ client JARs from the ZIPs
- JBPAPP-5871 Do not symlink jbossasall-client.jar
 
* Fri Apr 29 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-10
- Upgrade sources to ER2
- Update versions in Requires to EAP 5.1.1 levels
- Add condition to pack client files either here or with jbossas-hornetq
- Adjust patch EOL to match changes done to config files during build
- Merge in EWP fixes

* Wed Apr 13 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-6
- Patch for fixing NPE on HornetQ Console integration

* Wed Mar 30 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-5
- Rebuild for refresh of HornetQ
- Refresh AS sources

* Mon Mar 28 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-4
- Refresh AS sources for JBPAPP-6188 and HornetQ 2.2.2.GA

* Mon Mar 21 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-3
- Do not require a jpp-utils 5 (that is just for building)
- No longer need to unsign hsqldb.jar
- Rebuild with latest versions of packages

* Fri Mar 11 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-2
- Rebuild with latest package releases

* Wed Mar 09 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.1-1
- Upgrade to 5.1.1
- Add new dependencies due to jbossweb API splitting
- Request a "build.signed" build

* Thu Feb 03 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-99.1
- Rebuild with revised jpackage-utils so links go to java-signed
- Raise JPP_SIGNED to 2 so we get warnings if falls back to unsigned JARs

* Mon Jan 31 2011 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-99
- Rebuild for RHEL-6

* Tue Sep 14 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-52
- Re-add jboss-el.jar to admin-console file list

* Mon Sep 13 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-51.1
- Add jbossts-properties.xml and login-config.xml to main package on EWP
- Make jboss-messaging-client.jar an EAP-only file

* Mon Sep 13 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-51
- Rebuild

* Fri Sep 10 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-50
- Patch for using JBoss Metadata 1.0.6 (JBPAPP-4795)
- Patch for JBPAPP-4546
- Patch for JBPAPP-5028

* Wed Sep 08 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-49
- Check signature of the files we are supposed to link to
- Use rhq package
- Use sun-xmlstreambuffer package
- Leave jboss-meaasing-signing.jar in client, even when using HornetQ
  (JBPAPP-5041)
- Add new JOPR console dependency: i18nlog
- Remove jboss-el.jar from admin-console file list

* Wed Sep 01 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-48
- Move config files replaced by jbossas-hornetq into messaging subpackage

* Mon Aug 30 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-47
- Rebuild with revised jbossweb

* Mon Aug 30 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-46
- JBPAPP-4966 - Do not include gwt-user.jar, not really needed
- Do not require gwt as dependency

* Fri Aug 27 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-45
- Rebuild

* Thu Aug 26 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-44
- Revert part of changes to ewp patch as the removal of
  CreateDestinationDeployer from EAP web profile does not propagate
  to the EWP buid, we need to remove it here still
- Fix symlink to config files in etc

* Wed Aug 25 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-43
- In EWP deploy-hasingleton must be in the production profile

* Wed Aug 25 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-42
- Use jboss-seam2-runtime for some jopr console dependencies
- Fix jarmap for gwt-user.jar

* Wed Aug 25 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-41
- Fix richfaces dependency to the right subpackages

* Tue Aug 24 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-40
- Link rhq-jmx-plugin.jar

* Tue Aug 24 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-39
- Fix commons-discovery link (pointed to commons-codec)

* Tue Aug 24 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-38
- Update to CR3
- Replace JOPR console JAR files with links whenever possible

* Thu Aug 12 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-37
- Sign shutdown.jar and twiddle.jar

* Thu Aug 12 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-36
- Remove duplicates of run.jar, shudown.jar and twiddle.jar

* Wed Aug 11 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-35
- Move jboss-messaging-client.jar to messaging subpackage

* Wed Aug 11 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-34
- Really fix path to file to skip

* Wed Aug 11 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-33
- Fix path to file to skip

* Tue Aug 10 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-32
- Use new signing facilities
- Do not sign run.jar
- Sign jboss-bindingservice.jar that is in /etc
- Sign JOPR console JAR files

* Mon Aug 09 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-31
- Add two new files related to security in bin

* Mon Aug 09 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-30
- Fix duplicate conf in config file path when followed through synlink

* Fri Aug 06 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-29
- Fix jarmap for commons-discovery

* Thu Jul 29 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-28
- Rebuild with newer jboss-el build

* Thu Jul 29 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-27
- Rebuild with jboss-el CR5

* Wed Jul 28 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-26
- Use new thirdpart dependency zip

* Tue Jul 27 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-25
- Add patch for JBPAPP-4681

* Tue Jul 27 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-24
- Add JOPR dependencies
- Own unversioned links to RA JAR files

* Mon Jul 26 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-23
- Activate ec2 zip creation

* Thu Jul 22 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-22
- Do not own javadir in ws-native

* Tue Jul 20 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-21
- Add provision for creation of EC2 related ZIP file

* Thu Jul 15 2010 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-20
- Fix location of run.sh and jbossas.conf in init script

* Wed Jul 14 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-19
- Remove dependency on snmptrapappender for the EWP case

* Wed Jul 14 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-18
- Fix dependencies on virtuals for the JMS and WS stack options so
  they also work on the EWP case

* Tue Jul 13 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-17
- Remove hornetq zip from EWP builds

* Tue Jul 06 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-16
- Adjustments to EWP switches
- Add requirements for the client subpackage

* Mon Jul 05 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-15
- Client subpackage must require all messaging-related libraries

* Mon Jul 05 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-14
- Client subpackage must install all messaging-related libraries
  for interoperability purposes

* Mon Jul 05 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-13
- Require jboss-messaging in the messaging subpackage to avoid broken links
- Do not reqire hornetq and netty, they come with jbossas-hornetq

* Wed Jun 30 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-12
- Change release of virtual provides to a pre-defined "level" that is
  in agreement with the other option packages

* Wed Jun 30 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-11
- Do not require any of the providers for JMS as they must come by ways of
  the virtuals

* Tue Jun 29 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-10
- Split real files in /etc and not their links

* Mon Jun 28 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-9
- Do not reqire the main package from the jms and ws option subpackages
  as both up2date and yum cannot handle 2 options, just one with that
- Create jboss user in the two new subpackages pre script

* Mon Jun 28 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-8
- qdox and jboss-sever-manager not required at run-time
- Rebuild with updated thirdparty ZIP (from jbossas-tp)

* Fri Jun 25 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-7
- Add patch that makes VersionRelease skip signed files and
  rename back tmp files when signed or sealed files are skipped

* Fri Jun 25 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-6
- Add more info to Versionrelease.java logs

* Fri Jun 25 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-5
- Add patch that fixed hornetq switch script

* Thu Jun 24 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-4
- Fix applet.jar creation (patch)
- Clean up some hacks no longer needed

* Wed Jun 23 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-3
- Unsign JARs that will be modified during the build
- Exclude META-INF/JBOSSCOD.* from JAR contents included in 
  run.jar, shutdown.jar and applet.jar

* Tue Jun 22 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-2
- Update list of dependencies (BuildRequires and Requires) to 5.1.0 levels
- Add messaging subpackage
- Add ws-native subpackage

* Thu Jun 17 2010 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-1
- Upgrade to 5.1.0
- Add ZIP for HornetQ-related things and instal script

* Wed Apr 28 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-21.2
- Fix error detected during IVT by Yiqiao Wang:
  jboss-profileservice-client.jar unversioned link was not installed
 
* Wed Apr 07 2010 Hui Wang <huwang@redhat.com> 0:5.0.1-21.1
- Rebuild

* Tue Mar 30 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-21
- Install password_tool.sh in the bin directory

* Mon Mar 29 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-20
- Add missing links to client

* Mon Mar 29 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-19
- Add missing entries for server/web symlinks in files

* Mon Mar 29 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-18
- JBPAPP-3994 DO not link the JARs of the admin-console.war for now

* Wed Mar 24 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-16
- JBPAPP-3952 - CVE-2010-0738 jmx-console authentication bypass

* Tue Mar 23 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-15
- Make sure to use the JBoss version of commonns-logging

* Tue Mar 23 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-14
- CR2

* Thu Mar 18 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-13
- Try and avoid quotes on build.properties

* Thu Mar 04 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-12
- Rebuild with latest builds of dependencies

* Fri Feb 26 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-11
- Require jbossxb 2.0.1

* Wed Feb 24 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-10
- Rebuild with unsigned jboss-vfs2
- Do not link to glassfish-jstl for now

* Wed Feb 24 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-9
- Rebuild with jbossas-tp with fixed client JARs

* Tue Feb 23 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-8
- Fix names/versions of a few dependencies (typo)

* Thu Feb 18 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-7
- Rebuild with excalibur-avalon-logkit blocked from buildroot

* Thu Feb 18 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-6
- Rebuild with fixed jboss-jaxr

* Thu Feb 18 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-5
- More jarmap and files section fixes

* Tue Feb 16 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-4
- Fix jarmap for JAXB bits
- Tide up list of files installed under thirdparty
- Remove dist tag from dependency versions as it expands with jdk6 on it
  which does not necessarily match the tag of the dependency itself

* Fri Feb 12 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-3
- Use Requires indicated by the build itself (from ###Requires lines)
- Adjust printout as rpm commands will only work if the host has the same or
  compatible rpm version as the buildroot one

* Thu Feb 11 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-2
- Rewrite linking scripts for jbossas-tp produced thirdparty

* Wed Feb 10 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-1
- 5.0.1

* Thu Feb 04 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-10
- Prepare for post GA releases (no tag)
- Merge and improve EWP building conditionals
- Switch to use the thirdparty from the jbossas-tp package

* Tue Oct 20 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-2
- JBPAPP-2952 - Move deploy/jmx-remoting.sar to docs/examples

* Thu Oct 15 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-1
- EAP 5.0.0.GA

* Wed Sep 16 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-0.4.BETA2.1
- EAP 5.0.0.BETA2

* Tue Sep 08 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-0.3.FCS.1
- EAP 5.0.0.FCS

* Mon Aug 31 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-9
  Refresh source tar ball to:
- Incorporate JBPAPP-2657 fix

* Thu Aug 27 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-8
  Refresh source tar ball to:
- Incorporate disableauth counterpart to JBPAPP-2661 fix

* Wed Aug 26 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-7
  Refresh source tar ball to:
- remove trailing dots and underscores due to no tag
- Remove also trailing dot in the testsuite version
  From smarlow@redhat.com:
- JBPAPP-2661 Unsecured HTTP invokers

* Tue Aug 25 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-6
- Refresh source and tp tar balls for latest fixes

* Mon Aug 24 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-5
- Refresh source and tp tar balls
- Remove chunks already commited to SVN from patch

* Sun Aug 23 2009 Permaine Cheung <pcheung@redhat.com> 0:5.0.0-4
- Update %%description

* Sun Aug 23 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-3
- Comment out files not in the distribution:
  /var/lib/jbossas/server/all/deployers/ejb3.deployer/jboss-ejb3-iiop.jar
  /var/lib/jbossas/server/default/deployers/ejb3.deployer/jboss-ejb3-iiop.jar
  /var/lib/jbossas/server/production/deployers/ejb3.deployer/jboss-ejb3-iiop.jar
  /var/lib/jbossas/server/standard/deployers/ejb3.deployer/jboss-ejb3-iiop.jar
  /var/lib/jbossas/server/web/deployers/ejb3.deployer/jboss-ejb3-iiop.jar
  /usr/share/jbossas/client/jboss-main-client.jar
  /opt/jbossas-5.0.0/bin/README-service.txt

* Sat Aug 22 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-2
- Adjust file lists to new sources

* Fri Aug 21 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-1
- Upgrade to 5.0.0 (GA)

* Mon Aug 10 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-0.2.CR2.1
- Upgrade to 5.0.0.CR2
- Prevent prep script to fail if there is no .exe file in the sources

* Tue Aug 04 2009 Permaine Cheung <pcheung@redhat.com> 0:5.0.0-0.3.BETA.3
- JBPAPP-2318: Remove jboss init scripts for those platforms not supported
  from jboss-as/bin
- JBPAPP-2353: Remove the AS 5.1 community release notes from the EAP5
  binary distribution
- JBPAPP-2319: Different EULA used in the enterprise installer / EAP5 core

* Thu Jul 30 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-0.3.BETA.2
- Sign JARs

* Wed Jul 29 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-0.3.BETA.1
- 5.0.0.BETA (also CR1)

* Fri Jul 24 2009 Fernando Nasser <fnasser@redhat.com> 0:5.0.0-0.2.CR1.1.jdk15
- 5.0.0.CR1
- Requires Java 6 to build and run
- Fix %%files
- Use the enable and disableauth patch from the branch instead

* Fri Jun 26 2009 David Walluck <dwalluck@redhat.com> 0:5.0.0-0.1.Beta.5.jdk15
- remove .sh scripts from bin rpm
- update file list

* Fri Jun 26 2009 David Walluck <dwalluck@redhat.com> 0:5.0.0-0.1.Beta.4.jdk15
- update file list
- really fix file eol for main RPM

* Wed Jun 24 2009 David Walluck <dwalluck@redhat.com> 0:5.0.0-0.1.Beta.3.jdk15
- production changes

* Fri Jun 19 2009 David Walluck <dwalluck@redhat.com> 0:5.0.0-0.1.Beta.2.jdk15
- remove most of the Requires in full tp tarball mode

* Tue Jun 09 2009 David Walluck <dwalluck@redhat.com> 0:5.0.0-0.1.Beta.1.jdk15
- 5.0.0.Beta

* Tue Dec 16 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-23
- rebuild for jcommon.jar and pluggable-instrumentor.jar fixes

* Mon Dec 15 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-22
- rebuild for jasper-jdt.jar fix

* Fri Dec 05 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-21
- fix docs install
- silence install-catalog in %%postun
- own generated catalog file

* Fri Dec 05 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-20
- silence install-catalog

* Thu Dec 04 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-19
- fix test for initscript functions

* Mon Dec 01 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-18
- rediff patches

* Mon Nov 24 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-17
- use id command in initscript

* Tue Oct 14 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-16
- remove some unnecessary requires

* Sun Oct 12 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-15
- fix sun-fi in jarmap

* Sun Oct 12 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-14
- remove some unnecessary requires
- clean up jarmap

* Sat Oct 11 2008 Will Tatam <will.tatam@red61.com> 0:4.2.3-13
- fix fedora-release dep

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-12
- BuildRequires: jboss-profiler
- add fedora-release

* Wed Oct 08 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-11
- add missing BuildRequires for juddi
- add missing BuildRequires for xjavadoc

* Mon Oct 06 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-10
- use cp -pr instead of cp -a

* Wed Oct 01 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-9
- add missing Requires: jbossws-native >= 0:3.0.1

* Tue Sep 30 2008 Will Tatam <will.tatam@red61.com> 0:4.2.3-8
- drop ant memory to try and avoid kpanic due to oom on 4G machine

* Mon Sep 29 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-7
- add external dependencies: codehaus-stax11, commons-logging-jboss, jaxbintros,
  jboss-microcontainer, jboss-vfs, juddi, sun-fi, wsdl4j16, ws-scout0
- upgrade dependencies: jbossws, jbossws-common, jbossws-framework, jbossws-spi

* Fri Sep 26 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-6
- increase ant memory

* Thu Sep 25 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-5
- update jettison requirement

* Thu Sep 25 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-4
- update servletapi6 version

* Wed Aug 13 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-3
- don't set JAVA_HOME in sysconfig script

* Wed Aug 13 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-2
- use external jettison 1.0-RC2
- use external jboss-jaxr 1.2.0.SP1
- add LSB header to initscript
- allow use of java-devel >= 0:1.50 to build
- update jboss-cache requirement from SP5 to SP9
- update jboss-remoting requirement from SP1 to SP8
- update jbossts requirement from SP6 to SP7
- update xml-commons requirement from 1.3.03 (upstream) to 1.3.04
- use %%{_initrddir} macro

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:4.2.3-1
- 4.2.3

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-7
- add external glassfish-{jaxb,jaxws} dependencies

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-6
- upgrade javassist version
- fix %%{_javadir}/* permissions

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-5
- add glassfish patch
- update build-thirdparty-versions patch

* Tue Jul 15 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-4
- use excalibur for avalon

* Fri Jul 11 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-3
- BuildRequires: unzip

* Thu Jul 03 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-2
- remove GA from Release tag

* Wed Jul 02 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.7
- set JAVA_HOME to JDK 1.5 in jbossas.conf
- force build with JDK 1.5

* Sat Jun 28 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.6
- update jbossws (Build)Requires

* Sat Jun 28 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.5
- fix some calls of compute_jar_signature
- update jbossws (Build)Requires

* Thu Jun 26 2008 Deepak Bhole <dbhole@redhat.com> 0:4.2.2-1.GA.4
- Fix code so that build fails if jars are not resolved to a single file

* Sun Jun 22 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.3.jpp5
- update jbossxb requirement

* Sat Jun 21 2008 Fernando Nasser <fnasser@redhat.com> 0:4.2.2-1.GA.2
- Use jbossws package, not binaries

* Fri Jun 06 2008 David Walluck <dwalluck@redhat.com> 0:4.2.2-1.GA.1.jpp5
- add jfreechart_upgrade_to_1_0_2.patch
- remove explicit bea dependency
- remove exact jacorb-repolib requirement
- update jbossts to SP6 bumping epoch
- remove jboss-messaging requirement (not needed)
- fix (Build)Requires to match brew
- patch for versions that need to be upgraded from brew
- use %%setup macro to correctly unpack sources
- fix License
- add epoch to dependencies
- fix Source permissions
- correctly call compute_jar_signature (don't rely on +x)
- don't own %%{_docdir}
- BOOTSTRAP: use jbossws binaries for this build

* Wed Jun 04 2008 Deepak Bhole <dbhole@redhat.com> 4.2.2-1.GA
- Update for community version

* Mon Apr 21 2008 Deepak Bhole <dbhole@redhat.com> 4.2.0-3.GA_CP03.ep1.9
- Update sources with new tag

* Mon Apr 21 2008 Deepak Bhole <dbhole@redhat.com> 4.2.0-3.GA_CP03.ep1.8
- Update source tarball with fix for JBPAPP-778

* Thu Apr 17 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.7
- Respin of sources from RC1 to RC2

* Thu Apr 10 2008 Deepak Bhole <dbhole@redhat.com> 4.2.0-3.GA_CP03.ep1.6
- Revert init script changes for JBPAPP-571
- Update tp and tp-licenses tarball names
- Added defattr attributes to the zip subpackages

* Fri Apr 04 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.5
- Rebuild

* Wed Apr 02 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.4
- Upgrade glassfish-jsf to 1.2_08 (CVE-2008-1285)

* Wed Apr 02 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP03.ep1.3
- Upgrade to CP03
- Remove junit as a run-time dependency
- Upgrade JGroups to 2.4.2.GA_CP01
- Upgrade JBoss Cache to 1.4.1.SP9
- Upgrade JBoss TS to 4.2.3.SP5_CP01
- Upgrade JBoss Remoting to 2.2.2.SP7
- Upgrade JBoss WS to 1.2.1.GA_CP03
- Upgrade Hibernate to 3.2.4.SP1_CP03
- Relax dependency on jsf to allow upgrading jsf next time around even in
  the presence of circular dependencies

* Tue Jan 29 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP02.ep1.3
- Remove JBPM as run-time dependencies (not needed)

* Mon Jan 28 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP02.ep1.2
- Cause juddi to be installed even if not linked

* Mon Jan 28 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-3.GA_CP02.ep1.1
- Final build

* Sat Jan 26 2008 Fernando Nasser <fnasser@redhat.com> 4.2.0-0.1.test_CP02.ep1.3
- Merge with EAP 4.3 version of the spec file
- Use jfreechart and jcommon packages
- Update sources
  From Deepak Bhole <dbhole@redhat.com>:
- Fix JBPAPP-342 - Useradd specifies a shell other than /sbin/nologin
- Remove replace task tracking, as we now use replace-regexp

* Mon Nov 26 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.test_CP02.ep1.2
- Fix JBPAPP-411 - disallow setting of JBOSS_UDP_PORT

* Wed Sep 19 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.test_CP02.ep1.1
- Update sources
- Make spec more dynamic to allow compatibility with 4.3 spec

* Thu Sep 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-2.CP01.ep1.3
- Ask for JBossXB CP01 to enforce upgrading

* Mon Sep 10 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.2
- Updated sources to rev. 65277
- Trim changelog to May 2007 and higher
- Update jarmap to use servlet-api and jsp-api from jbossweb
- Use javacc and j-c-lang during build

* Thu Aug 30 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.1
- Final CP01 build

* Tue Aug 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.4
- Update to rev 64922

* Mon Aug 20 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.3
- Nightly build

* Tue Aug 14 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.2
- Update revision
- Change to use more brew built components
- Re-wrote the jar signature computation script to optimize it significantly

* Mon Aug 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-0.1.CP01_test01.ep1.1
- Test build of CP branch
- Disable patches that are already in the branch

* Thu Jun 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-1.ep1.1
- Updates for GA build

* Mon Jun 25 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC8.ep1.1
- Upgrade to RC8
- Remove unnecessary requirement for jboss-profiler
- Removed extra org.jgroups section from jboss-log4j.xml (JBPAPP-225)
- Changed root logger ref to ASYNC (JBPAPP-223)
- From vivekl@redhat.com:
    Update jbossas-build-production-config.patch to comment out CLUSTER
    appender definition for the production config, replace org.jgroups
    level with WARN and org.jboss.ha with INFO 
    (JBPAPP-224/JBPAPP-225/JBPAPP-226)

* Fri Jun 15 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC7.ep1.1
- Upgrade to RC7
- Add EULA to rpm (JBPAPP-114)
- Mark copyright.txt and *.html in /var/lib/jbossas/ as %%doc

* Mon Jun 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.2
- Copy hibernate instead of linking it at run time

* Fri Jun 08 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.1
- Added context file to production config
- Added check to ensure that logs are writable by the correct user (bz# 239837)
- Install missing shell scripts (JBPAPP-114)
- Added -server option in run.bat (JBPAPP-202)
- Moved rpm specific changes to a separate section
- Changed seam logging level to WARN (JBPAPP-154)

* Wed May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.3
- Fix bug in production config patch that was causing build failure
- Set Xms and Xmx to 1503m

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.2
- Remove changes from the "disable auth" patch after noauth zip is created
- Set default config to "production", and add JBOSS_IP to the config files

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.1
- Update to RC5
- Set default startp config to production
- Change auth patching to make sources have the authentication changes
- Fixed JBPAPP-187, JBPAPP-179, JBPAPP-172, JBPAPP-180, JBPAPP-198

* Fri May 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC4.ep1.1
- Update to RC4
- Add checks to ensure that all patching for production config works

* Fri May 04 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC3.ep1.1
- Update to RC3
- JBPAPP-46: Remove production config changes patch (now done via build.xml)

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.2
- Update start and stop time to deal with machines with < 2GB memory

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.1
- Upgrade to RC2
- Fixed JBPAPP-46 via a patch (should happen though build.xml eventually)
- Fixed JBPAPP-138 (toplevel dir name for zip)
- Fixed JBPAPP-153 (remove second pooled invoker)
